void ppeeexex04_particles(int i_a, observable_set & oset);

void ppeeexex04_cuts(int i_a, observable_set & oset);
void ppeeexex04_cuts_test(int i_a, observable_set & oset);

void ppeeexex04_moments(observable_set & oset);

void ppeeexex04_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppeeexex04_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppeeexex04_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppeeexex04_optimize_minv_born(phasespace_set & psi);
int ppeeexex04_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeeexex04_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_born(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ax_psp_040_ddx_ememepep(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_040_ddx_ememepep(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_040_ddx_ememepep(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_040_uux_ememepep(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_040_uux_ememepep(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_040_uux_ememepep(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_gg_ememepep(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_gg_ememepep(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_gg_ememepep(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_phasespacepoint_born(observable_set & oset);

void ppeeexex04_phasespacepoint_collinear(observable_set & oset);

void ppeeexex04_optimize_minv_real(phasespace_set & psi);
int ppeeexex04_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeeexex04_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_real(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ax_psp_140_gd_ememepepd(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_140_gd_ememepepd(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_140_gd_ememepepd(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_140_gu_ememepepu(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_140_gu_ememepepu(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_140_gu_ememepepu(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_140_gdx_ememepepdx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_140_gdx_ememepepdx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_140_gdx_ememepepdx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_140_gux_ememepepux(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_140_gux_ememepepux(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_140_gux_ememepepux(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_140_ddx_ememepepg(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_140_ddx_ememepepg(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_140_ddx_ememepepg(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_140_uux_ememepepg(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_140_uux_ememepepg(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_140_uux_ememepepg(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_phasespacepoint_real(observable_set & oset);

void ppeeexex04_phasespacepoint_realcollinear(observable_set & oset);

void ppeeexex04_optimize_minv_doublereal(phasespace_set & psi);
int ppeeexex04_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeeexex04_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ax_psp_240_gg_ememepepddx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_gg_ememepepddx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_gg_ememepepddx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_gg_ememepepuux(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_gg_ememepepuux(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_gg_ememepepuux(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_gd_ememepepgd(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_gd_ememepepgd(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_gd_ememepepgd(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_gu_ememepepgu(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_gu_ememepepgu(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_gu_ememepepgu(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_gdx_ememepepgdx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_gdx_ememepepgdx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_gdx_ememepepgdx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_gux_ememepepgux(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_gux_ememepepgux(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_gux_ememepepgux(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_dd_ememepepdd(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_dd_ememepepdd(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_dd_ememepepdd(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_du_ememepepdu(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_du_ememepepdu(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_du_ememepepdu(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_ds_ememepepds(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_ds_ememepepds(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_ds_ememepepds(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_dc_ememepepdc(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_dc_ememepepdc(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_dc_ememepepdc(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_ddx_ememepepgg(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_ddx_ememepepgg(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_ddx_ememepepgg(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_ddx_ememepepddx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_ddx_ememepepddx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_ddx_ememepepddx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_ddx_ememepepuux(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_ddx_ememepepuux(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_ddx_ememepepuux(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_ddx_ememepepssx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_ddx_ememepepssx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_ddx_ememepepssx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_ddx_ememepepccx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_ddx_ememepepccx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_ddx_ememepepccx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_dux_ememepepdux(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_dux_ememepepdux(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_dux_ememepepdux(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_dsx_ememepepdsx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_dsx_ememepepdsx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_dsx_ememepepdsx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_dcx_ememepepdcx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_dcx_ememepepdcx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_dcx_ememepepdcx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_uu_ememepepuu(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_uu_ememepepuu(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_uu_ememepepuu(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_uc_ememepepuc(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_uc_ememepepuc(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_uc_ememepepuc(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_udx_ememepepudx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_udx_ememepepudx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_udx_ememepepudx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_uux_ememepepgg(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_uux_ememepepgg(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_uux_ememepepgg(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_uux_ememepepddx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_uux_ememepepddx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_uux_ememepepddx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_uux_ememepepuux(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_uux_ememepepuux(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_uux_ememepepuux(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_uux_ememepepssx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_uux_ememepepssx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_uux_ememepepssx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_uux_ememepepccx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_uux_ememepepccx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_uux_ememepepccx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_usx_ememepepusx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_usx_ememepepusx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_usx_ememepepusx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_ucx_ememepepucx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_ucx_ememepepucx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_ucx_ememepepucx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_dxdx_ememepepdxdx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_dxdx_ememepepdxdx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_dxdx_ememepepdxdx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_dxux_ememepepdxux(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_dxux_ememepepdxux(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_dxux_ememepepdxux(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_dxsx_ememepepdxsx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_dxsx_ememepepdxsx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_dxsx_ememepepdxsx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_dxcx_ememepepdxcx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_dxcx_ememepepdxcx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_dxcx_ememepepdxcx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_uxux_ememepepuxux(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_uxux_ememepepuxux(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_uxux_ememepepuxux(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_ax_psp_240_uxcx_ememepepuxcx(int no_ps, phasespace_set & psi);
void ppeeexex04_ac_psp_240_uxcx_ememepepuxcx(int no_ps, int channel, phasespace_set & psi);
void ppeeexex04_ag_psp_240_uxcx_ememepepuxcx(int no_ps, int zero, phasespace_set & psi);
void ppeeexex04_phasespacepoint_doublereal(observable_set & oset);

