void ppexnea03_particles(int i_a, observable_set & oset);

void ppexnea03_cuts(int i_a, observable_set & oset);
void ppexnea03_cuts_test(int i_a, observable_set & oset);

void ppexnea03_moments(observable_set & oset);

void ppexnea03_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppexnea03_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppexnea03_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppexnea03_optimize_minv_born(phasespace_set & psi);
int ppexnea03_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppexnea03_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppexnea03_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_born(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ax_psp_030_udx_epvea(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_030_udx_epvea(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_030_udx_epvea(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_phasespacepoint_born(observable_set & oset);

void ppexnea03_phasespacepoint_collinear(observable_set & oset);

void ppexnea03_optimize_minv_real(phasespace_set & psi);
int ppexnea03_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppexnea03_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppexnea03_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_real(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ax_psp_130_gu_epvead(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_130_gu_epvead(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_130_gu_epvead(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_130_gdx_epveaux(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_130_gdx_epveaux(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_130_gdx_epveaux(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_130_udx_epveag(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_130_udx_epveag(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_130_udx_epveag(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_phasespacepoint_real(observable_set & oset);

void ppexnea03_phasespacepoint_realcollinear(observable_set & oset);

void ppexnea03_optimize_minv_doublereal(phasespace_set & psi);
int ppexnea03_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppexnea03_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppexnea03_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ax_psp_230_gg_epveadux(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_gg_epveadux(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_gg_epveadux(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_gu_epveagd(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_gu_epveagd(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_gu_epveagd(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_gdx_epveagux(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_gdx_epveagux(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_gdx_epveagux(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_du_epveadd(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_du_epveadd(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_du_epveadd(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_dc_epveads(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_dc_epveads(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_dc_epveads(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_ddx_epveadux(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_ddx_epveadux(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_ddx_epveadux(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_ddx_epveascx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_ddx_epveascx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_ddx_epveascx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_dsx_epveadcx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_dsx_epveadcx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_dsx_epveadcx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_uu_epveadu(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_uu_epveadu(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_uu_epveadu(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_uc_epveadc(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_uc_epveadc(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_uc_epveadc(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_udx_epveagg(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_udx_epveagg(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_udx_epveagg(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_udx_epveaddx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_udx_epveaddx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_udx_epveaddx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_udx_epveauux(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_udx_epveauux(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_udx_epveauux(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_udx_epveassx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_udx_epveassx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_udx_epveassx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_udx_epveaccx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_udx_epveaccx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_udx_epveaccx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_uux_epveadux(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_uux_epveadux(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_uux_epveadux(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_uux_epveascx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_uux_epveascx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_uux_epveascx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_usx_epveadsx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_usx_epveadsx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_usx_epveadsx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_usx_epveaucx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_usx_epveaucx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_usx_epveaucx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_ucx_epveadcx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_ucx_epveadcx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_ucx_epveadcx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_dxdx_epveadxux(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_dxdx_epveadxux(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_dxdx_epveadxux(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_dxux_epveauxux(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_dxux_epveauxux(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_dxux_epveauxux(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_dxsx_epveadxcx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_dxsx_epveadxcx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_dxsx_epveadxcx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_ax_psp_230_dxcx_epveauxcx(int no_ps, phasespace_set & psi);
void ppexnea03_ac_psp_230_dxcx_epveauxcx(int no_ps, int channel, phasespace_set & psi);
void ppexnea03_ag_psp_230_dxcx_epveauxcx(int no_ps, int zero, phasespace_set & psi);
void ppexnea03_phasespacepoint_doublereal(observable_set & oset);

