#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexmxnm04/header/ppeexmxnm04.phasespace.h"
void ppeexmxnm04_ax_psp_240_du_emepmupvmdd(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexmxnm04_ax_psp_240_du_emepmupvmdd");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(25);
  psi_needed_v_smin[no_ps].resize(25);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    4,    5,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  60
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 60);
  int needed_v_smin_1[] = {   0,    1,   20,   21}; //   4
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 4);
  int needed_v_smin_2[] = {   0,    1,   20,   21}; //   4
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 4);
  int needed_v_smin_3[] = {   0,    2,    3,    6,    8,    9,   20,   22,   23,   26,   28,   29}; //  12
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 12);
  int needed_v_smin_4[] = {   1,    4,    5,    7,   10,   11,   21,   24,   25,   27,   30,   31}; //  12
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 12);
  int needed_v_smin_5[] = {   2,    3,    4,    5,   22,   23,   24,   25}; //   8
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 8);
  int needed_v_smin_6[] = {   2,    3,    4,    5,   22,   23,   24,   25}; //   8
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 8);
  int needed_v_smin_7[] = {   6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  52
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 52);
  int needed_v_smin_8[] = {   6,    7,   26,   27}; //   4
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 4);
  int needed_v_smin_9[] = {   6,    7,   26,   27}; //   4
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 4);
  int needed_v_smin_10[] = {   8,    9,   10,   11,   28,   29,   30,   31}; //   8
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 8);
  int needed_v_smin_11[] = {  12,   13,   34,   35,   40,   41,   54,   55,   62,   63}; //  10
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 10);
  int needed_v_smin_12[] = {  12,   13,   54,   55,   62,   63}; //   6
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 6);
  int needed_v_smin_13[] = {  14,   15,   32,   33,   42,   43,   52,   53,   60,   61}; //  10
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 10);
  int needed_v_smin_14[] = {  14,   15,   52,   53,   60,   61}; //   6
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 6);
  int needed_v_smin_15[] = {  16,   17,   42,   43,   46,   47,   50,   51,   58,   59}; //  10
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 10);
  int needed_v_smin_16[] = {  16,   17,   50,   51,   58,   59}; //   6
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 6);
  int needed_v_smin_17[] = {  18,   19,   40,   41,   44,   45,   48,   49,   56,   57}; //  10
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 10);
  int needed_v_smin_18[] = {  18,   19,   48,   49,   56,   57}; //   6
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 6);
  int needed_v_smin_19[] = {  32,   33}; //   2
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 2);
  int needed_v_smin_20[] = {  34,   35}; //   2
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 2);
  int needed_v_smin_21[] = {  36,   37,   38,   39}; //   4
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 4);
  int needed_v_smin_22[] = {  36,   37,   38,   39}; //   4
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 4);
  int needed_v_smin_23[] = {  44,   45}; //   2
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 2);
  int needed_v_smin_24[] = {  46,   47}; //   2
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 2);

  psi_v_smax[no_ps].resize(27);
  psi_needed_v_smax[no_ps].resize(27);
  int needed_v_smax_0[] = {   0,    1,    2,    3,    4,    5,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   52,   53,   54,   55,   60,   61,   62,   63}; //  24
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 24);
  int needed_v_smax_1[] = {   0,    1,   20,   21}; //   4
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 4);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  24
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 24);
  int needed_v_smax_3[] = {   0,    2,    3,    6,    8,    9,   14,   15,   18,   19,   20,   22,   23,   26,   28,   29,   48,   49,   52,   53,   56,   57,   60,   61}; //  24
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 24);
  int needed_v_smax_4[] = {   1,    4,    5,    7,   10,   11,   12,   13,   16,   17,   21,   24,   25,   27,   30,   31,   50,   51,   54,   55,   58,   59,   62,   63}; //  24
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 24);
  int needed_v_smax_5[] = {   2,    3,    4,    5,   22,   23,   24,   25}; //   8
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 8);
  int needed_v_smax_6[] = {   6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   56,   57,   58,   59}; //  40
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 40);
  int needed_v_smax_7[] = {   6,    7,   26,   27}; //   4
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 4);
  int needed_v_smax_8[] = {   8,    9,   10,   11,   28,   29,   30,   31,   36,   37,   38,   39,   44,   45,   46,   47,   48,   49,   50,   51,   56,   57,   58,   59}; //  24
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 24);
  int needed_v_smax_9[] = {  12,   13,   34,   35,   40,   41}; //   6
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 6);
  int needed_v_smax_10[] = {  12,   13,   34,   35,   40,   41}; //   6
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 6);
  int needed_v_smax_11[] = {  14,   15,   32,   33,   42,   43}; //   6
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 6);
  int needed_v_smax_12[] = {  14,   15,   32,   33,   42,   43}; //   6
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 6);
  int needed_v_smax_13[] = {  16,   17}; //   2
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 2);
  int needed_v_smax_14[] = {  16,   17}; //   2
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 2);
  int needed_v_smax_15[] = {  18,   19}; //   2
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 2);
  int needed_v_smax_16[] = {  18,   19}; //   2
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 2);
  int needed_v_smax_17[] = {  40,   41}; //   2
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 2);
  int needed_v_smax_18[] = {  42,   43}; //   2
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 2);
  int needed_v_smax_19[] = {  44,   45,   48,   49,   56,   57}; //   6
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 6);
  int needed_v_smax_20[] = {  46,   47,   50,   51,   58,   59}; //   6
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 6);
  int needed_v_smax_21[] = {  52,   53,   54,   55,   60,   61,   62,   63}; //   8
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 8);
  int needed_v_smax_22[] = {  52,   53,   60,   61}; //   4
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 4);
  int needed_v_smax_23[] = {  54,   55,   62,   63}; //   4
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 4);
  int needed_v_smax_24[] = {  32,   33,   34,   35,   36,   37,   38,   39}; //   8
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 8);
  int needed_v_smax_25[] = {  36,   37,   38,   39}; //   4
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 4);
  int needed_v_smax_26[] = {  44,   45,   46,   47}; //   4
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 4);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(35);
  psi_needed_g_p[no_ps].resize(35);
  int needed_g_p_0[] = {   0,    1,    3,    5,   17,   19,   20,   21,   23,   25,   53,   55,   61,   63}; //  14
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 14);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,   20,   21}; //   4
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 4);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    1,   20,   21}; //   4
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 4);
  psi_container_IS_name.push_back("propagator_24_smin2_smax2");
  int needed_g_p_3[] = {   0,    2,    3,    6,    8,    9}; //   6
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 6);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   1,    4,    5,    7,   10,   11}; //   6
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 6);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_5[] = {   2,    4,   16,   18,   22,   24,   52,   54,   60,   62}; //  10
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 10);
  psi_container_IS_name.push_back("propagator_0_smin0_smax0");
  int needed_g_p_6[] = {   2,    3,    4,    5,   22,   23,   24,   25}; //   8
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 8);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_7[] = {   2,    3,    4,    5,   22,   23,   24,   25}; //   8
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 8);
  psi_container_IS_name.push_back("propagator_24_smin6_smax2");
  int needed_g_p_8[] = {   6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   56,   57,   58,   59}; //  40
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 40);
  psi_container_IS_name.push_back("propagator_24_smin7_smax6");
  int needed_g_p_9[] = {   6,    7,   26,   27}; //   4
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 4);
  psi_container_IS_name.push_back("propagator_0_smin8_smax7");
  int needed_g_p_10[] = {   6,    7,   26,   27}; //   4
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 4);
  psi_container_IS_name.push_back("propagator_24_smin9_smax2");
  int needed_g_p_11[] = {   8,   10,   28,   30,   36,   38,   44,   46,   48,   50,   56,   58}; //  12
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 12);
  psi_container_IS_name.push_back("propagator_0_smin0_smax8");
  int needed_g_p_12[] = {   8,    9,   10,   11,   28,   29,   30,   31}; //   8
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 8);
  psi_container_IS_name.push_back("propagator_24_smin10_smax2");
  int needed_g_p_13[] = {   9,   11,   29,   31,   37,   39,   45,   47,   49,   51,   57,   59}; //  12
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 12);
  psi_container_IS_name.push_back("propagator_23_smin0_smax8");
  int needed_g_p_14[] = {  12,   13,   34,   35,   40,   41}; //   6
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 6);
  psi_container_IS_name.push_back("propagator_0_smin11_smax9");
  int needed_g_p_15[] = {  12,   34,   40}; //   3
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 3);
  psi_container_IS_name.push_back("propagator_0_smin0_smax10");
  int needed_g_p_16[] = {  12,   13}; //   2
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 2);
  psi_container_IS_name.push_back("propagator_0_smin12_smax4");
  int needed_g_p_17[] = {  13,   35,   41}; //   3
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 3);
  psi_container_IS_name.push_back("propagator_23_smin0_smax10");
  int needed_g_p_18[] = {  14,   15,   32,   33,   42,   43}; //   6
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 6);
  psi_container_IS_name.push_back("propagator_0_smin13_smax11");
  int needed_g_p_19[] = {  14,   32,   42}; //   3
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 3);
  psi_container_IS_name.push_back("propagator_0_smin0_smax12");
  int needed_g_p_20[] = {  14,   15}; //   2
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 2);
  psi_container_IS_name.push_back("propagator_0_smin14_smax3");
  int needed_g_p_21[] = {  15,   33,   43}; //   3
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 3);
  psi_container_IS_name.push_back("propagator_23_smin0_smax12");
  int needed_g_p_22[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax13");
  int needed_g_p_23[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 2);
  psi_container_IS_name.push_back("propagator_24_smin7_smax14");
  int needed_g_p_24[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax4");
  int needed_g_p_25[] = {  18,   19}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_0_smin17_smax15");
  int needed_g_p_26[] = {  18,   19}; //   2
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 2);
  psi_container_IS_name.push_back("propagator_24_smin7_smax16");
  int needed_g_p_27[] = {  18,   19}; //   2
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 2);
  psi_container_IS_name.push_back("propagator_0_smin18_smax3");
  int needed_g_p_28[] = {  40,   41}; //   2
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 2);
  psi_container_IS_name.push_back("propagator_0_smin17_smax17");
  int needed_g_p_29[] = {  42,   43}; //   2
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 2);
  psi_container_IS_name.push_back("propagator_0_smin15_smax18");
  int needed_g_p_30[] = {  44,   45,   48,   49}; //   4
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax19");
  int needed_g_p_31[] = {  46,   47,   50,   51}; //   4
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 4);
  psi_container_IS_name.push_back("propagator_0_smin15_smax20");
  int needed_g_p_32[] = {  52,   53,   54,   55,   60,   61,   62,   63}; //   8
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 8);
  psi_container_IS_name.push_back("propagator_24_smin7_smax21");
  int needed_g_p_33[] = {  52,   53}; //   2
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 2);
  psi_container_IS_name.push_back("propagator_0_smin13_smax22");
  int needed_g_p_34[] = {  54,   55}; //   2
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 2);
  psi_container_IS_name.push_back("propagator_0_smin11_smax23");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(16);
  psi_needed_g_f[no_ps].resize(16);
  int needed_g_f_0[] = {  20,   22,   23,   26,   28,   29}; //   6
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin3_smax3");
  int needed_g_f_1[] = {  21,   24,   25,   27,   30,   31}; //   6
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 6);
  psi_container_IS_name.push_back("timelikeinvariant_smin4_smax4");
  int needed_g_f_2[] = {  32,   33}; //   2
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax24");
  int needed_g_f_3[] = {  34,   35}; //   2
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax24");
  int needed_g_f_4[] = {  36,   37,   38,   39}; //   4
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax25");
  int needed_g_f_5[] = {  36,   37,   38,   39}; //   4
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax24");
  int needed_g_f_6[] = {  44,   45}; //   2
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin23_smax26");
  int needed_g_f_7[] = {  46,   47}; //   2
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin24_smax26");
  int needed_g_f_8[] = {  48,   49,   56,   57}; //   4
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax3");
  int needed_g_f_9[] = {  50,   51,   58,   59}; //   4
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax4");
  int needed_g_f_10[] = {  52,   53,   60,   61}; //   4
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax3");
  int needed_g_f_11[] = {  54,   55,   62,   63}; //   4
  psi_needed_g_f[no_ps][11] = get_vector_from_array_int(needed_g_f_11, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax4");
  int needed_g_f_12[] = {  56,   57}; //   2
  psi_needed_g_f[no_ps][12] = get_vector_from_array_int(needed_g_f_12, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax19");
  int needed_g_f_13[] = {  58,   59}; //   2
  psi_needed_g_f[no_ps][13] = get_vector_from_array_int(needed_g_f_13, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax20");
  int needed_g_f_14[] = {  60,   61}; //   2
  psi_needed_g_f[no_ps][14] = get_vector_from_array_int(needed_g_f_14, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax22");
  int needed_g_f_15[] = {  62,   63}; //   2
  psi_needed_g_f[no_ps][15] = get_vector_from_array_int(needed_g_f_15, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax23");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(23);
  psi_needed_g_t[no_ps].resize(23);
  int needed_g_t_0[] = {   0,    2,    3,    6,    8,    9,   14,   15,   18,   19,   20,   22,   23,   26,   28,   29,   48,   49,   52,   53,   56,   57,   60,   61}; //  24
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_1[] = {   1,    4,    5,    7,   10,   11,   12,   13,   16,   17,   21,   24,   25,   27,   30,   31,   50,   51,   54,   55,   58,   59,   62,   63}; //  24
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__128_124");
  int needed_g_t_2[] = {  20,   22,   23,   26,   28,   29}; //   6
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_3[] = {  21,   24,   25,   27,   30,   31}; //   6
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__129_2__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__129_2__64_60");
  int needed_g_t_4[] = {  32,   33,   34,   35,   36,   37,   38,   39}; //   8
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__12_240");
  int needed_g_t_5[] = {  32,   33}; //   2
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__176_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__176_64");
  int needed_g_t_6[] = {  34,   35}; //   2
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__112_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__112_128");
  int needed_g_t_7[] = {  36,   37,   38,   39}; //   4
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__48_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__48_192");
  int needed_g_t_8[] = {  36,   37}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__13_50__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__13_50__64_128");
  int needed_g_t_9[] = {  38,   39}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__13_50__128_64");
  psi_container_IS_name.push_back("phi_of_tchannel_0__13_50__128_64");
  int needed_g_t_10[] = {  40,   41}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__140_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__140_112");
  int needed_g_t_11[] = {  42,   43}; //   2
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__76_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__76_176");
  int needed_g_t_12[] = {  44,   45,   46,   47}; //   4
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__48_204");
  int needed_g_t_13[] = {  44,   45}; //   2
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_50__140_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_50__140_64");
  int needed_g_t_14[] = {  46,   47}; //   2
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_50__76_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_50__76_128");
  int needed_g_t_15[] = {  48,   49,   56,   57}; //   4
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__48_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__48_140");
  int needed_g_t_16[] = {  50,   51,   58,   59}; //   4
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__48_76");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__48_76");
  int needed_g_t_17[] = {  52,   53,   60,   61}; //   4
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__12_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__12_176");
  int needed_g_t_18[] = {  54,   55,   62,   63}; //   4
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__12_112");
  int needed_g_t_19[] = {  56,   57}; //   2
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_50__128_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_50__128_12");
  int needed_g_t_20[] = {  58,   59}; //   2
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_50__64_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_50__64_12");
  int needed_g_t_21[] = {  60,   61}; //   2
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_14__128_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_14__128_48");
  int needed_g_t_22[] = {  62,   63}; //   2
  psi_needed_g_t[no_ps][22] = get_vector_from_array_int(needed_g_t_22, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_14__64_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_14__64_48");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(19);
  psi_needed_g_d[no_ps].resize(19);
  int needed_g_d_0[] = {   0,    2,    3,    6,    8,    9}; //   6
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 6);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_1[] = {   0,    1,   20,   21}; //   4
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_2[] = {   0,    1,   20,   21}; //   4
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_3[] = {   0,    1,    2,    3,    4,    5,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  60
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 60);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_4[] = {   1,    4,    5,    7,   10,   11}; //   6
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 6);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_5[] = {   2,    3,    4,    5,   22,   23,   24,   25}; //   8
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_6[] = {   2,    3,    4,    5,   22,   23,   24,   25}; //   8
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_7[] = {   6,    7,   26,   27}; //   4
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_8[] = {   6,    7,   26,   27}; //   4
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 4);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_9[] = {   6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  52
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 52);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_10[] = {   8,    9,   10,   11,   28,   29,   30,   31}; //   8
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__12_48");
  psi_container_IS_name.push_back("phi_of_decay_60__12_48");
  int needed_g_d_11[] = {  12,   13}; //   2
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__12_112");
  psi_container_IS_name.push_back("phi_of_decay_124__12_112");
  int needed_g_d_12[] = {  12,   13,   34,   35,   40,   41,   54,   55}; //   8
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 8);
  psi_container_IS_name.push_back("costheta_of_decay_112__64_48");
  psi_container_IS_name.push_back("phi_of_decay_112__64_48");
  int needed_g_d_13[] = {  14,   15}; //   2
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_14[] = {  14,   15,   32,   33,   42,   43,   52,   53}; //   8
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 8);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_15[] = {  16,   17}; //   2
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__48_76");
  psi_container_IS_name.push_back("phi_of_decay_124__48_76");
  int needed_g_d_16[] = {  16,   17,   42,   43,   46,   47,   50,   51}; //   8
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 8);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");
  int needed_g_d_17[] = {  18,   19}; //   2
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_18[] = {  18,   19,   40,   41,   44,   45,   48,   49}; //   8
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 8);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");

  psi_c_p[no_ps].resize(64);
  psi_c_f[no_ps].resize(64);
  psi_c_t[no_ps].resize(64);
  psi_c_d[no_ps].resize(64);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {  0}; //   1
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 1);
  int c_d_0[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 4);

  int c_p_1[] = {  0,   1,   2,   4}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {  1}; //   1
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 1);
  int c_d_1[] = {  4,   1,   2,   3}; //   4
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 4);

  int c_p_2[] = {  5,   6,   7,   3}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {  0}; //   1
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 1);
  int c_d_2[] = {  0,   5,   6,   3}; //   4
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 4);

  int c_p_3[] = {  0,   6,   7,   3}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {  0}; //   1
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 1);
  int c_d_3[] = {  0,   5,   6,   3}; //   4
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 4);

  int c_p_4[] = {  5,   6,   7,   4}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {  1}; //   1
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 1);
  int c_d_4[] = {  4,   5,   6,   3}; //   4
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 4);

  int c_p_5[] = {  0,   6,   7,   4}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {  1}; //   1
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 1);
  int c_d_5[] = {  4,   5,   6,   3}; //   4
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 4);

  int c_p_6[] = {  8,   9,  10,   3}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {  0}; //   1
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 1);
  int c_d_6[] = {  0,   7,   8,   9}; //   4
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 4);

  int c_p_7[] = {  8,   9,  10,   4}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {  1}; //   1
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 1);
  int c_d_7[] = {  4,   7,   8,   9}; //   4
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 4);

  int c_p_8[] = {  8,  11,  12,   3}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  0}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = {  0,  10,   3,   9}; //   4
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 4);

  int c_p_9[] = {  8,  13,  12,   3}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  0}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = {  0,  10,   3,   9}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = {  8,  11,  12,   4}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {  1}; //   1
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 1);
  int c_d_10[] = {  4,  10,   3,   9}; //   4
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 4);

  int c_p_11[] = {  8,  13,  12,   4}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {  1}; //   1
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 1);
  int c_d_11[] = {  4,  10,   3,   9}; //   4
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 4);

  int c_p_12[] = {  8,  14,  15,  16}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  1}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = { 11,   3,  12,   9}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  8,  14,  17,  16}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  1}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = { 11,   3,  12,   9}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = {  8,  18,  19,  20}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  0}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = { 13,   3,  14,   9}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = {  8,  18,  21,  20}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  0}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = { 13,   3,  14,   9}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = {  5,  22,  23,  24}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  1}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 15,   9,  16,   3}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = {  0,  22,  23,  24}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  1}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 15,   9,  16,   3}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = {  5,  25,  26,  27}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  0}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 17,   9,  18,   3}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = {  0,  25,  26,  27}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  0}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = { 17,   9,  18,   3}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 3);
  int c_f_20[] = {  0}; //   1
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 1);
  int c_t_20[] = {  0,   2}; //   2
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 2);
  int c_d_20[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 3);

  int c_p_21[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 3);
  int c_f_21[] = {  1}; //   1
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 1);
  int c_t_21[] = {  1,   3}; //   2
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 2);
  int c_d_21[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 3);

  int c_p_22[] = {  5,   6,   7}; //   3
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 3);
  int c_f_22[] = {  0}; //   1
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 1);
  int c_t_22[] = {  0,   2}; //   2
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 2);
  int c_d_22[] = {  5,   6,   3}; //   3
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 3);

  int c_p_23[] = {  0,   6,   7}; //   3
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 3);
  int c_f_23[] = {  0}; //   1
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 1);
  int c_t_23[] = {  0,   2}; //   2
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 2);
  int c_d_23[] = {  5,   6,   3}; //   3
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 3);

  int c_p_24[] = {  5,   6,   7}; //   3
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 3);
  int c_f_24[] = {  1}; //   1
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 1);
  int c_t_24[] = {  1,   3}; //   2
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 2);
  int c_d_24[] = {  5,   6,   3}; //   3
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 3);

  int c_p_25[] = {  0,   6,   7}; //   3
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 3);
  int c_f_25[] = {  1}; //   1
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 1);
  int c_t_25[] = {  1,   3}; //   2
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 2);
  int c_d_25[] = {  5,   6,   3}; //   3
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 3);

  int c_p_26[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 3);
  int c_f_26[] = {  0}; //   1
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 1);
  int c_t_26[] = {  0,   2}; //   2
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 2);
  int c_d_26[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 3);

  int c_p_27[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 3);
  int c_f_27[] = {  1}; //   1
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 1);
  int c_t_27[] = {  1,   3}; //   2
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 2);
  int c_d_27[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 3);

  int c_p_28[] = {  8,  11,  12}; //   3
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 3);
  int c_f_28[] = {  0}; //   1
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 1);
  int c_t_28[] = {  0,   2}; //   2
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 2);
  int c_d_28[] = { 10,   3,   9}; //   3
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 3);

  int c_p_29[] = {  8,  13,  12}; //   3
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 3);
  int c_f_29[] = {  0}; //   1
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 1);
  int c_t_29[] = {  0,   2}; //   2
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 2);
  int c_d_29[] = { 10,   3,   9}; //   3
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 3);

  int c_p_30[] = {  8,  11,  12}; //   3
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 3);
  int c_f_30[] = {  1}; //   1
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 1);
  int c_t_30[] = {  1,   3}; //   2
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 2);
  int c_d_30[] = { 10,   3,   9}; //   3
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 3);

  int c_p_31[] = {  8,  13,  12}; //   3
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 3);
  int c_f_31[] = {  1}; //   1
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 1);
  int c_t_31[] = {  1,   3}; //   2
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 2);
  int c_d_31[] = { 10,   3,   9}; //   3
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 3);

  int c_p_32[] = {  8,  18,  19}; //   3
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 3);
  int c_f_32[] = {  2}; //   1
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 1);
  int c_t_32[] = {  4,   5}; //   2
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 2);
  int c_d_32[] = {  3,  14,   9}; //   3
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 3);

  int c_p_33[] = {  8,  18,  21}; //   3
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 3);
  int c_f_33[] = {  2}; //   1
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 1);
  int c_t_33[] = {  4,   5}; //   2
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 2);
  int c_d_33[] = {  3,  14,   9}; //   3
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 3);

  int c_p_34[] = {  8,  14,  15}; //   3
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 3);
  int c_f_34[] = {  3}; //   1
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 1);
  int c_t_34[] = {  4,   6}; //   2
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 2);
  int c_d_34[] = {  3,  12,   9}; //   3
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 3);

  int c_p_35[] = {  8,  14,  17}; //   3
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 3);
  int c_f_35[] = {  3}; //   1
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 1);
  int c_t_35[] = {  4,   6}; //   2
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 2);
  int c_d_35[] = {  3,  12,   9}; //   3
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 3);

  int c_p_36[] = {  8,  11}; //   2
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 2);
  int c_f_36[] = {  4,   5}; //   2
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 2);
  int c_t_36[] = {  4,   7,   8}; //   3
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 3);
  int c_d_36[] = {  3,   9}; //   2
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 2);

  int c_p_37[] = {  8,  13}; //   2
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 2);
  int c_f_37[] = {  4,   5}; //   2
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 2);
  int c_t_37[] = {  4,   7,   8}; //   3
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 3);
  int c_d_37[] = {  3,   9}; //   2
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 2);

  int c_p_38[] = {  8,  11}; //   2
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 2);
  int c_f_38[] = {  4,   5}; //   2
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 2);
  int c_t_38[] = {  4,   7,   9}; //   3
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 3);
  int c_d_38[] = {  3,   9}; //   2
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 2);

  int c_p_39[] = {  8,  13}; //   2
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 2);
  int c_f_39[] = {  4,   5}; //   2
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 2);
  int c_t_39[] = {  4,   7,   9}; //   3
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 3);
  int c_d_39[] = {  3,   9}; //   2
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 2);

  int c_p_40[] = {  8,  14,  15,  28}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = { 10}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = { 18,   3,  12,   9}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  8,  14,  17,  28}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = { 10}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = { 18,   3,  12,   9}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  8,  18,  19,  29}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = { 11}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = { 16,   3,  14,   9}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  8,  18,  21,  29}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = { 11}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = { 16,   3,  14,   9}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  8,  11,  30}; //   3
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 3);
  int c_f_44[] = {  6}; //   1
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 1);
  int c_t_44[] = { 12,  13}; //   2
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 2);
  int c_d_44[] = { 18,   3,   9}; //   3
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 3);

  int c_p_45[] = {  8,  13,  30}; //   3
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 3);
  int c_f_45[] = {  6}; //   1
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 1);
  int c_t_45[] = { 12,  13}; //   2
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 2);
  int c_d_45[] = { 18,   3,   9}; //   3
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 3);

  int c_p_46[] = {  8,  11,  31}; //   3
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 3);
  int c_f_46[] = {  7}; //   1
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 1);
  int c_t_46[] = { 12,  14}; //   2
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 2);
  int c_d_46[] = { 16,   3,   9}; //   3
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 3);

  int c_p_47[] = {  8,  13,  31}; //   3
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 3);
  int c_f_47[] = {  7}; //   1
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 1);
  int c_t_47[] = { 12,  14}; //   2
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 2);
  int c_d_47[] = { 16,   3,   9}; //   3
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 3);

  int c_p_48[] = {  8,  11,  30}; //   3
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 3);
  int c_f_48[] = {  8}; //   1
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 1);
  int c_t_48[] = {  0,  15}; //   2
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 2);
  int c_d_48[] = { 18,   3,   9}; //   3
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 3);

  int c_p_49[] = {  8,  13,  30}; //   3
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 3);
  int c_f_49[] = {  8}; //   1
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 1);
  int c_t_49[] = {  0,  15}; //   2
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 2);
  int c_d_49[] = { 18,   3,   9}; //   3
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 3);

  int c_p_50[] = {  8,  11,  31}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  9}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  1,  16}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = { 16,   3,   9}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  8,  13,  31}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  9}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  1,  16}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = { 16,   3,   9}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  5,  32,  33}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = { 10}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  0,  17}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = { 14,   9,   3}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  0,  32,  33}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = { 10}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  0,  17}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = { 14,   9,   3}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  5,  32,  34}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = { 11}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  1,  18}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = { 12,   9,   3}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  0,  32,  34}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = { 11}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  1,  18}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = { 12,   9,   3}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  8,  11}; //   2
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 2);
  int c_f_56[] = { 12,   8}; //   2
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 2);
  int c_t_56[] = {  0,  15,  19}; //   3
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 3);
  int c_d_56[] = {  3,   9}; //   2
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 2);

  int c_p_57[] = {  8,  13}; //   2
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 2);
  int c_f_57[] = { 12,   8}; //   2
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 2);
  int c_t_57[] = {  0,  15,  19}; //   3
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 3);
  int c_d_57[] = {  3,   9}; //   2
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 2);

  int c_p_58[] = {  8,  11}; //   2
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 2);
  int c_f_58[] = { 13,   9}; //   2
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 2);
  int c_t_58[] = {  1,  16,  20}; //   3
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 3);
  int c_d_58[] = {  3,   9}; //   2
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 2);

  int c_p_59[] = {  8,  13}; //   2
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 2);
  int c_f_59[] = { 13,   9}; //   2
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 2);
  int c_t_59[] = {  1,  16,  20}; //   3
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 3);
  int c_d_59[] = {  3,   9}; //   2
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 2);

  int c_p_60[] = {  5,  32}; //   2
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 2);
  int c_f_60[] = { 14,  10}; //   2
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 2);
  int c_t_60[] = {  0,  17,  21}; //   3
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 3);
  int c_d_60[] = {  9,   3}; //   2
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 2);

  int c_p_61[] = {  0,  32}; //   2
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 2);
  int c_f_61[] = { 14,  10}; //   2
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 2);
  int c_t_61[] = {  0,  17,  21}; //   3
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 3);
  int c_d_61[] = {  9,   3}; //   2
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 2);

  int c_p_62[] = {  5,  32}; //   2
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 2);
  int c_f_62[] = { 15,  11}; //   2
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 2);
  int c_t_62[] = {  1,  18,  22}; //   3
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 3);
  int c_d_62[] = {  9,   3}; //   2
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 2);

  int c_p_63[] = {  0,  32}; //   2
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 2);
  int c_f_63[] = { 15,  11}; //   2
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 2);
  int c_t_63[] = {  1,  18,  22}; //   3
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 3);
  int c_d_63[] = {  9,   3}; //   2
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 2);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
