#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnenex04/header/ppeexnenex04.phasespace.h"
void ppeexnenex04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi){
  static Logger logger("ppeexnenex04_ac_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  2){ppeexnenex04_ac_psp_240_gg_emepvevexddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  3){ppeexnenex04_ac_psp_240_gg_emepvevexuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  4){ppeexnenex04_ac_psp_240_gg_emepvevexbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  5){ppeexnenex04_ac_psp_240_gd_emepvevexgd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  6){ppeexnenex04_ac_psp_240_gu_emepvevexgu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  7){ppeexnenex04_ac_psp_240_gb_emepvevexgb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  8){ppeexnenex04_ac_psp_240_gdx_emepvevexgdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] ==  9){ppeexnenex04_ac_psp_240_gux_emepvevexgux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 10){ppeexnenex04_ac_psp_240_gbx_emepvevexgbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 11){ppeexnenex04_ac_psp_240_dd_emepvevexdd(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 12){ppeexnenex04_ac_psp_240_du_emepvevexdu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 13){ppeexnenex04_ac_psp_240_ds_emepvevexds(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 14){ppeexnenex04_ac_psp_240_dc_emepvevexdc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 15){ppeexnenex04_ac_psp_240_dc_emepvevexus(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 16){ppeexnenex04_ac_psp_240_db_emepvevexdb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 17){ppeexnenex04_ac_psp_240_ddx_emepvevexgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 18){ppeexnenex04_ac_psp_240_ddx_emepvevexddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 19){ppeexnenex04_ac_psp_240_ddx_emepvevexuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 20){ppeexnenex04_ac_psp_240_ddx_emepvevexssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 21){ppeexnenex04_ac_psp_240_ddx_emepvevexccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 22){ppeexnenex04_ac_psp_240_ddx_emepvevexbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 23){ppeexnenex04_ac_psp_240_dux_emepvevexdux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 24){ppeexnenex04_ac_psp_240_dux_emepvevexscx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 25){ppeexnenex04_ac_psp_240_dsx_emepvevexdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 26){ppeexnenex04_ac_psp_240_dsx_emepvevexucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 27){ppeexnenex04_ac_psp_240_dcx_emepvevexdcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 28){ppeexnenex04_ac_psp_240_dbx_emepvevexdbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 29){ppeexnenex04_ac_psp_240_uu_emepvevexuu(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 30){ppeexnenex04_ac_psp_240_uc_emepvevexuc(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 31){ppeexnenex04_ac_psp_240_ub_emepvevexub(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 32){ppeexnenex04_ac_psp_240_udx_emepvevexudx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 33){ppeexnenex04_ac_psp_240_udx_emepvevexcsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 34){ppeexnenex04_ac_psp_240_uux_emepvevexgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 35){ppeexnenex04_ac_psp_240_uux_emepvevexddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 36){ppeexnenex04_ac_psp_240_uux_emepvevexuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 37){ppeexnenex04_ac_psp_240_uux_emepvevexssx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 38){ppeexnenex04_ac_psp_240_uux_emepvevexccx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 39){ppeexnenex04_ac_psp_240_uux_emepvevexbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 40){ppeexnenex04_ac_psp_240_usx_emepvevexusx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 41){ppeexnenex04_ac_psp_240_ucx_emepvevexdsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 42){ppeexnenex04_ac_psp_240_ucx_emepvevexucx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 43){ppeexnenex04_ac_psp_240_ubx_emepvevexubx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 44){ppeexnenex04_ac_psp_240_bb_emepvevexbb(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 45){ppeexnenex04_ac_psp_240_bdx_emepvevexbdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 46){ppeexnenex04_ac_psp_240_bux_emepvevexbux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 47){ppeexnenex04_ac_psp_240_bbx_emepvevexgg(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 48){ppeexnenex04_ac_psp_240_bbx_emepvevexddx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 49){ppeexnenex04_ac_psp_240_bbx_emepvevexuux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 50){ppeexnenex04_ac_psp_240_bbx_emepvevexbbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 51){ppeexnenex04_ac_psp_240_dxdx_emepvevexdxdx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 52){ppeexnenex04_ac_psp_240_dxux_emepvevexdxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 53){ppeexnenex04_ac_psp_240_dxsx_emepvevexdxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 54){ppeexnenex04_ac_psp_240_dxcx_emepvevexdxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 55){ppeexnenex04_ac_psp_240_dxcx_emepvevexuxsx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 56){ppeexnenex04_ac_psp_240_dxbx_emepvevexdxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 57){ppeexnenex04_ac_psp_240_uxux_emepvevexuxux(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 58){ppeexnenex04_ac_psp_240_uxcx_emepvevexuxcx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 59){ppeexnenex04_ac_psp_240_uxbx_emepvevexuxbx(no_ps, channel, psi);} 
  else if (psi_no_map[no_ps] == 60){ppeexnenex04_ac_psp_240_bxbx_emepvevexbxbx(no_ps, channel, psi);} 

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
