#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnenex04/header/ppeexnenex04.phasespace.h"
void ppeexnenex04_ax_psp_240_bux_emepvevexbux(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexnenex04_ax_psp_240_bux_emepvevexbux");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(39);
  psi_needed_v_smin[no_ps].resize(39);
  int needed_v_smin_0[] = {   0,    1,    7,    8,   12,   16,   17,   23,   24,   28,   32,   33,   35,   36,   37,   38,   44,   45,   51,   52,   54,   55,   56,   57,   63,   64,   70,   71,   73,   74,   75,   76,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  101,  102,  103,  104}; //  58
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 58);
  int needed_v_smin_1[] = {   0,    1,   16,   17,   37,   38,   56,   57}; //   8
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 8);
  int needed_v_smin_2[] = {   0,    1,    2,    3,   16,   17,   18,   19,   37,   38,   39,   40,   56,   57,   58,   59}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   2,    3,    4,   13,   14,   15,   18,   19,   20,   29,   30,   31,   34,   39,   40,   41,   49,   50,   53,   58,   59,   60,   68,   69,   72,   77,  100,  105}; //  28
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 28);
  int needed_v_smin_4[] = {   2,    3,   18,   19,   39,   40,   58,   59}; //   8
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 8);
  int needed_v_smin_5[] = {   4,   20,   41,   60}; //   4
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 4);
  int needed_v_smin_6[] = {   4,    6,   20,   22,   41,   43,   60,   62}; //   8
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 8);
  int needed_v_smin_7[] = {   5,    6,   12,   21,   22,   28,   32,   33,   35,   36,   42,   43,   51,   52,   54,   55,   61,   62,   70,   71,   73,   74,   75,   76,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  101,  102,  103,  104}; //  50
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 50);
  int needed_v_smin_8[] = {   5,   21,   42,   61}; //   4
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 4);
  int needed_v_smin_9[] = {   5,   11,   21,   27,   42,   48,   61,   67}; //   8
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 8);
  int needed_v_smin_10[] = {   6,   22,   43,   62}; //   4
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 4);
  int needed_v_smin_11[] = {   7,    8,   23,   24,   44,   45,   63,   64}; //   8
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 8);
  int needed_v_smin_12[] = {   7,    8,    9,   10,   23,   24,   25,   26,   44,   45,   46,   47,   63,   64,   65,   66}; //  16
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 16);
  int needed_v_smin_13[] = {   9,   10,   11,   13,   14,   15,   25,   26,   27,   29,   30,   31,   34,   46,   47,   48,   49,   50,   53,   65,   66,   67,   68,   69,   72,   77,  100,  105}; //  28
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 28);
  int needed_v_smin_14[] = {   9,   10,   25,   26,   46,   47,   65,   66}; //   8
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 8);
  int needed_v_smin_15[] = {  11,   27,   48,   67}; //   4
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 4);
  int needed_v_smin_16[] = {  12,   28}; //   2
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 2);
  int needed_v_smin_17[] = {  13,   14,   15,   29,   30,   31,   49,   50,   68,   69}; //  10
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 10);
  int needed_v_smin_18[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,    0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15}; //  32
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 32);
  int needed_v_smin_19[] = {  32,   33,   75,   76,   90,   91,   94,   95,   70,   71}; //  10
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 10);
  int needed_v_smin_20[] = {  32,   33,   70,   71,   75,   76}; //   6
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 6);
  int needed_v_smin_21[] = {  34,   77,   72}; //   3
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 3);
  int needed_v_smin_22[] = {  34,   72,   77}; //   3
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 3);
  int needed_v_smin_23[] = {  35,   36,   78,   79,   88,   89,   92,   93,   73,   74}; //  10
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 10);
  int needed_v_smin_24[] = {  35,   36,   73,   74,   78,   79}; //   6
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 6);
  int needed_v_smin_25[] = {  37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69}; //  28
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 28);
  int needed_v_smin_26[] = {  51,   52,   80,   81,   88,   89,   98,   99,  103,  104}; //  10
  psi_needed_v_smin[no_ps][ 26] = get_vector_from_array_int(needed_v_smin_26, 10);
  int needed_v_smin_27[] = {  51,   52,   98,   99,  103,  104}; //   6
  psi_needed_v_smin[no_ps][ 27] = get_vector_from_array_int(needed_v_smin_27, 6);
  int needed_v_smin_28[] = {  53,  100,  105}; //   3
  psi_needed_v_smin[no_ps][ 28] = get_vector_from_array_int(needed_v_smin_28, 3);
  int needed_v_smin_29[] = {  53,  100,  105}; //   3
  psi_needed_v_smin[no_ps][ 29] = get_vector_from_array_int(needed_v_smin_29, 3);
  int needed_v_smin_30[] = {  54,   55,   82,   83,   90,   91,   96,   97,  101,  102}; //  10
  psi_needed_v_smin[no_ps][ 30] = get_vector_from_array_int(needed_v_smin_30, 10);
  int needed_v_smin_31[] = {  54,   55,   96,   97,  101,  102}; //   6
  psi_needed_v_smin[no_ps][ 31] = get_vector_from_array_int(needed_v_smin_31, 6);
  int needed_v_smin_32[] = {  80,   81}; //   2
  psi_needed_v_smin[no_ps][ 32] = get_vector_from_array_int(needed_v_smin_32, 2);
  int needed_v_smin_33[] = {  82,   83}; //   2
  psi_needed_v_smin[no_ps][ 33] = get_vector_from_array_int(needed_v_smin_33, 2);
  int needed_v_smin_34[] = {  84,   85,   86,   87}; //   4
  psi_needed_v_smin[no_ps][ 34] = get_vector_from_array_int(needed_v_smin_34, 4);
  int needed_v_smin_35[] = {  84,   85}; //   2
  psi_needed_v_smin[no_ps][ 35] = get_vector_from_array_int(needed_v_smin_35, 2);
  int needed_v_smin_36[] = {  86,   87}; //   2
  psi_needed_v_smin[no_ps][ 36] = get_vector_from_array_int(needed_v_smin_36, 2);
  int needed_v_smin_37[] = {  92,   93}; //   2
  psi_needed_v_smin[no_ps][ 37] = get_vector_from_array_int(needed_v_smin_37, 2);
  int needed_v_smin_38[] = {  94,   95}; //   2
  psi_needed_v_smin[no_ps][ 38] = get_vector_from_array_int(needed_v_smin_38, 2);

  psi_v_smax[no_ps].resize(38);
  psi_needed_v_smax[no_ps].resize(38);
  int needed_v_smax_0[] = {   0,    1,    7,    8,   12,   16,   17,   23,   24,   28,   32,   33,   37,   38,   44,   45,   51,   52,   56,   57,   63,   64,   70,   71,   75,   76,   80,   81,   84,   85,   88,   89,   92,   93,   96,   97,  101,  102}; //  38
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 38);
  int needed_v_smax_1[] = {   0,    1,    2,    3,   16,   17,   18,   19,   37,   38,   39,   40,   56,   57,   58,   59}; //  16
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 16);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69}; //  60
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 60);
  int needed_v_smax_3[] = {   2,    3,    4,   13,   14,   15,   18,   19,   20,   29,   30,   31,   34,   39,   40,   41,   49,   50,   53,   58,   59,   60,   68,   69,   72,   77}; //  26
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 26);
  int needed_v_smax_4[] = {   4,    6,   20,   22,   41,   43,   60,   62}; //   8
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 8);
  int needed_v_smax_5[] = {   5,    6,   21,   22,   35,   36,   42,   43,   54,   55,   61,   62,   73,   74,   78,   79,   82,   83,   86,   87,   90,   91,   94,   95,   98,   99,  103,  104}; //  28
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 28);
  int needed_v_smax_6[] = {   5,   11,   21,   27,   42,   48,   61,   67}; //   8
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 8);
  int needed_v_smax_7[] = {   7,    8,    9,   10,   23,   24,   25,   26,   44,   45,   46,   47,   63,   64,   65,   66}; //  16
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 16);
  int needed_v_smax_8[] = {   9,   10,   11,   25,   26,   27,   46,   47,   48,   65,   66,   67,  100,  105}; //  14
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 14);
  int needed_v_smax_9[] = {  12,   28,   70,   71,   84,   85,   92,   93,   96,   97,  101,  102}; //  12
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 12);
  int needed_v_smax_10[] = {  13,   14,   15,   29,   30,   31,   49,   50,   68,   69,   72}; //  11
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 11);
  int needed_v_smax_11[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,    0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79}; //  47
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 47);
  int needed_v_smax_12[] = {  32,   33,   75,   76}; //   4
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 4);
  int needed_v_smax_13[] = {  32,   33,   75,   76}; //   4
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 4);
  int needed_v_smax_14[] = {  34,   77}; //   2
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 2);
  int needed_v_smax_15[] = {  34,   77}; //   2
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 2);
  int needed_v_smax_16[] = {  35,   36,   78,   79}; //   4
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 4);
  int needed_v_smax_17[] = {  35,   36,   78,   79}; //   4
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 4);
  int needed_v_smax_18[] = {  37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105}; //  43
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 43);
  int needed_v_smax_19[] = {  51,   52,   80,   81,   88,   89}; //   6
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 6);
  int needed_v_smax_20[] = {  51,   52,   80,   81,   88,   89}; //   6
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 6);
  int needed_v_smax_21[] = {  53}; //   1
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 1);
  int needed_v_smax_22[] = {  53}; //   1
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 1);
  int needed_v_smax_23[] = {  54,   55,   82,   83,   90,   91}; //   6
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 6);
  int needed_v_smax_24[] = {  54,   55,   82,   83,   90,   91}; //   6
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 6);
  int needed_v_smax_25[] = {  73,   74,   86,   87,   94,   95,   98,   99,  103,  104}; //  10
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 10);
  int needed_v_smax_26[] = {  88,   89}; //   2
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 2);
  int needed_v_smax_27[] = {  90,   91}; //   2
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 2);
  int needed_v_smax_28[] = {  92,   93,   73,   74}; //   4
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 4);
  int needed_v_smax_29[] = {  94,   95,   70,   71}; //   4
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 4);
  int needed_v_smax_30[] = {  96,   97,  101,  102}; //   4
  psi_needed_v_smax[no_ps][ 30] = get_vector_from_array_int(needed_v_smax_30, 4);
  int needed_v_smax_31[] = {  98,   99,  103,  104}; //   4
  psi_needed_v_smax[no_ps][ 31] = get_vector_from_array_int(needed_v_smax_31, 4);
  int needed_v_smax_32[] = { 100,  105}; //   2
  psi_needed_v_smax[no_ps][ 32] = get_vector_from_array_int(needed_v_smax_32, 2);
  int needed_v_smax_33[] = { 100,  105}; //   2
  psi_needed_v_smax[no_ps][ 33] = get_vector_from_array_int(needed_v_smax_33, 2);
  int needed_v_smax_34[] = {  72}; //   1
  psi_needed_v_smax[no_ps][ 34] = get_vector_from_array_int(needed_v_smax_34, 1);
  int needed_v_smax_35[] = {  80,   81,   84,   85,   94,   95}; //   6
  psi_needed_v_smax[no_ps][ 35] = get_vector_from_array_int(needed_v_smax_35, 6);
  int needed_v_smax_36[] = {  82,   83,   86,   87,   92,   93}; //   6
  psi_needed_v_smax[no_ps][ 36] = get_vector_from_array_int(needed_v_smax_36, 6);
  int needed_v_smax_37[] = {  84,   85,   86,   87}; //   4
  psi_needed_v_smax[no_ps][ 37] = get_vector_from_array_int(needed_v_smax_37, 4);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(57);
  psi_needed_g_p[no_ps].resize(57);
  int needed_g_p_0[] = {   0,    1,    7,    8,   12,   16,   17,   23,   24,   28,   32,   33,   37,   38,   44,   45,   51,   52,   56,   57,   63,   64,   70,   71,   75,   76,   80,   81,   84,   85,   88,   89,   92,   93,   96,   97,  101,  102}; //  38
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 38);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,   16,   17,   37,   38,   56,   57}; //   8
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 8);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2,   16,   18,   37,   39,   56,   58}; //   8
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 8);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   1,    3,   17,   19,   38,   40,   57,   59}; //   8
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 8);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_4[] = {   2,    3,    4,   13,   14,   15,   18,   19,   20,   29,   30,   31,   34,   39,   40,   41,   49,   50,   53,   58,   59,   60,   68,   69,   72,   77}; //  26
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 26);
  psi_container_IS_name.push_back("propagator_24_smin3_smax3");
  int needed_g_p_5[] = {   2,    3,   18,   19,   39,   40,   58,   59}; //   8
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 8);
  psi_container_IS_name.push_back("propagator_0_smin4_smax1");
  int needed_g_p_6[] = {   4,   20,   41,   60}; //   4
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 4);
  psi_container_IS_name.push_back("propagator_0_smin5_smax4");
  int needed_g_p_7[] = {   4,    6,   20,   22,   41,   43,   60,   62}; //   8
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 8);
  psi_container_IS_name.push_back("propagator_23_smin6_smax2");
  int needed_g_p_8[] = {   5,    6,   21,   22,   36,   42,   43,   55,   61,   62,   74,   79,   83,   87,   91,   95,   99,  104}; //  18
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 18);
  psi_container_IS_name.push_back("propagator_23_smin7_smax5");
  int needed_g_p_9[] = {   5,   21,   42,   61}; //   4
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 4);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_10[] = {   5,   11,   21,   27,   42,   48,   61,   67}; //   8
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 8);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_11[] = {   6,   22,   43,   62}; //   4
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 4);
  psi_container_IS_name.push_back("propagator_0_smin10_smax4");
  int needed_g_p_12[] = {   7,    8,   23,   24,   44,   45,   63,   64}; //   8
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 8);
  psi_container_IS_name.push_back("propagator_0_smin11_smax7");
  int needed_g_p_13[] = {   7,    9,   23,   25,   44,   46,   63,   65}; //   8
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 8);
  psi_container_IS_name.push_back("propagator_0_smin12_smax2");
  int needed_g_p_14[] = {   8,   10,   24,   26,   45,   47,   64,   66}; //   8
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 8);
  psi_container_IS_name.push_back("propagator_23_smin12_smax2");
  int needed_g_p_15[] = {   9,   10,   11,   25,   26,   27,   46,   47,   48,   65,   66,   67,  100,  105}; //  14
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 14);
  psi_container_IS_name.push_back("propagator_24_smin13_smax8");
  int needed_g_p_16[] = {   9,   10,   25,   26,   46,   47,   65,   66}; //   8
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 8);
  psi_container_IS_name.push_back("propagator_0_smin14_smax7");
  int needed_g_p_17[] = {  11,   27,   48,   67}; //   4
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 4);
  psi_container_IS_name.push_back("propagator_0_smin15_smax6");
  int needed_g_p_18[] = {  12,   28,   71,   85,   93,   97,  102}; //   7
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 7);
  psi_container_IS_name.push_back("propagator_23_smin7_smax9");
  int needed_g_p_19[] = {  12,   28}; //   2
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 2);
  psi_container_IS_name.push_back("propagator_25_smin16_smax2");
  int needed_g_p_20[] = {  13,   14,   15,   29,   30,   31,   49,   50,   68,   69,   72}; //  11
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 11);
  psi_container_IS_name.push_back("propagator_24_smin13_smax10");
  int needed_g_p_21[] = {  13,   29,   49,   68}; //   4
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax2");
  int needed_g_p_22[] = {  14,   30,   50,   69}; //   4
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 4);
  psi_container_IS_name.push_back("propagator_23_smin17_smax2");
  int needed_g_p_23[] = {  15,   31}; //   2
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 2);
  psi_container_IS_name.push_back("propagator_25_smin17_smax2");
  int needed_g_p_24[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  16
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 16);
  psi_container_IS_name.push_back("propagator_5_smin18_smax11");
  int needed_g_p_25[] = {  32,   33,   75,   76}; //   4
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 4);
  psi_container_IS_name.push_back("propagator_5_smin19_smax12");
  int needed_g_p_26[] = {  32,   75}; //   2
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 2);
  psi_container_IS_name.push_back("propagator_0_smin7_smax13");
  int needed_g_p_27[] = {  32,   33}; //   2
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 2);
  psi_container_IS_name.push_back("propagator_5_smin20_smax11");
  int needed_g_p_28[] = {  33,   76}; //   2
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 2);
  psi_container_IS_name.push_back("propagator_23_smin7_smax13");
  int needed_g_p_29[] = {  34,   77}; //   2
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 2);
  psi_container_IS_name.push_back("propagator_6_smin21_smax14");
  int needed_g_p_30[] = {  34,   77}; //   2
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 2);
  psi_container_IS_name.push_back("propagator_24_smin13_smax15");
  int needed_g_p_31[] = {  34}; //   1
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 1);
  psi_container_IS_name.push_back("propagator_5_smin22_smax11");
  int needed_g_p_32[] = {  35,   54,   73,   78,   82,   86,   90,   94,   98,  103}; //  10
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 10);
  psi_container_IS_name.push_back("propagator_0_smin7_smax5");
  int needed_g_p_33[] = {  35,   36,   78,   79}; //   4
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 4);
  psi_container_IS_name.push_back("propagator_5_smin23_smax16");
  int needed_g_p_34[] = {  35,   36,   78,   79}; //   4
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 4);
  psi_container_IS_name.push_back("propagator_23_smin0_smax17");
  int needed_g_p_35[] = {  35,   36}; //   2
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 2);
  psi_container_IS_name.push_back("propagator_5_smin24_smax11");
  int needed_g_p_36[] = {  37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50}; //  14
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 14);
  psi_container_IS_name.push_back("propagator_0_smin25_smax18");
  int needed_g_p_37[] = {  51,   52,   80,   81,   88,   89}; //   6
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 6);
  psi_container_IS_name.push_back("propagator_0_smin26_smax19");
  int needed_g_p_38[] = {  51,   80,   88}; //   3
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 3);
  psi_container_IS_name.push_back("propagator_0_smin7_smax20");
  int needed_g_p_39[] = {  51,   52}; //   2
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 2);
  psi_container_IS_name.push_back("propagator_0_smin27_smax18");
  int needed_g_p_40[] = {  52,   81,   89}; //   3
  psi_needed_g_p[no_ps][40] = get_vector_from_array_int(needed_g_p_40, 3);
  psi_container_IS_name.push_back("propagator_23_smin7_smax20");
  int needed_g_p_41[] = {  53}; //   1
  psi_needed_g_p[no_ps][41] = get_vector_from_array_int(needed_g_p_41, 1);
  psi_container_IS_name.push_back("propagator_0_smin28_smax21");
  int needed_g_p_42[] = {  53}; //   1
  psi_needed_g_p[no_ps][42] = get_vector_from_array_int(needed_g_p_42, 1);
  psi_container_IS_name.push_back("propagator_24_smin13_smax22");
  int needed_g_p_43[] = {  53}; //   1
  psi_needed_g_p[no_ps][43] = get_vector_from_array_int(needed_g_p_43, 1);
  psi_container_IS_name.push_back("propagator_0_smin29_smax18");
  int needed_g_p_44[] = {  54,   55,   82,   83,   90,   91}; //   6
  psi_needed_g_p[no_ps][44] = get_vector_from_array_int(needed_g_p_44, 6);
  psi_container_IS_name.push_back("propagator_0_smin30_smax23");
  int needed_g_p_45[] = {  54,   55,   82,   83,   90,   91}; //   6
  psi_needed_g_p[no_ps][45] = get_vector_from_array_int(needed_g_p_45, 6);
  psi_container_IS_name.push_back("propagator_23_smin0_smax24");
  int needed_g_p_46[] = {  54,   55}; //   2
  psi_needed_g_p[no_ps][46] = get_vector_from_array_int(needed_g_p_46, 2);
  psi_container_IS_name.push_back("propagator_0_smin31_smax18");
  int needed_g_p_47[] = {  70,   84,   92,   96,  101}; //   5
  psi_needed_g_p[no_ps][47] = get_vector_from_array_int(needed_g_p_47, 5);
  psi_container_IS_name.push_back("propagator_0_smin7_smax9");
  int needed_g_p_48[] = {  73,   74,   86,   87,   94,   95,   98,   99,  103,  104}; //  10
  psi_needed_g_p[no_ps][48] = get_vector_from_array_int(needed_g_p_48, 10);
  psi_container_IS_name.push_back("propagator_23_smin0_smax25");
  int needed_g_p_49[] = {  88,   89}; //   2
  psi_needed_g_p[no_ps][49] = get_vector_from_array_int(needed_g_p_49, 2);
  psi_container_IS_name.push_back("propagator_5_smin23_smax26");
  int needed_g_p_50[] = {  90,   91}; //   2
  psi_needed_g_p[no_ps][50] = get_vector_from_array_int(needed_g_p_50, 2);
  psi_container_IS_name.push_back("propagator_5_smin19_smax27");
  int needed_g_p_51[] = {  92,   93}; //   2
  psi_needed_g_p[no_ps][51] = get_vector_from_array_int(needed_g_p_51, 2);
  psi_container_IS_name.push_back("propagator_5_smin23_smax28");
  int needed_g_p_52[] = {  94,   95}; //   2
  psi_needed_g_p[no_ps][52] = get_vector_from_array_int(needed_g_p_52, 2);
  psi_container_IS_name.push_back("propagator_5_smin19_smax29");
  int needed_g_p_53[] = {  96,   97}; //   2
  psi_needed_g_p[no_ps][53] = get_vector_from_array_int(needed_g_p_53, 2);
  psi_container_IS_name.push_back("propagator_0_smin30_smax30");
  int needed_g_p_54[] = {  98,   99}; //   2
  psi_needed_g_p[no_ps][54] = get_vector_from_array_int(needed_g_p_54, 2);
  psi_container_IS_name.push_back("propagator_0_smin26_smax31");
  int needed_g_p_55[] = { 100,  105}; //   2
  psi_needed_g_p[no_ps][55] = get_vector_from_array_int(needed_g_p_55, 2);
  psi_container_IS_name.push_back("propagator_24_smin3_smax32");
  int needed_g_p_56[] = { 100}; //   1
  psi_needed_g_p[no_ps][56] = get_vector_from_array_int(needed_g_p_56, 1);
  psi_container_IS_name.push_back("propagator_0_smin28_smax33");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(21);
  psi_needed_g_f[no_ps].resize(21);
  int needed_g_f_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15}; //  16
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 16);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax11");
  int needed_g_f_1[] = {  56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69}; //  14
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 14);
  psi_container_IS_name.push_back("timelikeinvariant_smin25_smax18");
  int needed_g_f_2[] = {  70,   71}; //   2
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax29");
  int needed_g_f_3[] = {  70,   71,   75,   76}; //   4
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax11");
  int needed_g_f_4[] = {  72}; //   1
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax34");
  int needed_g_f_5[] = {  72,   77}; //   2
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax11");
  int needed_g_f_6[] = {  73,   74}; //   2
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin23_smax28");
  int needed_g_f_7[] = {  73,   74,   78,   79}; //   4
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin24_smax11");
  int needed_g_f_8[] = {  80,   81}; //   2
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin32_smax35");
  int needed_g_f_9[] = {  82,   83}; //   2
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin33_smax36");
  int needed_g_f_10[] = {  84,   85,   86,   87}; //   4
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin34_smax37");
  int needed_g_f_11[] = {  84,   85}; //   2
  psi_needed_g_f[no_ps][11] = get_vector_from_array_int(needed_g_f_11, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin35_smax35");
  int needed_g_f_12[] = {  86,   87}; //   2
  psi_needed_g_f[no_ps][12] = get_vector_from_array_int(needed_g_f_12, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin36_smax36");
  int needed_g_f_13[] = {  92,   93}; //   2
  psi_needed_g_f[no_ps][13] = get_vector_from_array_int(needed_g_f_13, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin37_smax36");
  int needed_g_f_14[] = {  94,   95}; //   2
  psi_needed_g_f[no_ps][14] = get_vector_from_array_int(needed_g_f_14, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin38_smax35");
  int needed_g_f_15[] = {  96,   97,  101,  102}; //   4
  psi_needed_g_f[no_ps][15] = get_vector_from_array_int(needed_g_f_15, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin31_smax18");
  int needed_g_f_16[] = {  98,   99,  103,  104}; //   4
  psi_needed_g_f[no_ps][16] = get_vector_from_array_int(needed_g_f_16, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin27_smax18");
  int needed_g_f_17[] = { 100,  105}; //   2
  psi_needed_g_f[no_ps][17] = get_vector_from_array_int(needed_g_f_17, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin29_smax18");
  int needed_g_f_18[] = { 101,  102}; //   2
  psi_needed_g_f[no_ps][18] = get_vector_from_array_int(needed_g_f_18, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin30_smax30");
  int needed_g_f_19[] = { 103,  104}; //   2
  psi_needed_g_f[no_ps][19] = get_vector_from_array_int(needed_g_f_19, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin26_smax31");
  int needed_g_f_20[] = { 105}; //   1
  psi_needed_g_f[no_ps][20] = get_vector_from_array_int(needed_g_f_20, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin28_smax33");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(30);
  psi_needed_g_t[no_ps].resize(30);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   36,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79}; //  47
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 47);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__128_124");
  int needed_g_t_1[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15}; //  16
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 16);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__130_1__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__130_1__64_60");
  int needed_g_t_2[] = {  37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105}; //  43
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 43);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_3[] = {  56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69}; //  14
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 14);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_4[] = {  70,   71,   75,   76}; //   4
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_130__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_130__12_112");
  int needed_g_t_5[] = {  70,   71}; //   2
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 2);
  psi_container_IS_name.push_back("t_of_tchannel_5__130_13__64_48");
  psi_container_IS_name.push_back("phi_of_tchannel_5__130_13__64_48");
  int needed_g_t_6[] = {  72,   77}; //   2
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_130__36_88");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_130__36_88");
  int needed_g_t_7[] = {  72}; //   1
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 1);
  psi_container_IS_name.push_back("t_of_tchannel_5__130_37__64_24");
  psi_container_IS_name.push_back("phi_of_tchannel_5__130_37__64_24");
  int needed_g_t_8[] = {  73,   74,   78,   79}; //   4
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_130__48_76");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_130__48_76");
  int needed_g_t_9[] = {  73,   74}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_5__130_49__64_12");
  psi_container_IS_name.push_back("phi_of_tchannel_5__130_49__64_12");
  int needed_g_t_10[] = {  80,   81,   84,   85}; //   4
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__12_240");
  int needed_g_t_11[] = {  80,   81}; //   2
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__176_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__176_64");
  int needed_g_t_12[] = {  82,   83,   86,   87}; //   4
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__48_204");
  int needed_g_t_13[] = {  82,   83}; //   2
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__140_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__140_64");
  int needed_g_t_14[] = {  84,   85}; //   2
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__48_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__48_192");
  int needed_g_t_15[] = {  84,   85}; //   2
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__13_50__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__13_50__64_128");
  int needed_g_t_16[] = {  86,   87}; //   2
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__12_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__12_192");
  int needed_g_t_17[] = {  86,   87}; //   2
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__49_14__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__49_14__64_128");
  int needed_g_t_18[] = {  88,   89}; //   2
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__76_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__76_176");
  int needed_g_t_19[] = {  90,   91}; //   2
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__112_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__112_140");
  int needed_g_t_20[] = {  92,   93}; //   2
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__48_204");
  int needed_g_t_21[] = {  92,   93}; //   2
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_50__76_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_50__76_128");
  int needed_g_t_22[] = {  94,   95}; //   2
  psi_needed_g_t[no_ps][22] = get_vector_from_array_int(needed_g_t_22, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__12_240");
  int needed_g_t_23[] = {  94,   95}; //   2
  psi_needed_g_t[no_ps][23] = get_vector_from_array_int(needed_g_t_23, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_14__112_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_14__112_128");
  int needed_g_t_24[] = {  96,   97,  101,  102}; //   4
  psi_needed_g_t[no_ps][24] = get_vector_from_array_int(needed_g_t_24, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__48_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__48_140");
  int needed_g_t_25[] = {  98,   99,  103,  104}; //   4
  psi_needed_g_t[no_ps][25] = get_vector_from_array_int(needed_g_t_25, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__12_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__12_176");
  int needed_g_t_26[] = { 100,  105}; //   2
  psi_needed_g_t[no_ps][26] = get_vector_from_array_int(needed_g_t_26, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__36_152");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__36_152");
  int needed_g_t_27[] = { 101,  102}; //   2
  psi_needed_g_t[no_ps][27] = get_vector_from_array_int(needed_g_t_27, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_50__128_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_50__128_12");
  int needed_g_t_28[] = { 103,  104}; //   2
  psi_needed_g_t[no_ps][28] = get_vector_from_array_int(needed_g_t_28, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_14__128_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_14__128_48");
  int needed_g_t_29[] = { 105}; //   1
  psi_needed_g_t[no_ps][29] = get_vector_from_array_int(needed_g_t_29, 1);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_38__128_24");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_38__128_24");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(32);
  psi_needed_g_d[no_ps].resize(32);
  int needed_g_d_0[] = {   0,    1,    2,    3,   16,   17,   18,   19,   37,   38,   39,   40,   56,   57,   58,   59}; //  16
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_1[] = {   0,    1,   16,   17,   37,   38,   56,   57}; //   8
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 8);
  psi_container_IS_name.push_back("costheta_of_decay_56__8_48");
  psi_container_IS_name.push_back("phi_of_decay_56__8_48");
  int needed_g_d_2[] = {   0,    1,    7,    8,   12,   16,   17,   23,   24,   28,   32,   33,   35,   36,   37,   38,   44,   45,   51,   52,   54,   55,   56,   57,   63,   64,   70,   71,   73,   74,   75,   76,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  101,  102,  103,  104}; //  58
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 58);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_3[] = {   2,    3,   18,   19,   39,   40,   58,   59}; //   8
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 8);
  psi_container_IS_name.push_back("costheta_of_decay_56__32_24");
  psi_container_IS_name.push_back("phi_of_decay_56__32_24");
  int needed_g_d_4[] = {   2,    3,    4,   13,   14,   15,   18,   19,   20,   29,   30,   31,   34,   39,   40,   41,   49,   50,   53,   58,   59,   60,   68,   69,   72,   77,  100,  105}; //  28
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 28);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_5[] = {   4,    6,   20,   22,   41,   43,   60,   62}; //   8
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_6[] = {   4,   20,   41,   60}; //   4
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 4);
  psi_container_IS_name.push_back("costheta_of_decay_28__4_24");
  psi_container_IS_name.push_back("phi_of_decay_28__4_24");
  int needed_g_d_7[] = {   5,   11,   21,   27,   42,   48,   61,   67}; //   8
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_8[] = {   5,   21,   42,   61}; //   4
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_9[] = {   5,    6,   12,   21,   22,   28,   32,   33,   35,   36,   42,   43,   51,   52,   54,   55,   61,   62,   70,   71,   73,   74,   75,   76,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  101,  102,  103,  104}; //  50
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 50);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_10[] = {   6,   22,   43,   62}; //   4
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 4);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_11[] = {   7,    8,    9,   10,   23,   24,   25,   26,   44,   45,   46,   47,   63,   64,   65,   66}; //  16
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_12[] = {   7,    8,   23,   24,   44,   45,   63,   64}; //   8
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 8);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_13[] = {   9,   10,   25,   26,   46,   47,   65,   66}; //   8
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 8);
  psi_container_IS_name.push_back("costheta_of_decay_52__16_36");
  psi_container_IS_name.push_back("phi_of_decay_52__16_36");
  int needed_g_d_14[] = {   9,   10,   11,   13,   14,   15,   25,   26,   27,   29,   30,   31,   34,   46,   47,   48,   49,   50,   53,   65,   66,   67,   68,   69,   72,   77,  100,  105}; //  28
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 28);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_15[] = {  11,   27,   48,   67}; //   4
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 4);
  psi_container_IS_name.push_back("costheta_of_decay_44__8_36");
  psi_container_IS_name.push_back("phi_of_decay_44__8_36");
  int needed_g_d_16[] = {  12,   28}; //   2
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 2);
  psi_container_IS_name.push_back("costheta_of_decay_60__12_48");
  psi_container_IS_name.push_back("phi_of_decay_60__12_48");
  int needed_g_d_17[] = {  13,   14,   15,   29,   30,   31,   49,   50,   68,   69}; //  10
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 10);
  psi_container_IS_name.push_back("costheta_of_decay_60__36_24");
  psi_container_IS_name.push_back("phi_of_decay_60__36_24");
  int needed_g_d_18[] = {  16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  16
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 16);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_19[] = {  32,   33}; //   2
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__12_112");
  psi_container_IS_name.push_back("phi_of_decay_124__12_112");
  int needed_g_d_20[] = {  32,   33,   75,   76,   90,   91,   94,   95}; //   8
  psi_needed_g_d[no_ps][20] = get_vector_from_array_int(needed_g_d_20, 8);
  psi_container_IS_name.push_back("costheta_of_decay_112__64_48");
  psi_container_IS_name.push_back("phi_of_decay_112__64_48");
  int needed_g_d_21[] = {  34}; //   1
  psi_needed_g_d[no_ps][21] = get_vector_from_array_int(needed_g_d_21, 1);
  psi_container_IS_name.push_back("costheta_of_decay_124__36_88");
  psi_container_IS_name.push_back("phi_of_decay_124__36_88");
  int needed_g_d_22[] = {  34,   77}; //   2
  psi_needed_g_d[no_ps][22] = get_vector_from_array_int(needed_g_d_22, 2);
  psi_container_IS_name.push_back("costheta_of_decay_88__64_24");
  psi_container_IS_name.push_back("phi_of_decay_88__64_24");
  int needed_g_d_23[] = {  35,   36}; //   2
  psi_needed_g_d[no_ps][23] = get_vector_from_array_int(needed_g_d_23, 2);
  psi_container_IS_name.push_back("costheta_of_decay_124__48_76");
  psi_container_IS_name.push_back("phi_of_decay_124__48_76");
  int needed_g_d_24[] = {  35,   36,   78,   79,   88,   89,   92,   93}; //   8
  psi_needed_g_d[no_ps][24] = get_vector_from_array_int(needed_g_d_24, 8);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");
  int needed_g_d_25[] = {  37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50}; //  14
  psi_needed_g_d[no_ps][25] = get_vector_from_array_int(needed_g_d_25, 14);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_26[] = {  51,   52}; //   2
  psi_needed_g_d[no_ps][26] = get_vector_from_array_int(needed_g_d_26, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_27[] = {  51,   52,   80,   81,   88,   89,   98,   99}; //   8
  psi_needed_g_d[no_ps][27] = get_vector_from_array_int(needed_g_d_27, 8);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_28[] = {  53}; //   1
  psi_needed_g_d[no_ps][28] = get_vector_from_array_int(needed_g_d_28, 1);
  psi_container_IS_name.push_back("costheta_of_decay_188__36_152");
  psi_container_IS_name.push_back("phi_of_decay_188__36_152");
  int needed_g_d_29[] = {  53,  100}; //   2
  psi_needed_g_d[no_ps][29] = get_vector_from_array_int(needed_g_d_29, 2);
  psi_container_IS_name.push_back("costheta_of_decay_152__128_24");
  psi_container_IS_name.push_back("phi_of_decay_152__128_24");
  int needed_g_d_30[] = {  54,   55}; //   2
  psi_needed_g_d[no_ps][30] = get_vector_from_array_int(needed_g_d_30, 2);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_31[] = {  54,   55,   82,   83,   90,   91,   96,   97}; //   8
  psi_needed_g_d[no_ps][31] = get_vector_from_array_int(needed_g_d_31, 8);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");

  psi_c_p[no_ps].resize(106);
  psi_c_f[no_ps].resize(106);
  psi_c_t[no_ps].resize(106);
  psi_c_d[no_ps].resize(106);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   1}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  4,   5,   2}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {  0}; //   1
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 1);
  int c_t_2[] = {  0,   1}; //   2
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 2);
  int c_d_2[] = {  0,   3,   4}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  4,   5,   3}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  0}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  0,   1}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  0,   3,   4}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  4,   6,   7}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {  0}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  0,   1}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  5,   6,   4}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {  0}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = {  0,   1}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = {  8,  11,   7}; //   3
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 3);
  int c_f_6[] = {  0}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  0,   1}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = {  5,  10,   9}; //   3
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 3);

  int c_p_7[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 3);
  int c_f_7[] = {  0}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = {  0,   1}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = { 11,  12,   2}; //   3
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 3);

  int c_p_8[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 3);
  int c_f_8[] = {  0}; //   1
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 1);
  int c_t_8[] = {  0,   1}; //   2
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 2);
  int c_d_8[] = { 11,  12,   2}; //   3
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 3);

  int c_p_9[] = { 15,  16,  13}; //   3
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 3);
  int c_f_9[] = {  0}; //   1
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 1);
  int c_t_9[] = {  0,   1}; //   2
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 2);
  int c_d_9[] = { 11,  13,  14}; //   3
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 3);

  int c_p_10[] = { 15,  16,  14}; //   3
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 3);
  int c_f_10[] = {  0}; //   1
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 1);
  int c_t_10[] = {  0,   1}; //   2
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 2);
  int c_d_10[] = { 11,  13,  14}; //   3
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 3);

  int c_p_11[] = { 15,  17,  10}; //   3
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 3);
  int c_f_11[] = {  0}; //   1
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 1);
  int c_t_11[] = {  0,   1}; //   2
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 2);
  int c_d_11[] = {  7,  15,  14}; //   3
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 3);

  int c_p_12[] = {  0,  18,  19}; //   3
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 3);
  int c_f_12[] = {  0}; //   1
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 1);
  int c_t_12[] = {  0,   1}; //   2
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 2);
  int c_d_12[] = { 16,   9,   2}; //   3
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 3);

  int c_p_13[] = {  4,  20,  21}; //   3
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 3);
  int c_f_13[] = {  0}; //   1
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 1);
  int c_t_13[] = {  0,   1}; //   2
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 2);
  int c_d_13[] = { 17,  14,   4}; //   3
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 3);

  int c_p_14[] = {  4,  20,  22}; //   3
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 3);
  int c_f_14[] = {  0}; //   1
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 1);
  int c_t_14[] = {  0,   1}; //   2
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 2);
  int c_d_14[] = { 17,  14,   4}; //   3
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 3);

  int c_p_15[] = {  4,  20,  23}; //   3
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 3);
  int c_f_15[] = {  0}; //   1
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 1);
  int c_t_15[] = {  0,   1}; //   2
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 2);
  int c_d_15[] = { 17,  14,   4}; //   3
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 3);

  int c_p_16[] = {  0,   1,   2,  24}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  0}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 18,   0,   1,   2}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = {  0,   1,   3,  24}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  0}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 18,   0,   1,   2}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = {  4,   5,   2,  24}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  0}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 18,   0,   3,   4}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = {  4,   5,   3,  24}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  0}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = { 18,   0,   3,   4}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = {  4,   6,   7,  24}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {  0}; //   1
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 1);
  int c_d_20[] = { 18,   5,   6,   4}; //   4
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 4);

  int c_p_21[] = {  8,   9,  10,  24}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {  0}; //   1
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 1);
  int c_d_21[] = { 18,   7,   8,   9}; //   4
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 4);

  int c_p_22[] = {  8,  11,   7,  24}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {  0}; //   1
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 1);
  int c_d_22[] = { 18,   5,  10,   9}; //   4
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 4);

  int c_p_23[] = {  0,  12,  13,  24}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {  0}; //   1
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 1);
  int c_d_23[] = { 18,  11,  12,   2}; //   4
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 4);

  int c_p_24[] = {  0,  12,  14,  24}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {  0}; //   1
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 1);
  int c_d_24[] = { 18,  11,  12,   2}; //   4
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 4);

  int c_p_25[] = { 15,  16,  13,  24}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {  0}; //   1
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 1);
  int c_d_25[] = { 18,  11,  13,  14}; //   4
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 4);

  int c_p_26[] = { 15,  16,  14,  24}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {  0}; //   1
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 1);
  int c_d_26[] = { 18,  11,  13,  14}; //   4
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 4);

  int c_p_27[] = { 15,  17,  10,  24}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {  0}; //   1
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 1);
  int c_d_27[] = { 18,   7,  15,  14}; //   4
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 4);

  int c_p_28[] = {  0,  18,  19,  24}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {  0}; //   1
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 1);
  int c_d_28[] = { 18,  16,   9,   2}; //   4
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 4);

  int c_p_29[] = {  4,  20,  21,  24}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {  0}; //   1
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 1);
  int c_d_29[] = { 18,  17,  14,   4}; //   4
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 4);

  int c_p_30[] = {  4,  20,  22,  24}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {  0}; //   1
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 1);
  int c_d_30[] = { 18,  17,  14,   4}; //   4
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 4);

  int c_p_31[] = {  4,  20,  23,  24}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {  0}; //   1
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 1);
  int c_d_31[] = { 18,  17,  14,   4}; //   4
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 4);

  int c_p_32[] = {  0,  25,  26,  27}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {  0}; //   1
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 1);
  int c_d_32[] = { 19,   9,  20,   2}; //   4
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 4);

  int c_p_33[] = {  0,  25,  28,  27}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {  0}; //   1
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 1);
  int c_d_33[] = { 19,   9,  20,   2}; //   4
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 4);

  int c_p_34[] = {  4,  29,  30,  31}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {  0}; //   1
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 1);
  int c_d_34[] = { 21,  14,  22,   4}; //   4
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 4);

  int c_p_35[] = { 32,  33,  34,  35}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {  0}; //   1
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 1);
  int c_d_35[] = { 23,   2,  24,   9}; //   4
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 4);

  int c_p_36[] = {  8,  33,  34,  35}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {  0}; //   1
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 1);
  int c_d_36[] = { 23,   2,  24,   9}; //   4
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 4);

  int c_p_37[] = {  0,   1,   2,  36}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {  2}; //   1
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 1);
  int c_d_37[] = { 25,   0,   1,   2}; //   4
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 4);

  int c_p_38[] = {  0,   1,   3,  36}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {  2}; //   1
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 1);
  int c_d_38[] = { 25,   0,   1,   2}; //   4
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 4);

  int c_p_39[] = {  4,   5,   2,  36}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {  2}; //   1
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 1);
  int c_d_39[] = { 25,   0,   3,   4}; //   4
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 4);

  int c_p_40[] = {  4,   5,   3,  36}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  2}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = { 25,   0,   3,   4}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  4,   6,   7,  36}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  2}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = { 25,   5,   6,   4}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  8,   9,  10,  36}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  2}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = { 25,   7,   8,   9}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  8,  11,   7,  36}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  2}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = { 25,   5,  10,   9}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  0,  12,  13,  36}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  2}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = { 25,  11,  12,   2}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = {  0,  12,  14,  36}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {  2}; //   1
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 1);
  int c_d_45[] = { 25,  11,  12,   2}; //   4
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 4);

  int c_p_46[] = { 15,  16,  13,  36}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {  2}; //   1
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 1);
  int c_d_46[] = { 25,  11,  13,  14}; //   4
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 4);

  int c_p_47[] = { 15,  16,  14,  36}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  2}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = { 25,  11,  13,  14}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = { 15,  17,  10,  36}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  2}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 25,   7,  15,  14}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  4,  20,  21,  36}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  2}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 25,  17,  14,   4}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = {  4,  20,  22,  36}; //   4
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 4);
  int c_f_50[] = {}; //   0
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 0);
  int c_t_50[] = {  2}; //   1
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 1);
  int c_d_50[] = { 25,  17,  14,   4}; //   4
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 4);

  int c_p_51[] = {  0,  37,  38,  39}; //   4
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 4);
  int c_f_51[] = {}; //   0
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 0);
  int c_t_51[] = {  2}; //   1
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 1);
  int c_d_51[] = { 26,   9,  27,   2}; //   4
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 4);

  int c_p_52[] = {  0,  37,  40,  39}; //   4
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 4);
  int c_f_52[] = {}; //   0
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 0);
  int c_t_52[] = {  2}; //   1
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 1);
  int c_d_52[] = { 26,   9,  27,   2}; //   4
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 4);

  int c_p_53[] = {  4,  41,  42,  43}; //   4
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 4);
  int c_f_53[] = {}; //   0
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 0);
  int c_t_53[] = {  2}; //   1
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 1);
  int c_d_53[] = { 28,  14,  29,   4}; //   4
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 4);

  int c_p_54[] = { 32,  44,  45,  46}; //   4
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 4);
  int c_f_54[] = {}; //   0
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 0);
  int c_t_54[] = {  2}; //   1
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 1);
  int c_d_54[] = { 30,   2,  31,   9}; //   4
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 4);

  int c_p_55[] = {  8,  44,  45,  46}; //   4
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 4);
  int c_f_55[] = {}; //   0
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 0);
  int c_t_55[] = {  2}; //   1
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 1);
  int c_d_55[] = { 30,   2,  31,   9}; //   4
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 4);

  int c_p_56[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  1}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  2,   3}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  1}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  2,   3}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = {  4,   5,   2}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = {  1}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  2,   3}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = {  0,   3,   4}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = {  4,   5,   3}; //   3
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 3);
  int c_f_59[] = {  1}; //   1
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 1);
  int c_t_59[] = {  2,   3}; //   2
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 2);
  int c_d_59[] = {  0,   3,   4}; //   3
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 3);

  int c_p_60[] = {  4,   6,   7}; //   3
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 3);
  int c_f_60[] = {  1}; //   1
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 1);
  int c_t_60[] = {  2,   3}; //   2
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 2);
  int c_d_60[] = {  5,   6,   4}; //   3
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 3);

  int c_p_61[] = {  8,   9,  10}; //   3
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 3);
  int c_f_61[] = {  1}; //   1
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 1);
  int c_t_61[] = {  2,   3}; //   2
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 2);
  int c_d_61[] = {  7,   8,   9}; //   3
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 3);

  int c_p_62[] = {  8,  11,   7}; //   3
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 3);
  int c_f_62[] = {  1}; //   1
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 1);
  int c_t_62[] = {  2,   3}; //   2
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 2);
  int c_d_62[] = {  5,  10,   9}; //   3
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 3);

  int c_p_63[] = {  0,  12,  13}; //   3
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 3);
  int c_f_63[] = {  1}; //   1
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 1);
  int c_t_63[] = {  2,   3}; //   2
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 2);
  int c_d_63[] = { 11,  12,   2}; //   3
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 3);

  int c_p_64[] = {  0,  12,  14}; //   3
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 3);
  int c_f_64[] = {  1}; //   1
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 1);
  int c_t_64[] = {  2,   3}; //   2
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 2);
  int c_d_64[] = { 11,  12,   2}; //   3
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 3);

  int c_p_65[] = { 15,  16,  13}; //   3
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 3);
  int c_f_65[] = {  1}; //   1
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 1);
  int c_t_65[] = {  2,   3}; //   2
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 2);
  int c_d_65[] = { 11,  13,  14}; //   3
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 3);

  int c_p_66[] = { 15,  16,  14}; //   3
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 3);
  int c_f_66[] = {  1}; //   1
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 1);
  int c_t_66[] = {  2,   3}; //   2
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 2);
  int c_d_66[] = { 11,  13,  14}; //   3
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 3);

  int c_p_67[] = { 15,  17,  10}; //   3
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 3);
  int c_f_67[] = {  1}; //   1
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 1);
  int c_t_67[] = {  2,   3}; //   2
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 2);
  int c_d_67[] = {  7,  15,  14}; //   3
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 3);

  int c_p_68[] = {  4,  20,  21}; //   3
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 3);
  int c_f_68[] = {  1}; //   1
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 1);
  int c_t_68[] = {  2,   3}; //   2
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 2);
  int c_d_68[] = { 17,  14,   4}; //   3
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 3);

  int c_p_69[] = {  4,  20,  22}; //   3
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 3);
  int c_f_69[] = {  1}; //   1
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 1);
  int c_t_69[] = {  2,   3}; //   2
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 2);
  int c_d_69[] = { 17,  14,   4}; //   3
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 3);

  int c_p_70[] = {  0,  47}; //   2
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 2);
  int c_f_70[] = {  2,   3}; //   2
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 2);
  int c_t_70[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 3);
  int c_d_70[] = {  9,   2}; //   2
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 2);

  int c_p_71[] = {  0,  18}; //   2
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 2);
  int c_f_71[] = {  2,   3}; //   2
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 2);
  int c_t_71[] = {  0,   4,   5}; //   3
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 3);
  int c_d_71[] = {  9,   2}; //   2
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 2);

  int c_p_72[] = {  4,  20}; //   2
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 2);
  int c_f_72[] = {  4,   5}; //   2
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 2);
  int c_t_72[] = {  0,   6,   7}; //   3
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 3);
  int c_d_72[] = { 14,   4}; //   2
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 2);

  int c_p_73[] = { 32,  48}; //   2
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 2);
  int c_f_73[] = {  6,   7}; //   2
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 2);
  int c_t_73[] = {  0,   8,   9}; //   3
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 3);
  int c_d_73[] = {  2,   9}; //   2
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 2);

  int c_p_74[] = {  8,  48}; //   2
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 2);
  int c_f_74[] = {  6,   7}; //   2
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 2);
  int c_t_74[] = {  0,   8,   9}; //   3
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 3);
  int c_d_74[] = {  2,   9}; //   2
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 2);

  int c_p_75[] = {  0,  25,  26}; //   3
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 3);
  int c_f_75[] = {  3}; //   1
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 1);
  int c_t_75[] = {  0,   4}; //   2
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 2);
  int c_d_75[] = {  9,  20,   2}; //   3
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 3);

  int c_p_76[] = {  0,  25,  28}; //   3
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 3);
  int c_f_76[] = {  3}; //   1
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 1);
  int c_t_76[] = {  0,   4}; //   2
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 2);
  int c_d_76[] = {  9,  20,   2}; //   3
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 3);

  int c_p_77[] = {  4,  29,  30}; //   3
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 3);
  int c_f_77[] = {  5}; //   1
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 1);
  int c_t_77[] = {  0,   6}; //   2
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 2);
  int c_d_77[] = { 14,  22,   4}; //   3
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 3);

  int c_p_78[] = { 32,  33,  34}; //   3
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 3);
  int c_f_78[] = {  7}; //   1
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 1);
  int c_t_78[] = {  0,   8}; //   2
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 2);
  int c_d_78[] = {  2,  24,   9}; //   3
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 3);

  int c_p_79[] = {  8,  33,  34}; //   3
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 3);
  int c_f_79[] = {  7}; //   1
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 1);
  int c_t_79[] = {  0,   8}; //   2
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 2);
  int c_d_79[] = {  2,  24,   9}; //   3
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 3);

  int c_p_80[] = {  0,  37,  38}; //   3
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 3);
  int c_f_80[] = {  8}; //   1
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 1);
  int c_t_80[] = { 10,  11}; //   2
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 2);
  int c_d_80[] = {  9,  27,   2}; //   3
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 3);

  int c_p_81[] = {  0,  37,  40}; //   3
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 3);
  int c_f_81[] = {  8}; //   1
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 1);
  int c_t_81[] = { 10,  11}; //   2
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 2);
  int c_d_81[] = {  9,  27,   2}; //   3
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 3);

  int c_p_82[] = { 32,  44,  45}; //   3
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 3);
  int c_f_82[] = {  9}; //   1
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 1);
  int c_t_82[] = { 12,  13}; //   2
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 2);
  int c_d_82[] = {  2,  31,   9}; //   3
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 3);

  int c_p_83[] = {  8,  44,  45}; //   3
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 3);
  int c_f_83[] = {  9}; //   1
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 1);
  int c_t_83[] = { 12,  13}; //   2
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 2);
  int c_d_83[] = {  2,  31,   9}; //   3
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 3);

  int c_p_84[] = {  0,  47}; //   2
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 2);
  int c_f_84[] = { 10,  11}; //   2
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 2);
  int c_t_84[] = { 10,  14,  15}; //   3
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 3);
  int c_d_84[] = {  9,   2}; //   2
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 2);

  int c_p_85[] = {  0,  18}; //   2
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 2);
  int c_f_85[] = { 10,  11}; //   2
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 2);
  int c_t_85[] = { 10,  14,  15}; //   3
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 3);
  int c_d_85[] = {  9,   2}; //   2
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 2);

  int c_p_86[] = { 32,  48}; //   2
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 2);
  int c_f_86[] = { 10,  12}; //   2
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 2);
  int c_t_86[] = { 12,  16,  17}; //   3
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 3);
  int c_d_86[] = {  2,   9}; //   2
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 2);

  int c_p_87[] = {  8,  48}; //   2
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 2);
  int c_f_87[] = { 10,  12}; //   2
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 2);
  int c_t_87[] = { 12,  16,  17}; //   3
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 3);
  int c_d_87[] = {  2,   9}; //   2
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 2);

  int c_p_88[] = {  0,  37,  38,  49}; //   4
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 4);
  int c_f_88[] = {}; //   0
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 0);
  int c_t_88[] = { 18}; //   1
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 1);
  int c_d_88[] = { 24,   9,  27,   2}; //   4
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 4);

  int c_p_89[] = {  0,  37,  40,  49}; //   4
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 4);
  int c_f_89[] = {}; //   0
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 0);
  int c_t_89[] = { 18}; //   1
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 1);
  int c_d_89[] = { 24,   9,  27,   2}; //   4
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 4);

  int c_p_90[] = { 32,  44,  45,  50}; //   4
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 4);
  int c_f_90[] = {}; //   0
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 0);
  int c_t_90[] = { 19}; //   1
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 1);
  int c_d_90[] = { 20,   2,  31,   9}; //   4
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 4);

  int c_p_91[] = {  8,  44,  45,  50}; //   4
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 4);
  int c_f_91[] = {}; //   0
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 0);
  int c_t_91[] = { 19}; //   1
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 1);
  int c_d_91[] = { 20,   2,  31,   9}; //   4
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 4);

  int c_p_92[] = {  0,  47,  51}; //   3
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 3);
  int c_f_92[] = { 13}; //   1
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 1);
  int c_t_92[] = { 20,  21}; //   2
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 2);
  int c_d_92[] = { 24,   9,   2}; //   3
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 3);

  int c_p_93[] = {  0,  18,  51}; //   3
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 3);
  int c_f_93[] = { 13}; //   1
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 1);
  int c_t_93[] = { 20,  21}; //   2
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 2);
  int c_d_93[] = { 24,   9,   2}; //   3
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 3);

  int c_p_94[] = { 32,  48,  52}; //   3
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 3);
  int c_f_94[] = { 14}; //   1
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 1);
  int c_t_94[] = { 22,  23}; //   2
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 2);
  int c_d_94[] = { 20,   2,   9}; //   3
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 3);

  int c_p_95[] = {  8,  48,  52}; //   3
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 3);
  int c_f_95[] = { 14}; //   1
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 1);
  int c_t_95[] = { 22,  23}; //   2
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 2);
  int c_d_95[] = { 20,   2,   9}; //   3
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 3);

  int c_p_96[] = {  0,  47,  53}; //   3
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 3);
  int c_f_96[] = { 15}; //   1
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 1);
  int c_t_96[] = {  2,  24}; //   2
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 2);
  int c_d_96[] = { 31,   9,   2}; //   3
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 3);

  int c_p_97[] = {  0,  18,  53}; //   3
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 3);
  int c_f_97[] = { 15}; //   1
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 1);
  int c_t_97[] = {  2,  24}; //   2
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 2);
  int c_d_97[] = { 31,   9,   2}; //   3
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 3);

  int c_p_98[] = { 32,  48,  54}; //   3
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 3);
  int c_f_98[] = { 16}; //   1
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 1);
  int c_t_98[] = {  2,  25}; //   2
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 2);
  int c_d_98[] = { 27,   2,   9}; //   3
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 3);

  int c_p_99[] = {  8,  48,  54}; //   3
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 3);
  int c_f_99[] = { 16}; //   1
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 1);
  int c_t_99[] = {  2,  25}; //   2
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 2);
  int c_d_99[] = { 27,   2,   9}; //   3
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 3);

  int c_p_100[] = { 15,  55,  56}; //   3
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 3);
  int c_f_100[] = { 17}; //   1
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 1);
  int c_t_100[] = {  2,  26}; //   2
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 2);
  int c_d_100[] = { 29,   4,  14}; //   3
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 3);

  int c_p_101[] = {  0,  47}; //   2
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 2);
  int c_f_101[] = { 18,  15}; //   2
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 2);
  int c_t_101[] = {  2,  24,  27}; //   3
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 3);
  int c_d_101[] = {  9,   2}; //   2
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 2);

  int c_p_102[] = {  0,  18}; //   2
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 2);
  int c_f_102[] = { 18,  15}; //   2
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 2);
  int c_t_102[] = {  2,  24,  27}; //   3
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 3);
  int c_d_102[] = {  9,   2}; //   2
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 2);

  int c_p_103[] = { 32,  48}; //   2
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 2);
  int c_f_103[] = { 19,  16}; //   2
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 2);
  int c_t_103[] = {  2,  25,  28}; //   3
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 3);
  int c_d_103[] = {  2,   9}; //   2
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 2);

  int c_p_104[] = {  8,  48}; //   2
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 2);
  int c_f_104[] = { 19,  16}; //   2
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 2);
  int c_t_104[] = {  2,  25,  28}; //   3
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 3);
  int c_d_104[] = {  2,   9}; //   2
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 2);

  int c_p_105[] = { 15,  55}; //   2
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 2);
  int c_f_105[] = { 20,  17}; //   2
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 2);
  int c_t_105[] = {  2,  26,  29}; //   3
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 3);
  int c_d_105[] = {  4,  14}; //   2
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 2);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
