#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemexnmx04/header/ppemexnmx04.phasespace.h"
void ppemexnmx04_ax_psp_240_dux_emmumepvmxccx(int no_ps, phasespace_set & psi){
  static Logger logger("ppemexnmx04_ax_psp_240_dux_emmumepvmxccx");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(16);
  psi_needed_v_smin[no_ps].resize(16);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    4,    8,    9,   10,   11,   12,   13,   14,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  26
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 26);
  int needed_v_smin_1[] = {   0,   10}; //   2
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 2);
  int needed_v_smin_2[] = {   0,   10}; //   2
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 2);
  int needed_v_smin_3[] = {   0,    5,    6,    7,    8,    9,   10,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  24
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 24);
  int needed_v_smin_4[] = {   1,    2,    3,    4,    5,    6,    7,    8,    9,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  30
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 30);
  int needed_v_smin_5[] = {   1,    2,   11,   12}; //   4
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 4);
  int needed_v_smin_6[] = {   1,    2,   11,   12}; //   4
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 4);
  int needed_v_smin_7[] = {   3,    4,   13,   14}; //   4
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 4);
  int needed_v_smin_8[] = {   3,    4,   13,   14}; //   4
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 4);
  int needed_v_smin_9[] = {   5,   15}; //   2
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 2);
  int needed_v_smin_10[] = {   5,   15}; //   2
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 2);
  int needed_v_smin_11[] = {   6,    7,   16,   17}; //   4
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 4);
  int needed_v_smin_12[] = {   6,    7,   16,   17}; //   4
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 4);
  int needed_v_smin_13[] = {   8,    9,   18,   19,   24,   25,   30,   31}; //   8
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 8);
  int needed_v_smin_14[] = {  20,   21,   22,   23}; //   4
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 4);
  int needed_v_smin_15[] = {  26,   27,   28,   29}; //   4
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 4);

  psi_v_smax[no_ps].resize(29);
  psi_needed_v_smax[no_ps].resize(29);
  int needed_v_smax_0[] = {   0,    8,    9,   11,   12,   13,   14,   22,   23,   24,   25}; //  11
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 11);
  int needed_v_smax_1[] = {   0}; //   1
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 1);
  int needed_v_smax_2[] = {   0,    5,    6,    7,    8,    9}; //   6
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 6);
  int needed_v_smax_3[] = {   0,    5,    6,    7,    8,    9}; //   6
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 6);
  int needed_v_smax_4[] = {   1,    2,    3,    4,    5,    6,    7,   28,   29,   30,   31}; //  11
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 11);
  int needed_v_smax_5[] = {   1,    2}; //   2
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 2);
  int needed_v_smax_6[] = {   1,    2,    3,    4}; //   4
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 4);
  int needed_v_smax_7[] = {   1,    2,    3,    4}; //   4
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 4);
  int needed_v_smax_8[] = {   3,    4}; //   2
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 2);
  int needed_v_smax_9[] = {   5}; //   1
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 1);
  int needed_v_smax_10[] = {   6,    7}; //   2
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 2);
  int needed_v_smax_11[] = {   8,    9,   11,   12,   13,   14,   24,   25}; //   8
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 8);
  int needed_v_smax_12[] = {  10,   15,   16,   17,   18,   19,   20,   21,   26,   27}; //  10
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 10);
  int needed_v_smax_13[] = {  10,   18,   19,   20,   21}; //   5
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 5);
  int needed_v_smax_14[] = {  10}; //   1
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 1);
  int needed_v_smax_15[] = {  10,   15,   16,   17,   18,   19,   24,   25,   30,   31}; //  10
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 10);
  int needed_v_smax_16[] = {  11,   12}; //   2
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 2);
  int needed_v_smax_17[] = {  11,   12,   13,   14,   26,   27,   28,   29}; //   8
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 8);
  int needed_v_smax_18[] = {  13,   14}; //   2
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 2);
  int needed_v_smax_19[] = {  15,   16,   17,   26,   27}; //   5
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 5);
  int needed_v_smax_20[] = {  15}; //   1
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 1);
  int needed_v_smax_21[] = {  16,   17}; //   2
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 2);
  int needed_v_smax_22[] = {  18,   19,   20,   21,   22,   23}; //   6
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 6);
  int needed_v_smax_23[] = {  22,   23}; //   2
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 2);
  int needed_v_smax_24[] = {  24,   25,   30,   31}; //   4
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 4);
  int needed_v_smax_25[] = {  26,   27,   28,   29}; //   4
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 4);
  int needed_v_smax_26[] = {  28,   29}; //   2
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 2);
  int needed_v_smax_27[] = {  30,   31}; //   2
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 2);
  int needed_v_smax_28[] = {  20,   21,   22,   23}; //   4
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 4);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(40);
  psi_needed_g_p[no_ps].resize(40);
  int needed_g_p_0[] = {   0,    8,    9,   11,   12,   13,   14,   22,   23,   24,   25}; //  11
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 11);
  psi_container_IS_name.push_back("propagator_24_smin0_smax0");
  int needed_g_p_1[] = {   0}; //   1
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 1);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0}; //   1
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 1);
  psi_container_IS_name.push_back("propagator_24_smin2_smax2");
  int needed_g_p_3[] = {   0,    5,    6,    7,    8,    9}; //   6
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 6);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   1,    3,    6,   28,   30}; //   5
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 5);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_5[] = {   1,    2}; //   2
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 2);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_6[] = {   1,    2}; //   2
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 2);
  psi_container_IS_name.push_back("propagator_0_smin6_smax6");
  int needed_g_p_7[] = {   1,    2,    3,    4}; //   4
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 4);
  psi_container_IS_name.push_back("propagator_24_smin0_smax7");
  int needed_g_p_8[] = {   2,    4,    5,    7,   29,   31}; //   6
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 6);
  psi_container_IS_name.push_back("propagator_23_smin4_smax4");
  int needed_g_p_9[] = {   3,    4}; //   2
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 2);
  psi_container_IS_name.push_back("propagator_0_smin7_smax8");
  int needed_g_p_10[] = {   3,    4}; //   2
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 2);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_11[] = {   5}; //   1
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 1);
  psi_container_IS_name.push_back("propagator_0_smin9_smax9");
  int needed_g_p_12[] = {   5}; //   1
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 1);
  psi_container_IS_name.push_back("propagator_24_smin10_smax2");
  int needed_g_p_13[] = {   6,    7}; //   2
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 2);
  psi_container_IS_name.push_back("propagator_0_smin11_smax10");
  int needed_g_p_14[] = {   6,    7}; //   2
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 2);
  psi_container_IS_name.push_back("propagator_24_smin12_smax2");
  int needed_g_p_15[] = {   8,   11,   13,   24}; //   4
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 4);
  psi_container_IS_name.push_back("propagator_0_smin4_smax11");
  int needed_g_p_16[] = {   8,    9}; //   2
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 2);
  psi_container_IS_name.push_back("propagator_24_smin13_smax2");
  int needed_g_p_17[] = {   9,   12,   14,   25}; //   4
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 4);
  psi_container_IS_name.push_back("propagator_23_smin4_smax11");
  int needed_g_p_18[] = {  10,   15,   16,   17,   18,   19,   20,   21,   26,   27}; //  10
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 10);
  psi_container_IS_name.push_back("propagator_0_smin3_smax12");
  int needed_g_p_19[] = {  10,   18,   19,   20,   21}; //   5
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 5);
  psi_container_IS_name.push_back("propagator_24_smin0_smax13");
  int needed_g_p_20[] = {  10}; //   1
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 1);
  psi_container_IS_name.push_back("propagator_0_smin1_smax14");
  int needed_g_p_21[] = {  10}; //   1
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 1);
  psi_container_IS_name.push_back("propagator_24_smin2_smax15");
  int needed_g_p_22[] = {  11,   12}; //   2
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 2);
  psi_container_IS_name.push_back("propagator_0_smin5_smax16");
  int needed_g_p_23[] = {  11,   12}; //   2
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 2);
  psi_container_IS_name.push_back("propagator_0_smin6_smax17");
  int needed_g_p_24[] = {  13,   14}; //   2
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 2);
  psi_container_IS_name.push_back("propagator_0_smin7_smax18");
  int needed_g_p_25[] = {  13,   14}; //   2
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 2);
  psi_container_IS_name.push_back("propagator_0_smin8_smax17");
  int needed_g_p_26[] = {  15,   17,   27}; //   3
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 3);
  psi_container_IS_name.push_back("propagator_23_smin4_smax19");
  int needed_g_p_27[] = {  15}; //   1
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 1);
  psi_container_IS_name.push_back("propagator_0_smin9_smax20");
  int needed_g_p_28[] = {  15}; //   1
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 1);
  psi_container_IS_name.push_back("propagator_24_smin10_smax15");
  int needed_g_p_29[] = {  16,   26}; //   2
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 2);
  psi_container_IS_name.push_back("propagator_0_smin4_smax19");
  int needed_g_p_30[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 2);
  psi_container_IS_name.push_back("propagator_0_smin11_smax21");
  int needed_g_p_31[] = {  16,   17}; //   2
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 2);
  psi_container_IS_name.push_back("propagator_24_smin12_smax15");
  int needed_g_p_32[] = {  18,   20,   22}; //   3
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 3);
  psi_container_IS_name.push_back("propagator_0_smin4_smax22");
  int needed_g_p_33[] = {  18,   19}; //   2
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 2);
  psi_container_IS_name.push_back("propagator_24_smin13_smax15");
  int needed_g_p_34[] = {  19,   21,   23}; //   3
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 3);
  psi_container_IS_name.push_back("propagator_23_smin4_smax22");
  int needed_g_p_35[] = {  22,   23}; //   2
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 2);
  psi_container_IS_name.push_back("propagator_0_smin3_smax23");
  int needed_g_p_36[] = {  24,   25,   30,   31}; //   4
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 4);
  psi_container_IS_name.push_back("propagator_0_smin3_smax24");
  int needed_g_p_37[] = {  26,   27,   28,   29}; //   4
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 4);
  psi_container_IS_name.push_back("propagator_24_smin0_smax25");
  int needed_g_p_38[] = {  28,   29}; //   2
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 2);
  psi_container_IS_name.push_back("propagator_0_smin3_smax26");
  int needed_g_p_39[] = {  30,   31}; //   2
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 2);
  psi_container_IS_name.push_back("propagator_24_smin0_smax27");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(3);
  psi_needed_g_f[no_ps].resize(3);
  int needed_g_f_0[] = {  20,   21,   22,   23}; //   4
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax28");
  int needed_g_f_1[] = {  24,   25,   30,   31}; //   4
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax15");
  int needed_g_f_2[] = {  26,   27,   28,   29}; //   4
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax17");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(11);
  psi_needed_g_t[no_ps].resize(11);
  int needed_g_t_0[] = {   0,    5,    6,    7,    8,    9,   24,   25,   30,   31}; //  10
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__192_60");
  int needed_g_t_1[] = {   1,    2,    3,    4,   26,   27,   28,   29}; //   8
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__40_212");
  int needed_g_t_2[] = {  10,   15,   16,   17,   18,   19}; //   6
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__192_60");
  int needed_g_t_3[] = {  11,   12,   13,   14}; //   4
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__40_212");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__40_212");
  int needed_g_t_4[] = {  20,   21,   22,   23}; //   4
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__20_232");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__20_232");
  int needed_g_t_5[] = {  20,   21}; //   2
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__192_40");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__192_40");
  int needed_g_t_6[] = {  22,   23}; //   2
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_21__40_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_21__40_192");
  int needed_g_t_7[] = {  24,   25}; //   2
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__40_20");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__40_20");
  int needed_g_t_8[] = {  26,   27}; //   2
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__192_20");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__192_20");
  int needed_g_t_9[] = {  28,   29}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_41__20_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_41__20_192");
  int needed_g_t_10[] = {  30,   31}; //   2
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_193__20_40");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_193__20_40");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(14);
  psi_needed_g_d[no_ps].resize(14);
  int needed_g_d_0[] = {   0,    5,    6,    7,    8,    9,   10,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  24
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 24);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");
  int needed_g_d_1[] = {   0,   10}; //   2
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 2);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_2[] = {   0,   10}; //   2
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 2);
  psi_container_IS_name.push_back("costheta_of_decay_56__16_40");
  psi_container_IS_name.push_back("phi_of_decay_56__16_40");
  int needed_g_d_3[] = {   0,    1,    2,    3,    4,    8,    9,   10,   11,   12,   13,   14,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  26
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 26);
  psi_container_IS_name.push_back("costheta_of_decay_40__8_32");
  psi_container_IS_name.push_back("phi_of_decay_40__8_32");
  int needed_g_d_4[] = {   1,    2,   11,   12}; //   4
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 4);
  psi_container_IS_name.push_back("costheta_of_decay_212__64_148");
  psi_container_IS_name.push_back("phi_of_decay_212__64_148");
  int needed_g_d_5[] = {   1,    2,   11,   12}; //   4
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 4);
  psi_container_IS_name.push_back("costheta_of_decay_148__128_20");
  psi_container_IS_name.push_back("phi_of_decay_148__128_20");
  int needed_g_d_6[] = {   1,    2,    3,    4,    5,    6,    7,    8,    9,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31}; //  30
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 30);
  psi_container_IS_name.push_back("costheta_of_decay_20__4_16");
  psi_container_IS_name.push_back("phi_of_decay_20__4_16");
  int needed_g_d_7[] = {   3,    4,   13,   14}; //   4
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 4);
  psi_container_IS_name.push_back("costheta_of_decay_212__128_84");
  psi_container_IS_name.push_back("phi_of_decay_212__128_84");
  int needed_g_d_8[] = {   3,    4,   13,   14}; //   4
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 4);
  psi_container_IS_name.push_back("costheta_of_decay_84__64_20");
  psi_container_IS_name.push_back("phi_of_decay_84__64_20");
  int needed_g_d_9[] = {   5,   15}; //   2
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 2);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_10[] = {   5,   15}; //   2
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 2);
  psi_container_IS_name.push_back("costheta_of_decay_52__32_20");
  psi_container_IS_name.push_back("phi_of_decay_52__32_20");
  int needed_g_d_11[] = {   6,    7,   16,   17}; //   4
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_12[] = {   6,    7,   16,   17}; //   4
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 4);
  psi_container_IS_name.push_back("costheta_of_decay_28__8_20");
  psi_container_IS_name.push_back("phi_of_decay_28__8_20");
  int needed_g_d_13[] = {   8,    9,   18,   19}; //   4
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 4);
  psi_container_IS_name.push_back("costheta_of_decay_60__20_40");
  psi_container_IS_name.push_back("phi_of_decay_60__20_40");

  psi_c_p[no_ps].resize(32);
  psi_c_f[no_ps].resize(32);
  psi_c_t[no_ps].resize(32);
  psi_c_d[no_ps].resize(32);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {  0}; //   1
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 1);
  int c_d_0[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 4);

  int c_p_1[] = {  4,   5,   6,   7}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {  1}; //   1
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 1);
  int c_d_1[] = {  3,   4,   5,   6}; //   4
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 4);

  int c_p_2[] = {  8,   5,   6,   7}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {  1}; //   1
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 1);
  int c_d_2[] = {  3,   4,   5,   6}; //   4
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 4);

  int c_p_3[] = {  4,   9,  10,   7}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {  1}; //   1
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 1);
  int c_d_3[] = {  3,   7,   8,   6}; //   4
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 4);

  int c_p_4[] = {  8,   9,  10,   7}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {  1}; //   1
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 1);
  int c_d_4[] = {  3,   7,   8,   6}; //   4
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 4);

  int c_p_5[] = {  8,  11,  12,   3}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {  0}; //   1
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 1);
  int c_d_5[] = {  0,   9,  10,   6}; //   4
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 4);

  int c_p_6[] = {  4,  13,  14,   3}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {  0}; //   1
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 1);
  int c_d_6[] = {  0,  11,  12,   6}; //   4
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 4);

  int c_p_7[] = {  8,  13,  14,   3}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {  0}; //   1
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 1);
  int c_d_7[] = {  0,  11,  12,   6}; //   4
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 4);

  int c_p_8[] = {  0,  15,  16,   3}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  0}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = {  0,  13,   6,   3}; //   4
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 4);

  int c_p_9[] = {  0,  17,  16,   3}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  0}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = {  0,  13,   6,   3}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = { 18,  19,  20,  21}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {  2}; //   1
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 1);
  int c_d_10[] = {  1,   2,   3,   0}; //   4
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 4);

  int c_p_11[] = {  0,  15,  22,  23}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {  3}; //   1
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 1);
  int c_d_11[] = {  4,   5,   6,   3}; //   4
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 4);

  int c_p_12[] = {  0,  17,  22,  23}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  3}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = {  4,   5,   6,   3}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  0,  15,  24,  25}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  3}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = {  7,   8,   6,   3}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = {  0,  17,  24,  25}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  3}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = {  7,   8,   6,   3}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = { 18,  26,  27,  28}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  2}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = {  9,  10,   6,   0}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = { 18,  29,  30,  31}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  2}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 11,  12,   6,   0}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = { 18,  26,  30,  31}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  2}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 11,  12,   6,   0}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = { 18,  19,  32,  33}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  2}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 13,   6,   3,   0}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = { 18,  19,  34,  33}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  2}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = { 13,   6,   3,   0}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = { 18,  19,  32}; //   3
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 3);
  int c_f_20[] = {  0}; //   1
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 1);
  int c_t_20[] = {  4,   5}; //   2
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 2);
  int c_d_20[] = {  6,   3,   0}; //   3
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 3);

  int c_p_21[] = { 18,  19,  34}; //   3
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 3);
  int c_f_21[] = {  0}; //   1
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 1);
  int c_t_21[] = {  4,   5}; //   2
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 2);
  int c_d_21[] = {  6,   3,   0}; //   3
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 3);

  int c_p_22[] = {  0,  35,  32}; //   3
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 3);
  int c_f_22[] = {  0}; //   1
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 1);
  int c_t_22[] = {  4,   6}; //   2
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 2);
  int c_d_22[] = {  6,   0,   3}; //   3
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 3);

  int c_p_23[] = {  0,  35,  34}; //   3
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 3);
  int c_f_23[] = {  0}; //   1
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 1);
  int c_t_23[] = {  4,   6}; //   2
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 2);
  int c_d_23[] = {  6,   0,   3}; //   3
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 3);

  int c_p_24[] = {  0,  15,  36}; //   3
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 3);
  int c_f_24[] = {  1}; //   1
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 1);
  int c_t_24[] = {  0,   7}; //   2
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 2);
  int c_d_24[] = {  0,   6,   3}; //   3
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 3);

  int c_p_25[] = {  0,  17,  36}; //   3
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 3);
  int c_f_25[] = {  1}; //   1
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 1);
  int c_t_25[] = {  0,   7}; //   2
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 2);
  int c_d_25[] = {  0,   6,   3}; //   3
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 3);

  int c_p_26[] = { 18,  29,  37}; //   3
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 3);
  int c_f_26[] = {  2}; //   1
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 1);
  int c_t_26[] = {  1,   8}; //   2
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 2);
  int c_d_26[] = {  3,   6,   0}; //   3
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 3);

  int c_p_27[] = { 18,  26,  37}; //   3
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 3);
  int c_f_27[] = {  2}; //   1
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 1);
  int c_t_27[] = {  1,   8}; //   2
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 2);
  int c_d_27[] = {  3,   6,   0}; //   3
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 3);

  int c_p_28[] = {  4,  38,  37}; //   3
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 3);
  int c_f_28[] = {  2}; //   1
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 1);
  int c_t_28[] = {  1,   9}; //   2
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 2);
  int c_d_28[] = {  3,   0,   6}; //   3
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 3);

  int c_p_29[] = {  8,  38,  37}; //   3
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 3);
  int c_f_29[] = {  2}; //   1
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 1);
  int c_t_29[] = {  1,   9}; //   2
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 2);
  int c_d_29[] = {  3,   0,   6}; //   3
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 3);

  int c_p_30[] = {  4,  39,  36}; //   3
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 3);
  int c_f_30[] = {  1}; //   1
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 1);
  int c_t_30[] = {  0,  10}; //   2
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 2);
  int c_d_30[] = {  0,   3,   6}; //   3
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 3);

  int c_p_31[] = {  8,  39,  36}; //   3
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 3);
  int c_f_31[] = {  1}; //   1
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 1);
  int c_t_31[] = {  0,  10}; //   2
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 2);
  int c_d_31[] = {  0,   3,   6}; //   3
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
