#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ag_psp_born(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ag_psp_born");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_phasespace_order_alpha_s[no_ps] == 0 && psi_phasespace_order_alpha_e[no_ps] == 4 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 2){ppemxnmnex04_ag_psp_040_ddx_emmupvmvex(no_ps, zero, psi);}
    else if (psi_no_map[no_ps] == 3){ppemxnmnex04_ag_psp_040_uux_emmupvmvex(no_ps, zero, psi);}
    else if (psi_no_map[no_ps] == 4){ppemxnmnex04_ag_psp_040_bbx_emmupvmvex(no_ps, zero, psi);}
  }
  else if (psi_phasespace_order_alpha_s[no_ps] == 2 && psi_phasespace_order_alpha_e[no_ps] == 4 && psi_phasespace_order_interference[no_ps] == 0){
    if (psi_no_map[no_ps] == 0){}
    else if (psi_no_map[no_ps] == 1){ppemxnmnex04_ag_psp_240_gg_emmupvmvex(no_ps, zero, psi);}
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
