#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppemxnmnex04/header/ppemxnmnex04.phasespace.h"
void ppemxnmnex04_ax_psp_240_gb_emmupvmvexgb(int no_ps, phasespace_set & psi){
  static Logger logger("ppemxnmnex04_ax_psp_240_gb_emmupvmvexgb");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(20);
  psi_needed_v_smin[no_ps].resize(20);
  int needed_v_smin_0[] = {   0,    1,    2,    6,    7,    8,    9,   10,   11,   12,   16,   17,   18,   19,   20,   21,   22,   23,   27,   28,   29,   30,   31,   32,   33,   37,   38,   39,   40,   41,   42,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   62,   63,   64,   65,   66,   67,   68,   69,   70,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 63);
  int needed_v_smin_1[] = {   0,    1,   10,   11,   21,   22,   31,   32,   40,   41,   50,   51,   52,   53,   68,   69}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,   10,   11,   21,   22,   31,   32,   40,   41,   50,   51,   52,   53,   68,   69}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,   10,   11,   12,   13,   14,   15,   16,   17,   18,   40,   41,   42,   43,   44,   45,   46,   47,   48,   50,   51,   54,   56,   57,   60,   62,   63,   64}; //  36
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 36);
  int needed_v_smin_4[] = {   2,   12,   23,   33,   42,   54,   55,   70}; //   8
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 8);
  int needed_v_smin_5[] = {   2,   12,   23,   33,   42,   54,   55,   70}; //   8
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 8);
  int needed_v_smin_6[] = {   3,    4,    5,    6,    7,    8,    9,   13,   14,   15,   16,   17,   18,   19,   20,   24,   25,   26,   27,   28,   29,   30,   34,   35,   36,   37,   38,   39,   43,   44,   45,   46,   47,   48,   49,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 63);
  int needed_v_smin_7[] = {   3,    4,   13,   14,   24,   25,   34,   35,   43,   44,   56,   57,   58,   59,   71,   72}; //  16
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 16);
  int needed_v_smin_8[] = {   3,    4,   13,   14,   24,   25,   34,   35,   43,   44,   56,   57,   58,   59,   71,   72}; //  16
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 16);
  int needed_v_smin_9[] = {   5,   15,   26,   36,   45,   60,   61,   73}; //   8
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 8);
  int needed_v_smin_10[] = {   5,   15,   26,   36,   45,   60,   61,   73}; //   8
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 8);
  int needed_v_smin_11[] = {   6,    7,    8,   16,   17,   18,   28,   29,   30,   37,   38,   39,   46,   47,   48,   62,   63,   64,   65,   66,   67,   74,   75,   76,   81,   86}; //  26
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 26);
  int needed_v_smin_12[] = {   9,   19,   20,   49,   77,   78,   79,   83,   84}; //   9
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 9);
  int needed_v_smin_13[] = {   9,   19,   49,   77,   83,   84}; //   6
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 6);
  int needed_v_smin_14[] = {  20,   79,   78}; //   3
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 3);
  int needed_v_smin_15[] = {  21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   68,   69,   70,   71,   72,   73,   74,   75,   76,   80,   86}; //  21
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 21);
  int needed_v_smin_16[] = {  27,   80}; //   2
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 2);
  int needed_v_smin_17[] = {  31,   32,   33,   34,   35,   36,   37,   38,   39,   52,   53,   55,   58,   59,   61,   65,   66,   67,   81}; //  19
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 19);
  int needed_v_smin_18[] = {  82,   85}; //   2
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 2);
  int needed_v_smin_19[] = {  82,   85}; //   2
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 2);

  psi_v_smax[no_ps].resize(25);
  psi_needed_v_smax[no_ps].resize(25);
  int needed_v_smax_0[] = {   0,    1,    2,    6,    7,    8,    9,   10,   11,   12,   16,   17,   18,   19,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   37,   38,   39,   40,   41,   42,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   62,   63,   64,   65,   66,   67,   68,   69,   70,   74,   75,   76}; //  52
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 52);
  int needed_v_smax_1[] = {   0,    1,   10,   11,   21,   22,   31,   32,   40,   41,   50,   51,   52,   53,   68,   69}; //  16
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 16);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,   10,   11,   12,   13,   14,   15,   16,   17,   18,   21,   22,   23,   24,   25,   26,   28,   29,   30,   31,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   44,   45,   46,   47,   48,   50,   51,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   81}; //  73
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 73);
  int needed_v_smax_3[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   54,   56,   57,   60,   62,   63,   64,   77,   83,   84}; //  42
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 42);
  int needed_v_smax_4[] = {   2,   12,   23,   33,   42,   54,   55,   70}; //   8
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 8);
  int needed_v_smax_5[] = {   3,    4,    5,   13,   14,   15,   24,   25,   26,   34,   35,   36,   43,   44,   45,   56,   57,   58,   59,   60,   61,   71,   72,   73,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  34
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 34);
  int needed_v_smax_6[] = {   3,    4,   13,   14,   24,   25,   34,   35,   43,   44,   56,   57,   58,   59,   71,   72}; //  16
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 16);
  int needed_v_smax_7[] = {   5,   15,   26,   36,   45,   60,   61,   73}; //   8
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 8);
  int needed_v_smax_8[] = {   6,    7,    8,   16,   17,   18,   28,   29,   30,   37,   38,   39,   46,   47,   48,   62,   63,   64,   65,   66,   67,   74,   75,   76}; //  24
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 24);
  int needed_v_smax_9[] = {   9,   19,   20,   49}; //   4
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 4);
  int needed_v_smax_10[] = {   9,   19,   49}; //   3
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 3);
  int needed_v_smax_11[] = {  20,   27}; //   2
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 2);
  int needed_v_smax_12[] = {  20,   27}; //   2
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 2);
  int needed_v_smax_13[] = {  21,   22,   23,   24,   25,   26,   28,   29,   30,   68,   69,   70,   71,   72,   73,   74,   75,   76}; //  18
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 18);
  int needed_v_smax_14[] = {  27}; //   1
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 1);
  int needed_v_smax_15[] = {  27}; //   1
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 1);
  int needed_v_smax_16[] = {  77,   78,   79,   81,   82,   83,   84,   85,   86}; //   9
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 9);
  int needed_v_smax_17[] = {  77,   78,   79,   83,   84}; //   5
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 5);
  int needed_v_smax_18[] = {  79,   80,   78}; //   3
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 3);
  int needed_v_smax_19[] = {  80}; //   1
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 1);
  int needed_v_smax_20[] = {  80}; //   1
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 1);
  int needed_v_smax_21[] = {  86}; //   1
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 1);
  int needed_v_smax_22[] = {  31,   32,   33,   34,   35,   36,   37,   38,   39,   52,   53,   55,   58,   59,   61,   65,   66,   67,   81,   82,   85}; //  21
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 21);
  int needed_v_smax_23[] = {  82,   85}; //   2
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 2);
  int needed_v_smax_24[] = {  86}; //   1
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 1);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(33);
  psi_needed_g_p[no_ps].resize(33);
  int needed_g_p_0[] = {   0,    1,    2,    6,    7,    8,    9,   10,   11,   12,   16,   17,   18,   19,   20,   21,   22,   23,   28,   29,   30,   31,   32,   33,   37,   38,   39,   40,   41,   42,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   62,   63,   64,   65,   66,   67,   68,   69,   70,   74,   75,   76}; //  52
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 52);
  psi_container_IS_name.push_back("propagator_24_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,   10,   11,   21,   22,   31,   32,   40,   41,   50,   51,   52,   53,   68,   69}; //  16
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 16);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,   10,   21,   31,   40,   50,   52,   68}; //   8
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 8);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,   10,   11,   12,   13,   14,   15,   16,   17,   18,   40,   41,   42,   43,   44,   45,   46,   47,   48}; //  27
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 27);
  psi_container_IS_name.push_back("propagator_5_smin3_smax3");
  int needed_g_p_4[] = {   1,   11,   22,   32,   41,   51,   53,   69}; //   8
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 8);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_5[] = {   2,   12,   23,   33,   42,   54,   55,   70}; //   8
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 8);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_6[] = {   2,   12,   23,   33,   42,   54,   55,   70}; //   8
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 8);
  psi_container_IS_name.push_back("propagator_23_smin5_smax2");
  int needed_g_p_7[] = {   3,    4,    5,   13,   14,   15,   24,   25,   26,   34,   35,   36,   43,   44,   45,   56,   57,   58,   59,   60,   61,   71,   72,   73,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  34
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 34);
  psi_container_IS_name.push_back("propagator_24_smin6_smax5");
  int needed_g_p_8[] = {   3,    4,   13,   14,   24,   25,   34,   35,   43,   44,   56,   57,   58,   59,   71,   72}; //  16
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 16);
  psi_container_IS_name.push_back("propagator_0_smin7_smax6");
  int needed_g_p_9[] = {   3,   13,   24,   34,   43,   56,   58,   71}; //   8
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 8);
  psi_container_IS_name.push_back("propagator_0_smin8_smax2");
  int needed_g_p_10[] = {   4,   14,   25,   35,   44,   57,   59,   72}; //   8
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 8);
  psi_container_IS_name.push_back("propagator_23_smin8_smax2");
  int needed_g_p_11[] = {   5,   15,   26,   36,   45,   60,   61,   73}; //   8
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 8);
  psi_container_IS_name.push_back("propagator_0_smin9_smax7");
  int needed_g_p_12[] = {   5,   15,   26,   36,   45,   60,   61,   73}; //   8
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 8);
  psi_container_IS_name.push_back("propagator_23_smin10_smax2");
  int needed_g_p_13[] = {   6,    7,    8,   16,   17,   18,   28,   29,   30,   37,   38,   39,   46,   47,   48,   62,   63,   64,   65,   66,   67,   74,   75,   76}; //  24
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 24);
  psi_container_IS_name.push_back("propagator_24_smin6_smax8");
  int needed_g_p_14[] = {   6,   16,   28,   37,   46,   62,   65,   74}; //   8
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 8);
  psi_container_IS_name.push_back("propagator_0_smin11_smax2");
  int needed_g_p_15[] = {   7,   17,   29,   38,   47,   63,   66,   75}; //   8
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 8);
  psi_container_IS_name.push_back("propagator_23_smin11_smax2");
  int needed_g_p_16[] = {   8,   18,   30,   39,   48,   64,   67,   76}; //   8
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 8);
  psi_container_IS_name.push_back("propagator_25_smin11_smax2");
  int needed_g_p_17[] = {   9,   19,   20,   49}; //   4
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 4);
  psi_container_IS_name.push_back("propagator_6_smin12_smax9");
  int needed_g_p_18[] = {   9,   19,   49}; //   3
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 3);
  psi_container_IS_name.push_back("propagator_24_smin6_smax10");
  int needed_g_p_19[] = {   9,   19,   49}; //   3
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 3);
  psi_container_IS_name.push_back("propagator_5_smin13_smax3");
  int needed_g_p_20[] = {  20}; //   1
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 1);
  psi_container_IS_name.push_back("propagator_6_smin14_smax11");
  int needed_g_p_21[] = {  20,   27}; //   2
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 2);
  psi_container_IS_name.push_back("propagator_24_smin6_smax12");
  int needed_g_p_22[] = {  21,   22,   23,   24,   25,   26,   28,   29,   30,   68,   69,   70,   71,   72,   73,   74,   75,   76}; //  18
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 18);
  psi_container_IS_name.push_back("propagator_5_smin15_smax13");
  int needed_g_p_23[] = {  27}; //   1
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 1);
  psi_container_IS_name.push_back("propagator_5_smin15_smax14");
  int needed_g_p_24[] = {  27}; //   1
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 1);
  psi_container_IS_name.push_back("propagator_24_smin0_smax15");
  int needed_g_p_25[] = {  27}; //   1
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 1);
  psi_container_IS_name.push_back("propagator_6_smin16_smax11");
  int needed_g_p_26[] = {  77,   78,   79,   81,   82,   83,   84,   85,   86}; //   9
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 9);
  psi_container_IS_name.push_back("propagator_24_smin0_smax16");
  int needed_g_p_27[] = {  77,   78,   79,   83}; //   4
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 4);
  psi_container_IS_name.push_back("propagator_6_smin12_smax17");
  int needed_g_p_28[] = {  79}; //   1
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 1);
  psi_container_IS_name.push_back("propagator_6_smin14_smax18");
  int needed_g_p_29[] = {  80}; //   1
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 1);
  psi_container_IS_name.push_back("propagator_5_smin15_smax19");
  int needed_g_p_30[] = {  80}; //   1
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 1);
  psi_container_IS_name.push_back("propagator_24_smin0_smax20");
  int needed_g_p_31[] = {  80}; //   1
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 1);
  psi_container_IS_name.push_back("propagator_6_smin16_smax18");
  int needed_g_p_32[] = {  86}; //   1
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 1);
  psi_container_IS_name.push_back("propagator_5_smin15_smax21");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(9);
  psi_needed_g_f[no_ps].resize(9);
  int needed_g_f_0[] = {  31,   32,   33,   34,   35,   36,   37,   38,   39,   52,   53,   55,   58,   59,   61,   65,   66,   67,   81}; //  19
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 19);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax22");
  int needed_g_f_1[] = {  50,   51,   54,   56,   57,   60,   62,   63,   64}; //   9
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 9);
  psi_container_IS_name.push_back("timelikeinvariant_smin3_smax3");
  int needed_g_f_2[] = {  77,   83,   84}; //   3
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 3);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax3");
  int needed_g_f_3[] = {  78}; //   1
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax18");
  int needed_g_f_4[] = {  81}; //   1
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax2");
  int needed_g_f_5[] = {  82,   85}; //   2
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax23");
  int needed_g_f_6[] = {  82,   85}; //   2
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax22");
  int needed_g_f_7[] = {  84}; //   1
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax17");
  int needed_g_f_8[] = {  86}; //   1
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 1);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax24");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(17);
  psi_needed_g_t[no_ps].resize(17);
  int needed_g_t_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   77}; //  11
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 11);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_1__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_1__64_188");
  int needed_g_t_1[] = {  31,   32,   33,   34,   35,   36,   37,   38,   39,   52,   53,   55,   58,   59,   61,   65,   66,   67,   81,   82,   85}; //  21
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 21);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__128_124");
  int needed_g_t_2[] = {  31,   32,   33,   34,   35,   36,   37,   38,   39,   81}; //  10
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__2_129__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__2_129__64_60");
  int needed_g_t_3[] = {  40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   54,   56,   57,   60,   62,   63,   64,   83,   84}; //  21
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 21);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_4[] = {  50,   51,   54,   56,   57,   60,   62,   63,   64}; //   9
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__65_2__128_60");
  int needed_g_t_5[] = {  52,   53,   55,   58,   59,   61,   65,   66,   67}; //   9
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 9);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__129_2__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__129_2__64_60");
  int needed_g_t_6[] = {  68,   69,   70,   71,   72,   73,   74,   75,   76,   86}; //  10
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 10);
  psi_container_IS_name.push_back("t_of_tchannel_opt_5__1_2__192_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_5__1_2__192_60");
  int needed_g_t_7[] = {  77}; //   1
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_66__152_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_66__152_36");
  int needed_g_t_8[] = {  78,   79,   80}; //   3
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 3);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_1__36_216");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_1__36_216");
  int needed_g_t_9[] = {  78}; //   1
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__1_38__152_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__1_38__152_64");
  int needed_g_t_10[] = {  81}; //   1
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__129_66__24_36");
  psi_container_IS_name.push_back("phi_of_tchannel_6__129_66__24_36");
  int needed_g_t_11[] = {  82,   85}; //   2
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_129__36_88");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_129__36_88");
  int needed_g_t_12[] = {  82}; //   1
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 1);
  psi_container_IS_name.push_back("t_of_tchannel_6__129_38__24_64");
  psi_container_IS_name.push_back("phi_of_tchannel_6__129_38__24_64");
  int needed_g_t_13[] = {  83,   84}; //   2
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_65__36_152");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_65__36_152");
  int needed_g_t_14[] = {  84}; //   1
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 1);
  psi_container_IS_name.push_back("t_of_tchannel_5__65_38__128_24");
  psi_container_IS_name.push_back("phi_of_tchannel_5__65_38__128_24");
  int needed_g_t_15[] = {  85}; //   1
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 1);
  psi_container_IS_name.push_back("t_of_tchannel_5__129_38__64_24");
  psi_container_IS_name.push_back("phi_of_tchannel_5__129_38__64_24");
  int needed_g_t_16[] = {  86}; //   1
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_6__2_193__36_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_6__2_193__36_24");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(20);
  psi_needed_g_d[no_ps].resize(20);
  int needed_g_d_0[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,   10,   11,   12,   13,   14,   15,   16,   17,   18,   40,   41,   42,   43,   44,   45,   46,   47,   48}; //  27
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 27);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_1[] = {   0,    1,   10,   11,   21,   22,   31,   32,   40,   41,   50,   51,   52,   53,   68,   69}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_2[] = {   0,    1,   10,   11,   21,   22,   31,   32,   40,   41,   50,   51,   52,   53,   68,   69}; //  16
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__32_24");
  psi_container_IS_name.push_back("phi_of_decay_56__32_24");
  int needed_g_d_3[] = {   0,    1,    2,    6,    7,    8,    9,   10,   11,   12,   16,   17,   18,   19,   20,   21,   22,   23,   27,   28,   29,   30,   31,   32,   33,   37,   38,   39,   40,   41,   42,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   62,   63,   64,   65,   66,   67,   68,   69,   70,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 63);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_4[] = {   2,   12,   23,   33,   42,   54,   55,   70}; //   8
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_5[] = {   2,   12,   23,   33,   42,   54,   55,   70}; //   8
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__4_24");
  psi_container_IS_name.push_back("phi_of_decay_28__4_24");
  int needed_g_d_6[] = {   3,    4,   13,   14,   24,   25,   34,   35,   43,   44,   56,   57,   58,   59,   71,   72}; //  16
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_7[] = {   3,    4,   13,   14,   24,   25,   34,   35,   43,   44,   56,   57,   58,   59,   71,   72}; //  16
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__16_36");
  psi_container_IS_name.push_back("phi_of_decay_52__16_36");
  int needed_g_d_8[] = {   3,    4,    5,    6,    7,    8,    9,   13,   14,   15,   16,   17,   18,   19,   20,   24,   25,   26,   27,   28,   29,   30,   34,   35,   36,   37,   38,   39,   43,   44,   45,   46,   47,   48,   49,   56,   57,   58,   59,   60,   61,   62,   63,   64,   65,   66,   67,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86}; //  63
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 63);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_9[] = {   5,   15,   26,   36,   45,   60,   61,   73}; //   8
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_10[] = {   5,   15,   26,   36,   45,   60,   61,   73}; //   8
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 8);
  psi_container_IS_name.push_back("costheta_of_decay_44__8_36");
  psi_container_IS_name.push_back("phi_of_decay_44__8_36");
  int needed_g_d_11[] = {   6,    7,    8,   16,   17,   18,   28,   29,   30,   37,   38,   39,   46,   47,   48,   62,   63,   64,   65,   66,   67,   74,   75,   76}; //  24
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 24);
  psi_container_IS_name.push_back("costheta_of_decay_60__36_24");
  psi_container_IS_name.push_back("phi_of_decay_60__36_24");
  int needed_g_d_12[] = {   9,   19,   49}; //   3
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 3);
  psi_container_IS_name.push_back("costheta_of_decay_188__36_152");
  psi_container_IS_name.push_back("phi_of_decay_188__36_152");
  int needed_g_d_13[] = {   9,   19,   20,   49,   77,   78,   79,   83}; //   8
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 8);
  psi_container_IS_name.push_back("costheta_of_decay_152__128_24");
  psi_container_IS_name.push_back("phi_of_decay_152__128_24");
  int needed_g_d_14[] = {  10,   11,   12,   13,   14,   15,   16,   17,   18,   19}; //  10
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 10);
  psi_container_IS_name.push_back("costheta_of_decay_252__64_188");
  psi_container_IS_name.push_back("phi_of_decay_252__64_188");
  int needed_g_d_15[] = {  20,   27}; //   2
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 2);
  psi_container_IS_name.push_back("costheta_of_decay_252__36_216");
  psi_container_IS_name.push_back("phi_of_decay_252__36_216");
  int needed_g_d_16[] = {  20,   79}; //   2
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 2);
  psi_container_IS_name.push_back("costheta_of_decay_216__64_152");
  psi_container_IS_name.push_back("phi_of_decay_216__64_152");
  int needed_g_d_17[] = {  21,   22,   23,   24,   25,   26,   28,   29,   30}; //   9
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 9);
  psi_container_IS_name.push_back("costheta_of_decay_252__192_60");
  psi_container_IS_name.push_back("phi_of_decay_252__192_60");
  int needed_g_d_18[] = {  21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   68,   69,   70,   71,   72,   73,   74,   75,   76,   80,   86}; //  21
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 21);
  psi_container_IS_name.push_back("costheta_of_decay_192__64_128");
  psi_container_IS_name.push_back("phi_of_decay_192__64_128");
  int needed_g_d_19[] = {  27,   80}; //   2
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 2);
  psi_container_IS_name.push_back("costheta_of_decay_216__24_192");
  psi_container_IS_name.push_back("phi_of_decay_216__24_192");

  psi_c_p[no_ps].resize(87);
  psi_c_f[no_ps].resize(87);
  psi_c_t[no_ps].resize(87);
  psi_c_d[no_ps].resize(87);

  int c_p_0[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 4);
  int c_f_0[] = {}; //   0
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 0);
  int c_t_0[] = {  0}; //   1
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 1);
  int c_d_0[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 4);

  int c_p_1[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 4);
  int c_f_1[] = {}; //   0
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 0);
  int c_t_1[] = {  0}; //   1
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 1);
  int c_d_1[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 4);

  int c_p_2[] = {  0,   5,   6,   3}; //   4
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 4);
  int c_f_2[] = {}; //   0
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 0);
  int c_t_2[] = {  0}; //   1
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 1);
  int c_d_2[] = {  0,   4,   5,   3}; //   4
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 4);

  int c_p_3[] = {  7,   8,   9,   3}; //   4
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 4);
  int c_f_3[] = {}; //   0
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 0);
  int c_t_3[] = {  0}; //   1
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 1);
  int c_d_3[] = {  0,   6,   7,   8}; //   4
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 4);

  int c_p_4[] = {  7,   8,  10,   3}; //   4
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 4);
  int c_f_4[] = {}; //   0
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 0);
  int c_t_4[] = {  0}; //   1
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 1);
  int c_d_4[] = {  0,   6,   7,   8}; //   4
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 4);

  int c_p_5[] = {  7,  11,  12,   3}; //   4
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 4);
  int c_f_5[] = {}; //   0
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 0);
  int c_t_5[] = {  0}; //   1
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 1);
  int c_d_5[] = {  0,   9,  10,   8}; //   4
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 4);

  int c_p_6[] = {  0,  13,  14,   3}; //   4
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 4);
  int c_f_6[] = {}; //   0
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 0);
  int c_t_6[] = {  0}; //   1
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 1);
  int c_d_6[] = {  0,  11,   8,   3}; //   4
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 4);

  int c_p_7[] = {  0,  13,  15,   3}; //   4
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 4);
  int c_f_7[] = {}; //   0
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 0);
  int c_t_7[] = {  0}; //   1
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 1);
  int c_d_7[] = {  0,  11,   8,   3}; //   4
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 4);

  int c_p_8[] = {  0,  13,  16,   3}; //   4
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 4);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = {  0}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = {  0,  11,   8,   3}; //   4
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 4);

  int c_p_9[] = {  0,  17,  18,  19}; //   4
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 4);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  0}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = { 12,   8,  13,   3}; //   4
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 4);

  int c_p_10[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 4);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = {}; //   0
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 0);
  int c_d_10[] = { 14,   0,   1,   2,   3}; //   5
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 5);

  int c_p_11[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 4);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {}; //   0
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 0);
  int c_d_11[] = { 14,   0,   1,   2,   3}; //   5
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 5);

  int c_p_12[] = {  0,   5,   6,   3}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {}; //   0
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 0);
  int c_d_12[] = { 14,   0,   4,   5,   3}; //   5
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 5);

  int c_p_13[] = {  7,   8,   9,   3}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {}; //   0
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 0);
  int c_d_13[] = { 14,   0,   6,   7,   8}; //   5
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 5);

  int c_p_14[] = {  7,   8,  10,   3}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {}; //   0
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 0);
  int c_d_14[] = { 14,   0,   6,   7,   8}; //   5
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 5);

  int c_p_15[] = {  7,  11,  12,   3}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {}; //   0
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 0);
  int c_d_15[] = { 14,   0,   9,  10,   8}; //   5
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 5);

  int c_p_16[] = {  0,  13,  14,   3}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {}; //   0
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 0);
  int c_d_16[] = { 14,   0,  11,   8,   3}; //   5
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 5);

  int c_p_17[] = {  0,  13,  15,   3}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {}; //   0
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 0);
  int c_d_17[] = { 14,   0,  11,   8,   3}; //   5
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 5);

  int c_p_18[] = {  0,  13,  16,   3}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {}; //   0
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 0);
  int c_d_18[] = { 14,   0,  11,   8,   3}; //   5
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 5);

  int c_p_19[] = {  0,  17,  18,  19}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {}; //   0
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 0);
  int c_d_19[] = { 14,  12,   8,  13,   3}; //   5
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 5);

  int c_p_20[] = {  0,  17,  20,  21}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {}; //   0
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 0);
  int c_d_20[] = { 15,   8,  16,  13,   3}; //   5
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 5);

  int c_p_21[] = {  0,   1,   2,  22}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {}; //   0
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 0);
  int c_d_21[] = { 17,  18,   1,   2,   3}; //   5
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 5);

  int c_p_22[] = {  0,   1,   4,  22}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {}; //   0
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 0);
  int c_d_22[] = { 17,  18,   1,   2,   3}; //   5
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 5);

  int c_p_23[] = {  0,   5,   6,  22}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {}; //   0
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 0);
  int c_d_23[] = { 17,  18,   4,   5,   3}; //   5
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 5);

  int c_p_24[] = {  7,   8,   9,  22}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {}; //   0
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 0);
  int c_d_24[] = { 17,  18,   6,   7,   8}; //   5
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 5);

  int c_p_25[] = {  7,   8,  10,  22}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {}; //   0
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 0);
  int c_d_25[] = { 17,  18,   6,   7,   8}; //   5
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 5);

  int c_p_26[] = {  7,  11,  12,  22}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {}; //   0
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 0);
  int c_d_26[] = { 17,  18,   9,  10,   8}; //   5
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 5);

  int c_p_27[] = { 23,  24,  25,  21}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {}; //   0
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 0);
  int c_d_27[] = { 15,   8,  19,   3,  18}; //   5
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 5);

  int c_p_28[] = {  0,  13,  14,  22}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {}; //   0
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 0);
  int c_d_28[] = { 17,  18,  11,   8,   3}; //   5
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 5);

  int c_p_29[] = {  0,  13,  15,  22}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {}; //   0
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 0);
  int c_d_29[] = { 17,  18,  11,   8,   3}; //   5
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 5);

  int c_p_30[] = {  0,  13,  16,  22}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {}; //   0
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 0);
  int c_d_30[] = { 17,  18,  11,   8,   3}; //   5
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 5);

  int c_p_31[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 3);
  int c_f_31[] = {  0}; //   1
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 1);
  int c_t_31[] = {  1,   2}; //   2
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 2);
  int c_d_31[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 3);

  int c_p_32[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 3);
  int c_f_32[] = {  0}; //   1
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 1);
  int c_t_32[] = {  1,   2}; //   2
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 2);
  int c_d_32[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 3);

  int c_p_33[] = {  0,   5,   6}; //   3
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 3);
  int c_f_33[] = {  0}; //   1
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 1);
  int c_t_33[] = {  1,   2}; //   2
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 2);
  int c_d_33[] = {  4,   5,   3}; //   3
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 3);

  int c_p_34[] = {  7,   8,   9}; //   3
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 3);
  int c_f_34[] = {  0}; //   1
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 1);
  int c_t_34[] = {  1,   2}; //   2
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 2);
  int c_d_34[] = {  6,   7,   8}; //   3
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 3);

  int c_p_35[] = {  7,   8,  10}; //   3
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 3);
  int c_f_35[] = {  0}; //   1
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 1);
  int c_t_35[] = {  1,   2}; //   2
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 2);
  int c_d_35[] = {  6,   7,   8}; //   3
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 3);

  int c_p_36[] = {  7,  11,  12}; //   3
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 3);
  int c_f_36[] = {  0}; //   1
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 1);
  int c_t_36[] = {  1,   2}; //   2
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 2);
  int c_d_36[] = {  9,  10,   8}; //   3
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 3);

  int c_p_37[] = {  0,  13,  14}; //   3
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 3);
  int c_f_37[] = {  0}; //   1
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 1);
  int c_t_37[] = {  1,   2}; //   2
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 2);
  int c_d_37[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 3);

  int c_p_38[] = {  0,  13,  15}; //   3
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 3);
  int c_f_38[] = {  0}; //   1
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 1);
  int c_t_38[] = {  1,   2}; //   2
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 2);
  int c_d_38[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 3);

  int c_p_39[] = {  0,  13,  16}; //   3
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 3);
  int c_f_39[] = {  0}; //   1
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 1);
  int c_t_39[] = {  1,   2}; //   2
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 2);
  int c_d_39[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 3);

  int c_p_40[] = {  0,   1,   2,   3}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  3}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  0,   1,   4,   3}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  3}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = {  0,   1,   2,   3}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  0,   5,   6,   3}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  3}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = {  0,   4,   5,   3}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  7,   8,   9,   3}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  3}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = {  0,   6,   7,   8}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  7,   8,  10,   3}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  3}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = {  0,   6,   7,   8}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = {  7,  11,  12,   3}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {  3}; //   1
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 1);
  int c_d_45[] = {  0,   9,  10,   8}; //   4
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 4);

  int c_p_46[] = {  0,  13,  14,   3}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {  3}; //   1
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 1);
  int c_d_46[] = {  0,  11,   8,   3}; //   4
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 4);

  int c_p_47[] = {  0,  13,  15,   3}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  3}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = {  0,  11,   8,   3}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = {  0,  13,  16,   3}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  3}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = {  0,  11,   8,   3}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  0,  17,  18,  19}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  3}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 12,   8,  13,   3}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 3);
  int c_f_50[] = {  1}; //   1
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 1);
  int c_t_50[] = {  3,   4}; //   2
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 2);
  int c_d_50[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 3);

  int c_p_51[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 3);
  int c_f_51[] = {  1}; //   1
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 1);
  int c_t_51[] = {  3,   4}; //   2
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 2);
  int c_d_51[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 3);

  int c_p_52[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  0}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  1,   5}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  0,   1,   4}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  0}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  1,   5}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = {  1,   2,   3}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  0,   5,   6}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  1}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  3,   4}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = {  4,   5,   3}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  0,   5,   6}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  0}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  1,   5}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = {  4,   5,   3}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  7,   8,   9}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  1}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  3,   4}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = {  6,   7,   8}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = {  7,   8,  10}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  1}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  3,   4}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = {  6,   7,   8}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = {  7,   8,   9}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = {  0}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  1,   5}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = {  6,   7,   8}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = {  7,   8,  10}; //   3
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 3);
  int c_f_59[] = {  0}; //   1
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 1);
  int c_t_59[] = {  1,   5}; //   2
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 2);
  int c_d_59[] = {  6,   7,   8}; //   3
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 3);

  int c_p_60[] = {  7,  11,  12}; //   3
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 3);
  int c_f_60[] = {  1}; //   1
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 1);
  int c_t_60[] = {  3,   4}; //   2
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 2);
  int c_d_60[] = {  9,  10,   8}; //   3
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 3);

  int c_p_61[] = {  7,  11,  12}; //   3
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 3);
  int c_f_61[] = {  0}; //   1
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 1);
  int c_t_61[] = {  1,   5}; //   2
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 2);
  int c_d_61[] = {  9,  10,   8}; //   3
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 3);

  int c_p_62[] = {  0,  13,  14}; //   3
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 3);
  int c_f_62[] = {  1}; //   1
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 1);
  int c_t_62[] = {  3,   4}; //   2
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 2);
  int c_d_62[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 3);

  int c_p_63[] = {  0,  13,  15}; //   3
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 3);
  int c_f_63[] = {  1}; //   1
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 1);
  int c_t_63[] = {  3,   4}; //   2
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 2);
  int c_d_63[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 3);

  int c_p_64[] = {  0,  13,  16}; //   3
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 3);
  int c_f_64[] = {  1}; //   1
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 1);
  int c_t_64[] = {  3,   4}; //   2
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 2);
  int c_d_64[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 3);

  int c_p_65[] = {  0,  13,  14}; //   3
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 3);
  int c_f_65[] = {  0}; //   1
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 1);
  int c_t_65[] = {  1,   5}; //   2
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 2);
  int c_d_65[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 3);

  int c_p_66[] = {  0,  13,  15}; //   3
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 3);
  int c_f_66[] = {  0}; //   1
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 1);
  int c_t_66[] = {  1,   5}; //   2
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 2);
  int c_d_66[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 3);

  int c_p_67[] = {  0,  13,  16}; //   3
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 3);
  int c_f_67[] = {  0}; //   1
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 1);
  int c_t_67[] = {  1,   5}; //   2
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 2);
  int c_d_67[] = { 11,   8,   3}; //   3
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 3);

  int c_p_68[] = {  0,   1,   2,  22}; //   4
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 4);
  int c_f_68[] = {}; //   0
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 0);
  int c_t_68[] = {  6}; //   1
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 1);
  int c_d_68[] = { 18,   1,   2,   3}; //   4
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 4);

  int c_p_69[] = {  0,   1,   4,  22}; //   4
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 4);
  int c_f_69[] = {}; //   0
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 0);
  int c_t_69[] = {  6}; //   1
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 1);
  int c_d_69[] = { 18,   1,   2,   3}; //   4
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 4);

  int c_p_70[] = {  0,   5,   6,  22}; //   4
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 4);
  int c_f_70[] = {}; //   0
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 0);
  int c_t_70[] = {  6}; //   1
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 1);
  int c_d_70[] = { 18,   4,   5,   3}; //   4
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 4);

  int c_p_71[] = {  7,   8,   9,  22}; //   4
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 4);
  int c_f_71[] = {}; //   0
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 0);
  int c_t_71[] = {  6}; //   1
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 1);
  int c_d_71[] = { 18,   6,   7,   8}; //   4
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 4);

  int c_p_72[] = {  7,   8,  10,  22}; //   4
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 4);
  int c_f_72[] = {}; //   0
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 0);
  int c_t_72[] = {  6}; //   1
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 1);
  int c_d_72[] = { 18,   6,   7,   8}; //   4
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 4);

  int c_p_73[] = {  7,  11,  12,  22}; //   4
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 4);
  int c_f_73[] = {}; //   0
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 0);
  int c_t_73[] = {  6}; //   1
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 1);
  int c_d_73[] = { 18,   9,  10,   8}; //   4
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 4);

  int c_p_74[] = {  0,  13,  14,  22}; //   4
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 4);
  int c_f_74[] = {}; //   0
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 0);
  int c_t_74[] = {  6}; //   1
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 1);
  int c_d_74[] = { 18,  11,   8,   3}; //   4
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 4);

  int c_p_75[] = {  0,  13,  15,  22}; //   4
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 4);
  int c_f_75[] = {}; //   0
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 0);
  int c_t_75[] = {  6}; //   1
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 1);
  int c_d_75[] = { 18,  11,   8,   3}; //   4
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 4);

  int c_p_76[] = {  0,  13,  16,  22}; //   4
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 4);
  int c_f_76[] = {}; //   0
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 0);
  int c_t_76[] = {  6}; //   1
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 1);
  int c_d_76[] = { 18,  11,   8,   3}; //   4
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 4);

  int c_p_77[] = {  7,  26,  27}; //   3
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 3);
  int c_f_77[] = {  2}; //   1
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 1);
  int c_t_77[] = {  0,   7}; //   2
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 2);
  int c_d_77[] = { 13,   3,   8}; //   3
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 3);

  int c_p_78[] = {  7,  26,  27}; //   3
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 3);
  int c_f_78[] = {  3}; //   1
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 1);
  int c_t_78[] = {  8,   9}; //   2
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 2);
  int c_d_78[] = { 13,   3,   8}; //   3
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 3);

  int c_p_79[] = {  7,  26,  27,  28}; //   4
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 4);
  int c_f_79[] = {}; //   0
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 0);
  int c_t_79[] = {  8}; //   1
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 1);
  int c_d_79[] = { 16,  13,   3,   8}; //   4
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 4);

  int c_p_80[] = {  7,  29,  30,  31}; //   4
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 4);
  int c_f_80[] = {}; //   0
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 0);
  int c_t_80[] = {  8}; //   1
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 1);
  int c_d_80[] = { 19,   3,  18,   8}; //   4
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 4);

  int c_p_81[] = {  7,  26}; //   2
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 2);
  int c_f_81[] = {  4,   0}; //   2
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 2);
  int c_t_81[] = {  1,   2,  10}; //   3
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 3);
  int c_d_81[] = {  3,   8}; //   2
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 2);

  int c_p_82[] = {  7,  26}; //   2
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 2);
  int c_f_82[] = {  5,   6}; //   2
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 2);
  int c_t_82[] = {  1,  11,  12}; //   3
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 3);
  int c_d_82[] = {  3,   8}; //   2
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 2);

  int c_p_83[] = {  7,  26,  27}; //   3
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 3);
  int c_f_83[] = {  2}; //   1
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 1);
  int c_t_83[] = {  3,  13}; //   2
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 2);
  int c_d_83[] = { 13,   3,   8}; //   3
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 3);

  int c_p_84[] = {  7,  26}; //   2
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 2);
  int c_f_84[] = {  7,   2}; //   2
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 2);
  int c_t_84[] = {  3,  13,  14}; //   3
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 3);
  int c_d_84[] = {  3,   8}; //   2
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 2);

  int c_p_85[] = {  7,  26}; //   2
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 2);
  int c_f_85[] = {  5,   6}; //   2
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 2);
  int c_t_85[] = {  1,  11,  15}; //   3
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 3);
  int c_d_85[] = {  3,   8}; //   2
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 2);

  int c_p_86[] = {  7,  26,  32}; //   3
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 3);
  int c_f_86[] = {  8}; //   1
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 1);
  int c_t_86[] = {  6,  16}; //   2
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 2);
  int c_d_86[] = { 18,   3,   8}; //   3
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 3);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
