#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../pph21/header/pph21.phasespace.h"
void pph21_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("pph21_ag_psp_doublereal");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] ==  1){pph21_ag_psp_410_gg_hgg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  2){pph21_ag_psp_410_gg_hddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  3){pph21_ag_psp_410_gg_huux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  4){pph21_ag_psp_410_gd_hgd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  5){pph21_ag_psp_410_gu_hgu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  6){pph21_ag_psp_410_gdx_hgdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  7){pph21_ag_psp_410_gux_hgux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  8){pph21_ag_psp_410_dd_hdd(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] ==  9){pph21_ag_psp_410_du_hdu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 10){pph21_ag_psp_410_ds_hds(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 11){pph21_ag_psp_410_dc_hdc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 13){pph21_ag_psp_410_ddx_hgg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 14){pph21_ag_psp_410_ddx_hddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 15){pph21_ag_psp_410_ddx_huux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 16){pph21_ag_psp_410_ddx_hssx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 17){pph21_ag_psp_410_ddx_hccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 18){pph21_ag_psp_410_dux_hdux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 20){pph21_ag_psp_410_dsx_hdsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 22){pph21_ag_psp_410_dcx_hdcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 23){pph21_ag_psp_410_uu_huu(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 24){pph21_ag_psp_410_uc_huc(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 25){pph21_ag_psp_410_udx_hudx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 27){pph21_ag_psp_410_uux_hgg(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 28){pph21_ag_psp_410_uux_hddx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 29){pph21_ag_psp_410_uux_huux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 30){pph21_ag_psp_410_uux_hssx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 31){pph21_ag_psp_410_uux_hccx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 32){pph21_ag_psp_410_usx_husx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 34){pph21_ag_psp_410_ucx_hucx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 35){pph21_ag_psp_410_dxdx_hdxdx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 36){pph21_ag_psp_410_dxux_hdxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 37){pph21_ag_psp_410_dxsx_hdxsx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 38){pph21_ag_psp_410_dxcx_hdxcx(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 40){pph21_ag_psp_410_uxux_huxux(no_ps, zero, psi);}
  else if (psi_no_map[no_ps] == 41){pph21_ag_psp_410_uxcx_huxcx(no_ps, zero, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
