#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppzz02/header/ppzz02.phasespace.h"
void ppzz02_ax_psp_220_gg_zzuux(int no_ps, phasespace_set & psi){
  static Logger logger("ppzz02_ax_psp_220_gg_zzuux");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(11);
  psi_needed_v_smin[no_ps].resize(11);
  int needed_v_smin_0[] = {   4,   11,   15,   16,   21,   25,   26,   29}; //   8
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 8);
  int needed_v_smin_1[] = {   5,   10,   14,   17,   20,   24,   27,   28}; //   8
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 8);
  int needed_v_smin_2[] = {   6,    9,   13,   17,   19,   23,   27,   28}; //   8
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 8);
  int needed_v_smin_3[] = {   7,    8,   12,   16,   18,   22,   26,   29}; //   8
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 8);
  int needed_v_smin_4[] = {   8,   12,   18,    7,   22}; //   5
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 5);
  int needed_v_smin_5[] = {   9,   13,   19,    6,   23}; //   5
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 5);
  int needed_v_smin_6[] = {  10,   14,   20,    5,   24}; //   5
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 5);
  int needed_v_smin_7[] = {  11,   15,   21,    4,   25}; //   5
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 5);
  int needed_v_smin_8[] = {   0,    1,    2,    3}; //   4
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 4);
  int needed_v_smin_9[] = {   0,    2}; //   2
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 2);
  int needed_v_smin_10[] = {   1,    3}; //   2
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 2);

  psi_v_smax[no_ps].resize(11);
  psi_needed_v_smax[no_ps].resize(11);
  int needed_v_smax_0[] = {   4,   11,   15,   21,   25,   29}; //   6
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 6);
  int needed_v_smax_1[] = {   5,   10,   14,   20,   24,   28}; //   6
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 6);
  int needed_v_smax_2[] = {   6,    9,   13,   17,   19,   23,   27}; //   7
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 7);
  int needed_v_smax_3[] = {   7,    8,   12,   16,   18,   22,   26}; //   7
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 7);
  int needed_v_smax_4[] = {   8,   10,   12,   14,   18,   20,    0,    2,    5,    7,   22,   24}; //  12
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 12);
  int needed_v_smax_5[] = {   9,   11,   13,   15,   19,   21,    1,    3,    4,    6,   23,   25}; //  12
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 12);
  int needed_v_smax_6[] = {  16,   26}; //   2
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 2);
  int needed_v_smax_7[] = {  17,   27}; //   2
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 2);
  int needed_v_smax_8[] = {  28}; //   1
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 1);
  int needed_v_smax_9[] = {  29}; //   1
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 1);
  int needed_v_smax_10[] = {   0,    1,    2,    3}; //   4
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 4);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(12);
  psi_needed_g_p[no_ps].resize(12);
  int needed_g_p_0[] = {   4,   11,   15,   21,   25,   29}; //   6
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 6);
  psi_container_IS_name.push_back("propagator_0_smin0_smax0");
  int needed_g_p_1[] = {   5,   10,   14,   20,   24,   28}; //   6
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 6);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   6,    9,   13,   17,   19,   23,   27}; //   7
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 7);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   7,    8,   12,   16,   18,   22,   26}; //   7
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 7);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_4[] = {   8,   12,   18}; //   3
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 3);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_5[] = {   9,   13,   19}; //   3
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 3);
  psi_container_IS_name.push_back("propagator_0_smin5_smax5");
  int needed_g_p_6[] = {  10,   14,   20}; //   3
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 3);
  psi_container_IS_name.push_back("propagator_0_smin6_smax4");
  int needed_g_p_7[] = {  11,   15,   21}; //   3
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 3);
  psi_container_IS_name.push_back("propagator_0_smin7_smax5");
  int needed_g_p_8[] = {  16,   26}; //   2
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 2);
  psi_container_IS_name.push_back("propagator_0_smin0_smax6");
  int needed_g_p_9[] = {  17,   27}; //   2
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 2);
  psi_container_IS_name.push_back("propagator_0_smin1_smax7");
  int needed_g_p_10[] = {  28}; //   1
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 1);
  psi_container_IS_name.push_back("propagator_0_smin2_smax8");
  int needed_g_p_11[] = {  29}; //   1
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 1);
  psi_container_IS_name.push_back("propagator_0_smin3_smax9");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(7);
  psi_needed_g_f[no_ps].resize(7);
  int needed_g_f_0[] = {   0,    1,    2,    3}; //   4
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin8_smax10");
  int needed_g_f_1[] = {   0,    2}; //   2
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin9_smax4");
  int needed_g_f_2[] = {   1,    3}; //   2
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax5");
  int needed_g_f_3[] = {   4,   25}; //   2
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin7_smax5");
  int needed_g_f_4[] = {   5,   24}; //   2
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin6_smax4");
  int needed_g_f_5[] = {   6,   23}; //   2
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin5_smax5");
  int needed_g_f_6[] = {   7,   22}; //   2
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 2);
  psi_container_IS_name.push_back("timelikeinvariant_smin4_smax4");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(22);
  psi_needed_g_t[no_ps].resize(22);
  int needed_g_t_0[] = {   0,    2,   18,   20,   22,   24}; //   6
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__32_28");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__32_28");
  int needed_g_t_1[] = {   0,    2}; //   2
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_33__16_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_33__16_12");
  int needed_g_t_2[] = {   0}; //   1
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 1);
  psi_container_IS_name.push_back("t_of_tchannel_0__33_18__4_8");
  psi_container_IS_name.push_back("phi_of_tchannel_0__33_18__4_8");
  int needed_g_t_3[] = {   1,    3,   19,   21,   23,   25}; //   6
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__16_44");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__16_44");
  int needed_g_t_4[] = {   1,    3}; //   2
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_17__32_12");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_17__32_12");
  int needed_g_t_5[] = {   1}; //   1
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 1);
  psi_container_IS_name.push_back("t_of_tchannel_0__17_34__4_8");
  psi_container_IS_name.push_back("phi_of_tchannel_0__17_34__4_8");
  int needed_g_t_6[] = {   2}; //   1
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 1);
  psi_container_IS_name.push_back("t_of_tchannel_0__33_18__8_4");
  psi_container_IS_name.push_back("phi_of_tchannel_0__33_18__8_4");
  int needed_g_t_7[] = {   3}; //   1
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 1);
  psi_container_IS_name.push_back("t_of_tchannel_0__17_34__8_4");
  psi_container_IS_name.push_back("phi_of_tchannel_0__17_34__8_4");
  int needed_g_t_8[] = {   4,    6,    9,   11}; //   4
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__16_44");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__16_44");
  int needed_g_t_9[] = {   4}; //   1
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_18__36_8");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_18__36_8");
  int needed_g_t_10[] = {   5,    7,    8,   10}; //   4
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__32_28");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__32_28");
  int needed_g_t_11[] = {   5}; //   1
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_34__20_8");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_34__20_8");
  int needed_g_t_12[] = {   6}; //   1
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_18__40_4");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_18__40_4");
  int needed_g_t_13[] = {   7}; //   1
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_34__24_4");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_34__24_4");
  int needed_g_t_14[] = {  22}; //   1
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_33__24_4");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_33__24_4");
  int needed_g_t_15[] = {  23}; //   1
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_17__40_4");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_17__40_4");
  int needed_g_t_16[] = {  24}; //   1
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_33__20_8");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_33__20_8");
  int needed_g_t_17[] = {  25}; //   1
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_17__36_8");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_17__36_8");
  int needed_g_t_18[] = {  26}; //   1
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__36_24");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__36_24");
  int needed_g_t_19[] = {  27}; //   1
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__20_40");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__20_40");
  int needed_g_t_20[] = {  28}; //   1
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__40_20");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__40_20");
  int needed_g_t_21[] = {  29}; //   1
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 1);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__24_36");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__24_36");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(12);
  psi_needed_g_d[no_ps].resize(12);
  int needed_g_d_0[] = {   4,   11,   15,   16,   21,   25,   26,   29}; //   8
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 8);
  psi_container_IS_name.push_back("costheta_of_decay_36__4_32");
  psi_container_IS_name.push_back("phi_of_decay_36__4_32");
  int needed_g_d_1[] = {   5,   10,   14,   17,   20,   24,   27,   28}; //   8
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 8);
  psi_container_IS_name.push_back("costheta_of_decay_20__4_16");
  psi_container_IS_name.push_back("phi_of_decay_20__4_16");
  int needed_g_d_2[] = {   6,    9,   13,   17,   19,   23,   27,   28}; //   8
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 8);
  psi_container_IS_name.push_back("costheta_of_decay_40__8_32");
  psi_container_IS_name.push_back("phi_of_decay_40__8_32");
  int needed_g_d_3[] = {   7,    8,   12,   16,   18,   22,   26,   29}; //   8
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 8);
  psi_container_IS_name.push_back("costheta_of_decay_24__8_16");
  psi_container_IS_name.push_back("phi_of_decay_24__8_16");
  int needed_g_d_4[] = {   8,   12,   18}; //   3
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 3);
  psi_container_IS_name.push_back("costheta_of_decay_28__4_24");
  psi_container_IS_name.push_back("phi_of_decay_28__4_24");
  int needed_g_d_5[] = {   9,   13,   19}; //   3
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 3);
  psi_container_IS_name.push_back("costheta_of_decay_44__4_40");
  psi_container_IS_name.push_back("phi_of_decay_44__4_40");
  int needed_g_d_6[] = {  10,   14,   20}; //   3
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 3);
  psi_container_IS_name.push_back("costheta_of_decay_28__8_20");
  psi_container_IS_name.push_back("phi_of_decay_28__8_20");
  int needed_g_d_7[] = {  11,   15,   21}; //   3
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 3);
  psi_container_IS_name.push_back("costheta_of_decay_44__8_36");
  psi_container_IS_name.push_back("phi_of_decay_44__8_36");
  int needed_g_d_8[] = {  12,   14}; //   2
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 2);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_9[] = {  13,   15}; //   2
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 2);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_10[] = {  16}; //   1
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 1);
  psi_container_IS_name.push_back("costheta_of_decay_60__36_24");
  psi_container_IS_name.push_back("phi_of_decay_60__36_24");
  int needed_g_d_11[] = {  17}; //   1
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 1);
  psi_container_IS_name.push_back("costheta_of_decay_60__20_40");
  psi_container_IS_name.push_back("phi_of_decay_60__20_40");

  psi_c_p[no_ps].resize(30);
  psi_c_f[no_ps].resize(30);
  psi_c_t[no_ps].resize(30);
  psi_c_d[no_ps].resize(30);

  int c_p_0[] = {}; //   0
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 0);
  int c_f_0[] = {  0,   1}; //   2
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 2);
  int c_t_0[] = {  0,   1,   2}; //   3
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 3);
  int c_d_0[] = {}; //   0
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 0);

  int c_p_1[] = {}; //   0
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 0);
  int c_f_1[] = {  0,   2}; //   2
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 2);
  int c_t_1[] = {  3,   4,   5}; //   3
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 3);
  int c_d_1[] = {}; //   0
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 0);

  int c_p_2[] = {}; //   0
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 0);
  int c_f_2[] = {  0,   1}; //   2
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 2);
  int c_t_2[] = {  0,   1,   6}; //   3
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 3);
  int c_d_2[] = {}; //   0
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 0);

  int c_p_3[] = {}; //   0
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 0);
  int c_f_3[] = {  0,   2}; //   2
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 2);
  int c_t_3[] = {  3,   4,   7}; //   3
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 3);
  int c_d_3[] = {}; //   0
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 0);

  int c_p_4[] = {  0}; //   1
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 1);
  int c_f_4[] = {  3}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  8,   9}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  0}; //   1
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 1);

  int c_p_5[] = {  1}; //   1
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 1);
  int c_f_5[] = {  4}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = { 10,  11}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  1}; //   1
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 1);

  int c_p_6[] = {  2}; //   1
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 1);
  int c_f_6[] = {  5}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  8,  12}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = {  2}; //   1
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 1);

  int c_p_7[] = {  3}; //   1
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 1);
  int c_f_7[] = {  6}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = { 10,  13}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = {  3}; //   1
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 1);

  int c_p_8[] = {  3,   4}; //   2
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 2);
  int c_f_8[] = {}; //   0
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 0);
  int c_t_8[] = { 10}; //   1
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 1);
  int c_d_8[] = {  4,   3}; //   2
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 2);

  int c_p_9[] = {  2,   5}; //   2
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 2);
  int c_f_9[] = {}; //   0
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 0);
  int c_t_9[] = {  8}; //   1
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 1);
  int c_d_9[] = {  5,   2}; //   2
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 2);

  int c_p_10[] = {  1,   6}; //   2
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 2);
  int c_f_10[] = {}; //   0
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 0);
  int c_t_10[] = { 10}; //   1
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 1);
  int c_d_10[] = {  6,   1}; //   2
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 2);

  int c_p_11[] = {  0,   7}; //   2
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 2);
  int c_f_11[] = {}; //   0
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 0);
  int c_t_11[] = {  8}; //   1
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 1);
  int c_d_11[] = {  7,   0}; //   2
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 2);

  int c_p_12[] = {  3,   4}; //   2
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 2);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {}; //   0
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 0);
  int c_d_12[] = {  8,   4,   3}; //   3
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 3);

  int c_p_13[] = {  2,   5}; //   2
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 2);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {}; //   0
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 0);
  int c_d_13[] = {  9,   5,   2}; //   3
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 3);

  int c_p_14[] = {  1,   6}; //   2
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 2);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {}; //   0
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 0);
  int c_d_14[] = {  8,   6,   1}; //   3
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 3);

  int c_p_15[] = {  0,   7}; //   2
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 2);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {}; //   0
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 0);
  int c_d_15[] = {  9,   7,   0}; //   3
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 3);

  int c_p_16[] = {  3,   8}; //   2
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 2);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {}; //   0
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 0);
  int c_d_16[] = { 10,   0,   3}; //   3
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 3);

  int c_p_17[] = {  2,   9}; //   2
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 2);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {}; //   0
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 0);
  int c_d_17[] = { 11,   1,   2}; //   3
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 3);

  int c_p_18[] = {  3,   4}; //   2
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 2);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  0}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = {  4,   3}; //   2
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 2);

  int c_p_19[] = {  2,   5}; //   2
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 2);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  3}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = {  5,   2}; //   2
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 2);

  int c_p_20[] = {  1,   6}; //   2
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 2);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {  0}; //   1
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 1);
  int c_d_20[] = {  6,   1}; //   2
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 2);

  int c_p_21[] = {  0,   7}; //   2
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 2);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {  3}; //   1
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 1);
  int c_d_21[] = {  7,   0}; //   2
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 2);

  int c_p_22[] = {  3}; //   1
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 1);
  int c_f_22[] = {  6}; //   1
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 1);
  int c_t_22[] = {  0,  14}; //   2
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 2);
  int c_d_22[] = {  3}; //   1
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 1);

  int c_p_23[] = {  2}; //   1
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 1);
  int c_f_23[] = {  5}; //   1
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 1);
  int c_t_23[] = {  3,  15}; //   2
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 2);
  int c_d_23[] = {  2}; //   1
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 1);

  int c_p_24[] = {  1}; //   1
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 1);
  int c_f_24[] = {  4}; //   1
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 1);
  int c_t_24[] = {  0,  16}; //   2
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 2);
  int c_d_24[] = {  1}; //   1
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 1);

  int c_p_25[] = {  0}; //   1
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 1);
  int c_f_25[] = {  3}; //   1
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 1);
  int c_t_25[] = {  3,  17}; //   2
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 2);
  int c_d_25[] = {  0}; //   1
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 1);

  int c_p_26[] = {  3,   8}; //   2
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 2);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = { 18}; //   1
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 1);
  int c_d_26[] = {  0,   3}; //   2
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 2);

  int c_p_27[] = {  2,   9}; //   2
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 2);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = { 19}; //   1
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 1);
  int c_d_27[] = {  1,   2}; //   2
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 2);

  int c_p_28[] = {  1,  10}; //   2
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 2);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = { 20}; //   1
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 1);
  int c_d_28[] = {  2,   1}; //   2
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 2);

  int c_p_29[] = {  0,  11}; //   2
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 2);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = { 21}; //   1
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 1);
  int c_d_29[] = {  3,   0}; //   2
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 2);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
