void ppeex02_particles(int i_a, observable_set & oset);

void ppeex02_cuts(int i_a, observable_set & oset);
void ppeex02_cuts_test(int i_a, observable_set & oset);

void ppeex02_moments(observable_set & oset);

void ppeex02_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppeex02_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppeex02_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppeex02_optimize_minv_born(phasespace_set & psi);
int ppeex02_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppeex02_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeex02_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_born(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ax_psp_020_ddx_emep(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_020_ddx_emep(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_020_ddx_emep(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_020_uux_emep(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_020_uux_emep(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_020_uux_emep(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_gg_emep(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_gg_emep(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_gg_emep(int no_ps, int zero, phasespace_set & psi);
void ppeex02_phasespacepoint_born(observable_set & oset);

void ppeex02_phasespacepoint_collinear(observable_set & oset);

void ppeex02_optimize_minv_real(phasespace_set & psi);
int ppeex02_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppeex02_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeex02_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_real(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ax_psp_120_gd_emepd(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_120_gd_emepd(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_120_gd_emepd(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_120_gu_emepu(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_120_gu_emepu(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_120_gu_emepu(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_120_gdx_emepdx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_120_gdx_emepdx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_120_gdx_emepdx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_120_gux_emepux(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_120_gux_emepux(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_120_gux_emepux(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_120_ddx_emepg(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_120_ddx_emepg(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_120_ddx_emepg(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_120_uux_emepg(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_120_uux_emepg(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_120_uux_emepg(int no_ps, int zero, phasespace_set & psi);
void ppeex02_phasespacepoint_real(observable_set & oset);

void ppeex02_phasespacepoint_realcollinear(observable_set & oset);

void ppeex02_optimize_minv_doublereal(phasespace_set & psi);
int ppeex02_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppeex02_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeex02_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ax_psp_220_gg_emepddx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_gg_emepddx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_gg_emepddx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_gg_emepuux(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_gg_emepuux(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_gg_emepuux(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_gd_emepgd(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_gd_emepgd(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_gd_emepgd(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_gu_emepgu(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_gu_emepgu(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_gu_emepgu(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_gdx_emepgdx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_gdx_emepgdx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_gdx_emepgdx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_gux_emepgux(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_gux_emepgux(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_gux_emepgux(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_dd_emepdd(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_dd_emepdd(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_dd_emepdd(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_du_emepdu(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_du_emepdu(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_du_emepdu(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_ds_emepds(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_ds_emepds(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_ds_emepds(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_dc_emepdc(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_dc_emepdc(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_dc_emepdc(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_ddx_emepgg(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_ddx_emepgg(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_ddx_emepgg(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_ddx_emepddx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_ddx_emepddx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_ddx_emepddx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_ddx_emepuux(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_ddx_emepuux(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_ddx_emepuux(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_ddx_emepssx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_ddx_emepssx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_ddx_emepssx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_ddx_emepccx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_ddx_emepccx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_ddx_emepccx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_dux_emepdux(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_dux_emepdux(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_dux_emepdux(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_dsx_emepdsx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_dsx_emepdsx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_dsx_emepdsx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_dcx_emepdcx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_dcx_emepdcx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_dcx_emepdcx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_uu_emepuu(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_uu_emepuu(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_uu_emepuu(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_uc_emepuc(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_uc_emepuc(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_uc_emepuc(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_udx_emepudx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_udx_emepudx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_udx_emepudx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_uux_emepgg(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_uux_emepgg(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_uux_emepgg(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_uux_emepddx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_uux_emepddx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_uux_emepddx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_uux_emepuux(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_uux_emepuux(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_uux_emepuux(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_uux_emepssx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_uux_emepssx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_uux_emepssx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_uux_emepccx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_uux_emepccx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_uux_emepccx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_usx_emepusx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_usx_emepusx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_usx_emepusx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_ucx_emepucx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_ucx_emepucx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_ucx_emepucx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_dxdx_emepdxdx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_dxdx_emepdxdx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_dxdx_emepdxdx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_dxux_emepdxux(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_dxux_emepdxux(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_dxux_emepdxux(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_dxsx_emepdxsx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_dxsx_emepdxsx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_dxsx_emepdxsx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_dxcx_emepdxcx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_dxcx_emepdxcx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_dxcx_emepdxcx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_uxux_emepuxux(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_uxux_emepuxux(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_uxux_emepuxux(int no_ps, int zero, phasespace_set & psi);
void ppeex02_ax_psp_220_uxcx_emepuxcx(int no_ps, phasespace_set & psi);
void ppeex02_ac_psp_220_uxcx_emepuxcx(int no_ps, int channel, phasespace_set & psi);
void ppeex02_ag_psp_220_uxcx_emepuxcx(int no_ps, int zero, phasespace_set & psi);
void ppeex02_phasespacepoint_doublereal(observable_set & oset);

