void ppeexexne04_particles(int i_a, observable_set & oset);

void ppeexexne04_cuts(int i_a, observable_set & oset);
void ppeexexne04_cuts_test(int i_a, observable_set & oset);

void ppeexexne04_moments(observable_set & oset);

void ppeexexne04_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppeexexne04_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppeexexne04_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppeexexne04_optimize_minv_born(phasespace_set & psi);
int ppeexexne04_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexexne04_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_born(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ax_psp_040_udx_emepepve(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_040_udx_emepepve(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_040_udx_emepepve(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_phasespacepoint_born(observable_set & oset);

void ppeexexne04_phasespacepoint_collinear(observable_set & oset);

void ppeexexne04_optimize_minv_real(phasespace_set & psi);
int ppeexexne04_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexexne04_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_real(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ax_psp_140_gu_emepepved(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_140_gu_emepepved(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_140_gu_emepepved(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_140_gdx_emepepveux(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_140_gdx_emepepveux(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_140_gdx_emepepveux(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_140_udx_emepepveg(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_140_udx_emepepveg(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_140_udx_emepepveg(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_phasespacepoint_real(observable_set & oset);

void ppeexexne04_phasespacepoint_realcollinear(observable_set & oset);

void ppeexexne04_optimize_minv_doublereal(phasespace_set & psi);
int ppeexexne04_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexexne04_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ax_psp_240_gg_emepepvedux(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_gg_emepepvedux(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_gg_emepepvedux(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_gu_emepepvegd(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_gu_emepepvegd(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_gu_emepepvegd(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_gdx_emepepvegux(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_gdx_emepepvegux(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_gdx_emepepvegux(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_du_emepepvedd(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_du_emepepvedd(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_du_emepepvedd(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_dc_emepepveds(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_dc_emepepveds(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_dc_emepepveds(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_ddx_emepepvedux(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_ddx_emepepvedux(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_ddx_emepepvedux(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_ddx_emepepvescx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_ddx_emepepvescx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_ddx_emepepvescx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_dsx_emepepvedcx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_dsx_emepepvedcx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_dsx_emepepvedcx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_uu_emepepvedu(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_uu_emepepvedu(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_uu_emepepvedu(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_uc_emepepvedc(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_uc_emepepvedc(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_uc_emepepvedc(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_udx_emepepvegg(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_udx_emepepvegg(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_udx_emepepvegg(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_udx_emepepveddx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_udx_emepepveddx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_udx_emepepveddx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_udx_emepepveuux(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_udx_emepepveuux(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_udx_emepepveuux(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_udx_emepepvessx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_udx_emepepvessx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_udx_emepepvessx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_udx_emepepveccx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_udx_emepepveccx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_udx_emepepveccx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_uux_emepepvedux(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_uux_emepepvedux(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_uux_emepepvedux(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_uux_emepepvescx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_uux_emepepvescx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_uux_emepepvescx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_usx_emepepvedsx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_usx_emepepvedsx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_usx_emepepvedsx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_usx_emepepveucx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_usx_emepepveucx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_usx_emepepveucx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_ucx_emepepvedcx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_ucx_emepepvedcx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_ucx_emepepvedcx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_dxdx_emepepvedxux(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_dxdx_emepepvedxux(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_dxdx_emepepvedxux(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_dxux_emepepveuxux(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_dxux_emepepveuxux(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_dxux_emepepveuxux(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_dxsx_emepepvedxcx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_dxsx_emepepvedxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_dxsx_emepepvedxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_ax_psp_240_dxcx_emepepveuxcx(int no_ps, phasespace_set & psi);
void ppeexexne04_ac_psp_240_dxcx_emepepveuxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexexne04_ag_psp_240_dxcx_emepepveuxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexexne04_phasespacepoint_doublereal(observable_set & oset);

