void ppeexmxnm04_particles(int i_a, observable_set & oset);

void ppeexmxnm04_cuts(int i_a, observable_set & oset);
void ppeexmxnm04_cuts_test(int i_a, observable_set & oset);

void ppeexmxnm04_moments(observable_set & oset);

void ppeexmxnm04_calculate_dynamic_scale(int i_a, observable_set & oset);
void ppeexmxnm04_calculate_dynamic_scale_RA(int i_a, observable_set & oset);
void ppeexmxnm04_calculate_dynamic_scale_TSV(int i_a, observable_set & oset);

void ppeexmxnm04_optimize_minv_born(phasespace_set & psi);
int ppeexmxnm04_determination_MCchannels_born(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_tau_psp_born(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexmxnm04_ag_psp_born(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_born(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_born(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ax_psp_040_udx_emepmupvm(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_040_udx_emepmupvm(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_040_udx_emepmupvm(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_phasespacepoint_born(observable_set & oset);

void ppeexmxnm04_phasespacepoint_collinear(observable_set & oset);

void ppeexmxnm04_optimize_minv_real(phasespace_set & psi);
int ppeexmxnm04_determination_MCchannels_real(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexmxnm04_ag_psp_real(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_real(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_real(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ax_psp_140_gu_emepmupvmd(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_140_gu_emepmupvmd(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_140_gu_emepmupvmd(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_140_gdx_emepmupvmux(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_140_gdx_emepmupvmux(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_140_gdx_emepmupvmux(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_140_udx_emepmupvmg(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_140_udx_emepmupvmg(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_140_udx_emepmupvmg(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_phasespacepoint_real(observable_set & oset);

void ppeexmxnm04_phasespacepoint_realcollinear(observable_set & oset);

void ppeexmxnm04_optimize_minv_doublereal(phasespace_set & psi);
int ppeexmxnm04_determination_MCchannels_doublereal(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_tau_psp_doublereal(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi);
void ppeexmxnm04_ag_psp_doublereal(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_doublereal(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_doublereal(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_gg_emepmupvmdux(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_gg_emepmupvmdux(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_gg_emepmupvmdux(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_gu_emepmupvmgd(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_gu_emepmupvmgd(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_gu_emepmupvmgd(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_gdx_emepmupvmgux(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_gdx_emepmupvmgux(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_gdx_emepmupvmgux(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_du_emepmupvmdd(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_du_emepmupvmdd(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_du_emepmupvmdd(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_dc_emepmupvmds(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_dc_emepmupvmds(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_dc_emepmupvmds(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_ddx_emepmupvmdux(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_ddx_emepmupvmdux(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_ddx_emepmupvmdux(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_ddx_emepmupvmscx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_ddx_emepmupvmscx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_ddx_emepmupvmscx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_dsx_emepmupvmdcx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_dsx_emepmupvmdcx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_dsx_emepmupvmdcx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_uu_emepmupvmdu(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_uu_emepmupvmdu(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_uu_emepmupvmdu(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_uc_emepmupvmdc(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_uc_emepmupvmdc(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_uc_emepmupvmdc(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_udx_emepmupvmgg(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_udx_emepmupvmgg(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_udx_emepmupvmgg(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_udx_emepmupvmddx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_udx_emepmupvmddx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_udx_emepmupvmddx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_udx_emepmupvmuux(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_udx_emepmupvmuux(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_udx_emepmupvmuux(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_udx_emepmupvmssx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_udx_emepmupvmssx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_udx_emepmupvmssx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_udx_emepmupvmccx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_udx_emepmupvmccx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_udx_emepmupvmccx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_uux_emepmupvmdux(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_uux_emepmupvmdux(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_uux_emepmupvmdux(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_uux_emepmupvmscx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_uux_emepmupvmscx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_uux_emepmupvmscx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_usx_emepmupvmdsx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_usx_emepmupvmdsx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_usx_emepmupvmdsx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_usx_emepmupvmucx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_usx_emepmupvmucx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_usx_emepmupvmucx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_ucx_emepmupvmdcx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_ucx_emepmupvmdcx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_ucx_emepmupvmdcx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_dxdx_emepmupvmdxux(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_dxdx_emepmupvmdxux(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_dxdx_emepmupvmdxux(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_dxux_emepmupvmuxux(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_dxux_emepmupvmuxux(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_dxux_emepmupvmuxux(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_dxsx_emepmupvmdxcx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_dxsx_emepmupvmdxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_dxsx_emepmupvmdxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_ax_psp_240_dxcx_emepmupvmuxcx(int no_ps, phasespace_set & psi);
void ppeexmxnm04_ac_psp_240_dxcx_emepmupvmuxcx(int no_ps, int channel, phasespace_set & psi);
void ppeexmxnm04_ag_psp_240_dxcx_emepmupvmuxcx(int no_ps, int zero, phasespace_set & psi);
void ppeexmxnm04_phasespacepoint_doublereal(observable_set & oset);

