#include "pph21.header.cxx"
void pph21_list_subprocess_born(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("pph21_list_subprocess_born");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "gg_h";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void pph21_list_subprocess_C_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("pph21_list_subprocess_C_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "gg_h";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void pph21_list_subprocess_V_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("pph21_list_subprocess_V_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(2);
  subprocess[1] = "gg_h";
  int member_0[] = {1};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void pph21_list_subprocess_R_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("pph21_list_subprocess_R_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(8);
  subprocess[1] = "gg_hg";
  subprocess[2] = "gd_hd";
  subprocess[3] = "gu_hu";
  subprocess[4] = "gd~_hd~";
  subprocess[5] = "gu~_hu~";
  subprocess[6] = "dd~_hg";
  subprocess[7] = "uu~_hg";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void pph21_list_subprocess_RC_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("pph21_list_subprocess_RC_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(8);
  subprocess[1] = "gg_hg";
  subprocess[2] = "gd_hd";
  subprocess[3] = "gu_hu";
  subprocess[4] = "gd~_hd~";
  subprocess[5] = "gu~_hu~";
  subprocess[6] = "dd~_hg";
  subprocess[7] = "uu~_hg";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void pph21_list_subprocess_RV_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("pph21_list_subprocess_RV_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(8);
  subprocess[1] = "gg_hg";
  subprocess[2] = "gd_hd";
  subprocess[3] = "gu_hu";
  subprocess[4] = "gd~_hd~";
  subprocess[5] = "gu~_hu~";
  subprocess[6] = "dd~_hg";
  subprocess[7] = "uu~_hg";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
void pph21_list_subprocess_RR_QCD(vector<string> & subprocess, vector<vector<int> > & subgroup_no_member, int contribution_order_alpha_s, int contribution_order_alpha_e, int contribution_order_interference){
  Logger logger("pph21_list_subprocess_RR_QCD");
  logger << LOG_DEBUG << "called" << endl;
  subprocess.resize(36);
  subprocess[1] = "gg_hgg";
  subprocess[2] = "gg_hdd~";
  subprocess[3] = "gg_huu~";
  subprocess[4] = "gd_hgd";
  subprocess[5] = "gu_hgu";
  subprocess[6] = "gd~_hgd~";
  subprocess[7] = "gu~_hgu~";
  subprocess[8] = "dd_hdd";
  subprocess[9] = "du_hdu";
  subprocess[10] = "ds_hds";
  subprocess[11] = "dc_hdc";
  subprocess[12] = "dd~_hgg";
  subprocess[13] = "dd~_hdd~";
  subprocess[14] = "dd~_huu~";
  subprocess[15] = "dd~_hss~";
  subprocess[16] = "dd~_hcc~";
  subprocess[17] = "du~_hdu~";
  subprocess[18] = "ds~_hds~";
  subprocess[19] = "dc~_hdc~";
  subprocess[20] = "uu_huu";
  subprocess[21] = "uc_huc";
  subprocess[22] = "ud~_hud~";
  subprocess[23] = "uu~_hgg";
  subprocess[24] = "uu~_hdd~";
  subprocess[25] = "uu~_huu~";
  subprocess[26] = "uu~_hss~";
  subprocess[27] = "uu~_hcc~";
  subprocess[28] = "us~_hus~";
  subprocess[29] = "uc~_huc~";
  subprocess[30] = "d~d~_hd~d~";
  subprocess[31] = "d~u~_hd~u~";
  subprocess[32] = "d~s~_hd~s~";
  subprocess[33] = "d~c~_hd~c~";
  subprocess[34] = "u~u~_hu~u~";
  subprocess[35] = "u~c~_hu~c~";
  int member_0[] = {1, 2, 3, 4, 5, 6, 7, 8, 9, 10, 11, 12, 13, 14, 15, 16, 17, 18, 19, 20, 21, 22, 23, 24, 25, 26, 27, 28, 29, 30, 31, 32, 33, 34, 35};
  subgroup_no_member[0] = vector<int> (member_0, member_0 + sizeof(member_0) / sizeof(int));
  logger << LOG_DEBUG << "finished" << endl;
}
