#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexexne04/header/ppeexexne04.phasespace.h"
void ppeexexne04_optimize_minv_real(phasespace_set & psi){
  static Logger logger("ppeexexne04_optimize_minv_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

#include "user/specify.optimize.phasespace.minv.real.cxx"

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

int ppeexexne04_determination_MCchannels_real(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexexne04_determination_MCchannels_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  int n_channel = 0;
  if      (psi_no_map[no_ps] == 0){n_channel = 76;}
  else if (psi_no_map[no_ps] == 1){n_channel = 48;}
  else if (psi_no_map[no_ps] == 2){n_channel = 48;}
  else if (psi_no_map[no_ps] == 3){n_channel = 48;}
  return n_channel;

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void ppeexexne04_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi){
  static Logger logger("ppeexexne04_ac_tau_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if      (psi.no_map[no_ps] == 0){}
  else if (psi.no_map[no_ps] == 1){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 2){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 3){
    tau_MC_map.push_back(0);
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void ppeexexne04_ax_psp_real(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexexne04_ax_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] == 1){ppeexexne04_ax_psp_140_gu_emepepved(no_ps, psi);}
  else if (psi_no_map[no_ps] == 2){ppeexexne04_ax_psp_140_gdx_emepepveux(no_ps, psi);}
  else if (psi_no_map[no_ps] == 3){ppeexexne04_ax_psp_140_udx_emepepveg(no_ps, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
