#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppeexnmnmx04/header/ppeexnmnmx04.phasespace.h"
void ppeexnmnmx04_ax_psp_240_dd_emepvmvmxdd(int no_ps, phasespace_set & psi){
  static Logger logger("ppeexnmnmx04_ax_psp_240_dd_emepvmvmxdd");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  psi_v_smin[no_ps].resize(27);
  psi_needed_v_smin[no_ps].resize(27);
  int needed_v_smin_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; // 112
  psi_needed_v_smin[no_ps][  0] = get_vector_from_array_int(needed_v_smin_0, 112);
  int needed_v_smin_1[] = {   0,    1,    2,    3,   12,   13,   14,   15,   32,   33,   34,   35,   52,   53,   54,   55}; //  16
  psi_needed_v_smin[no_ps][  1] = get_vector_from_array_int(needed_v_smin_1, 16);
  int needed_v_smin_2[] = {   0,    1,    2,    3,   12,   13,   14,   15,   32,   33,   34,   35,   52,   53,   54,   55}; //  16
  psi_needed_v_smin[no_ps][  2] = get_vector_from_array_int(needed_v_smin_2, 16);
  int needed_v_smin_3[] = {   4,    5,    6,    7,   16,   17,   18,   19,   24,   25,   26,   27,   28,   29,   30,   31,   36,   37,   38,   39,   44,   45,   46,   47,   48,   49,   50,   51,   56,   57,   58,   59,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; //  96
  psi_needed_v_smin[no_ps][  3] = get_vector_from_array_int(needed_v_smin_3, 96);
  int needed_v_smin_4[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_v_smin[no_ps][  4] = get_vector_from_array_int(needed_v_smin_4, 8);
  int needed_v_smin_5[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_v_smin[no_ps][  5] = get_vector_from_array_int(needed_v_smin_5, 8);
  int needed_v_smin_6[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_v_smin[no_ps][  6] = get_vector_from_array_int(needed_v_smin_6, 8);
  int needed_v_smin_7[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_v_smin[no_ps][  7] = get_vector_from_array_int(needed_v_smin_7, 8);
  int needed_v_smin_8[] = {   8,    9,   10,   11,   20,   21,   22,   23,   40,   41,   42,   43,   60,   61,   62,   63}; //  16
  psi_needed_v_smin[no_ps][  8] = get_vector_from_array_int(needed_v_smin_8, 16);
  int needed_v_smin_9[] = {   8,    9,   10,   11,   20,   21,   22,   23,   40,   41,   42,   43,   60,   61,   62,   63}; //  16
  psi_needed_v_smin[no_ps][  9] = get_vector_from_array_int(needed_v_smin_9, 16);
  int needed_v_smin_10[] = {  12,   13,   16,   18,   20,   21,   32,   33,   36,   38,   40,   41,    2,    3,    5,    7,   10,   11,   52,   53,   56,   58,   60,   61}; //  24
  psi_needed_v_smin[no_ps][ 10] = get_vector_from_array_int(needed_v_smin_10, 24);
  int needed_v_smin_11[] = {  14,   15,   17,   19,   22,   23,   34,   35,   37,   39,   42,   43,    0,    1,    4,    6,    8,    9,   54,   55,   57,   59,   62,   63}; //  24
  psi_needed_v_smin[no_ps][ 11] = get_vector_from_array_int(needed_v_smin_11, 24);
  int needed_v_smin_12[] = {  24,   25,   46,   47,   72,   73,   80,   81,   98,   99,  100,  101,  108,  109,  116,  117,   66,   67,  124,  125}; //  20
  psi_needed_v_smin[no_ps][ 12] = get_vector_from_array_int(needed_v_smin_12, 20);
  int needed_v_smin_13[] = {  24,   25,   46,   47,   66,   67,   72,   73,  116,  117,  124,  125}; //  12
  psi_needed_v_smin[no_ps][ 13] = get_vector_from_array_int(needed_v_smin_13, 12);
  int needed_v_smin_14[] = {  26,   27,   44,   45,   74,   75,   82,   83,   96,   97,  102,  103,  110,  111,  118,  119,   64,   65,  126,  127}; //  20
  psi_needed_v_smin[no_ps][ 14] = get_vector_from_array_int(needed_v_smin_14, 20);
  int needed_v_smin_15[] = {  26,   27,   44,   45,   64,   65,   74,   75,  118,  119,  126,  127}; //  12
  psi_needed_v_smin[no_ps][ 15] = get_vector_from_array_int(needed_v_smin_15, 12);
  int needed_v_smin_16[] = {  28,   29,   50,   51,   76,   77,   84,   85,   96,   97,  102,  103,  104,  105,  112,  113,   70,   71,  120,  121}; //  20
  psi_needed_v_smin[no_ps][ 16] = get_vector_from_array_int(needed_v_smin_16, 20);
  int needed_v_smin_17[] = {  28,   29,   50,   51,   70,   71,   76,   77,  112,  113,  120,  121}; //  12
  psi_needed_v_smin[no_ps][ 17] = get_vector_from_array_int(needed_v_smin_17, 12);
  int needed_v_smin_18[] = {  30,   31,   48,   49,   78,   79,   86,   87,   98,   99,  100,  101,  106,  107,  114,  115,   68,   69,  122,  123}; //  20
  psi_needed_v_smin[no_ps][ 18] = get_vector_from_array_int(needed_v_smin_18, 20);
  int needed_v_smin_19[] = {  30,   31,   48,   49,   68,   69,   78,   79,  114,  115,  122,  123}; //  12
  psi_needed_v_smin[no_ps][ 19] = get_vector_from_array_int(needed_v_smin_19, 12);
  int needed_v_smin_20[] = {  80,   81,  108,  109}; //   4
  psi_needed_v_smin[no_ps][ 20] = get_vector_from_array_int(needed_v_smin_20, 4);
  int needed_v_smin_21[] = {  82,   83,  110,  111}; //   4
  psi_needed_v_smin[no_ps][ 21] = get_vector_from_array_int(needed_v_smin_21, 4);
  int needed_v_smin_22[] = {  84,   85,  104,  105}; //   4
  psi_needed_v_smin[no_ps][ 22] = get_vector_from_array_int(needed_v_smin_22, 4);
  int needed_v_smin_23[] = {  86,   87,  106,  107}; //   4
  psi_needed_v_smin[no_ps][ 23] = get_vector_from_array_int(needed_v_smin_23, 4);
  int needed_v_smin_24[] = {  88,   89,   90,   91,   92,   93,   94,   95}; //   8
  psi_needed_v_smin[no_ps][ 24] = get_vector_from_array_int(needed_v_smin_24, 8);
  int needed_v_smin_25[] = {  88,   89,   90,   91}; //   4
  psi_needed_v_smin[no_ps][ 25] = get_vector_from_array_int(needed_v_smin_25, 4);
  int needed_v_smin_26[] = {  92,   93,   94,   95}; //   4
  psi_needed_v_smin[no_ps][ 26] = get_vector_from_array_int(needed_v_smin_26, 4);

  psi_v_smax[no_ps].resize(30);
  psi_needed_v_smax[no_ps].resize(30);
  int needed_v_smax_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   22,   23,   24,   25,   26,   27,   32,   33,   34,   35,   40,   41,   42,   43,   44,   45,   46,   47,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   72,   73,   74,   75,   80,   81,   82,   83,   88,   89,   90,   91,   96,   97,   98,   99,  104,  105,  106,  107,  112,  113,  114,  115,  120,  121,  122,  123}; //  72
  psi_needed_v_smax[no_ps][  0] = get_vector_from_array_int(needed_v_smax_0, 72);
  int needed_v_smax_1[] = {   0,    1,    2,    3,   12,   13,   14,   15,   32,   33,   34,   35,   52,   53,   54,   55}; //  16
  psi_needed_v_smax[no_ps][  1] = get_vector_from_array_int(needed_v_smax_1, 16);
  int needed_v_smax_2[] = {   0,    1,    2,    3,    4,    5,    6,    7,    8,    9,   10,   11,   12,   13,   14,   15,   16,   17,   18,   19,   20,   21,   22,   23,   32,   33,   34,   35,   36,   37,   38,   39,   40,   41,   42,   43,   52,   53,   54,   55,   56,   57,   58,   59,   60,   61,   62,   63}; //  48
  psi_needed_v_smax[no_ps][  2] = get_vector_from_array_int(needed_v_smax_2, 48);
  int needed_v_smax_3[] = {   4,    5,    6,    7,   16,   17,   18,   19,   28,   29,   30,   31,   36,   37,   38,   39,   48,   49,   50,   51,   56,   57,   58,   59,   68,   69,   70,   71,   76,   77,   78,   79,   84,   85,   86,   87,   92,   93,   94,   95,  100,  101,  102,  103,  108,  109,  110,  111,  116,  117,  118,  119,  124,  125,  126,  127}; //  56
  psi_needed_v_smax[no_ps][  3] = get_vector_from_array_int(needed_v_smax_3, 56);
  int needed_v_smax_4[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_v_smax[no_ps][  4] = get_vector_from_array_int(needed_v_smax_4, 8);
  int needed_v_smax_5[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_v_smax[no_ps][  5] = get_vector_from_array_int(needed_v_smax_5, 8);
  int needed_v_smax_6[] = {   8,    9,   10,   11,   20,   21,   22,   23,   40,   41,   42,   43,   60,   61,   62,   63}; //  16
  psi_needed_v_smax[no_ps][  6] = get_vector_from_array_int(needed_v_smax_6, 16);
  int needed_v_smax_7[] = {  12,   13,   16,   18,   20,   21,   24,   25,   28,   29,   32,   33,   36,   38,   40,   41,   46,   47,   50,   51,    2,    3,    5,    7,   10,   11,   52,   53,   56,   58,   60,   61,   66,   67,   70,   71,   72,   73,   76,   77,  112,  113,  116,  117,  120,  121,  124,  125}; //  48
  psi_needed_v_smax[no_ps][  7] = get_vector_from_array_int(needed_v_smax_7, 48);
  int needed_v_smax_8[] = {  14,   15,   17,   19,   22,   23,   26,   27,   30,   31,   34,   35,   37,   39,   42,   43,   44,   45,   48,   49,    0,    1,    4,    6,    8,    9,   54,   55,   57,   59,   62,   63,   64,   65,   68,   69,   74,   75,   78,   79,  114,  115,  118,  119,  122,  123,  126,  127}; //  48
  psi_needed_v_smax[no_ps][  8] = get_vector_from_array_int(needed_v_smax_8, 48);
  int needed_v_smax_9[] = {  24,   25,   46,   47,   72,   73,   80,   81,   98,   99}; //  10
  psi_needed_v_smax[no_ps][  9] = get_vector_from_array_int(needed_v_smax_9, 10);
  int needed_v_smax_10[] = {  24,   25,   46,   47,   72,   73,   80,   81,   98,   99}; //  10
  psi_needed_v_smax[no_ps][ 10] = get_vector_from_array_int(needed_v_smax_10, 10);
  int needed_v_smax_11[] = {  26,   27,   44,   45,   74,   75,   82,   83,   96,   97}; //  10
  psi_needed_v_smax[no_ps][ 11] = get_vector_from_array_int(needed_v_smax_11, 10);
  int needed_v_smax_12[] = {  26,   27,   44,   45,   74,   75,   82,   83,   96,   97}; //  10
  psi_needed_v_smax[no_ps][ 12] = get_vector_from_array_int(needed_v_smax_12, 10);
  int needed_v_smax_13[] = {  28,   29,   50,   51,   76,   77,   84,   85,  102,  103}; //  10
  psi_needed_v_smax[no_ps][ 13] = get_vector_from_array_int(needed_v_smax_13, 10);
  int needed_v_smax_14[] = {  28,   29,   50,   51,   76,   77,   84,   85,  102,  103}; //  10
  psi_needed_v_smax[no_ps][ 14] = get_vector_from_array_int(needed_v_smax_14, 10);
  int needed_v_smax_15[] = {  30,   31,   48,   49,   78,   79,   86,   87,  100,  101}; //  10
  psi_needed_v_smax[no_ps][ 15] = get_vector_from_array_int(needed_v_smax_15, 10);
  int needed_v_smax_16[] = {  30,   31,   48,   49,   78,   79,   86,   87,  100,  101}; //  10
  psi_needed_v_smax[no_ps][ 16] = get_vector_from_array_int(needed_v_smax_16, 10);
  int needed_v_smax_17[] = {  64,   65,   66,   67,   88,   89,   90,   91,  104,  105,  106,  107,  112,  113,  114,  115,  120,  121,  122,  123}; //  20
  psi_needed_v_smax[no_ps][ 17] = get_vector_from_array_int(needed_v_smax_17, 20);
  int needed_v_smax_18[] = {  68,   69,   70,   71,   92,   93,   94,   95,  108,  109,  110,  111,  116,  117,  118,  119,  124,  125,  126,  127}; //  20
  psi_needed_v_smax[no_ps][ 18] = get_vector_from_array_int(needed_v_smax_18, 20);
  int needed_v_smax_19[] = {  96,   97}; //   2
  psi_needed_v_smax[no_ps][ 19] = get_vector_from_array_int(needed_v_smax_19, 2);
  int needed_v_smax_20[] = {  98,   99}; //   2
  psi_needed_v_smax[no_ps][ 20] = get_vector_from_array_int(needed_v_smax_20, 2);
  int needed_v_smax_21[] = { 100,  101}; //   2
  psi_needed_v_smax[no_ps][ 21] = get_vector_from_array_int(needed_v_smax_21, 2);
  int needed_v_smax_22[] = { 102,  103}; //   2
  psi_needed_v_smax[no_ps][ 22] = get_vector_from_array_int(needed_v_smax_22, 2);
  int needed_v_smax_23[] = { 104,  105,  112,  113,   70,   71,  120,  121}; //   8
  psi_needed_v_smax[no_ps][ 23] = get_vector_from_array_int(needed_v_smax_23, 8);
  int needed_v_smax_24[] = { 106,  107,  114,  115,   68,   69,  122,  123}; //   8
  psi_needed_v_smax[no_ps][ 24] = get_vector_from_array_int(needed_v_smax_24, 8);
  int needed_v_smax_25[] = { 108,  109,  116,  117,   66,   67,  124,  125}; //   8
  psi_needed_v_smax[no_ps][ 25] = get_vector_from_array_int(needed_v_smax_25, 8);
  int needed_v_smax_26[] = { 110,  111,  118,  119,   64,   65,  126,  127}; //   8
  psi_needed_v_smax[no_ps][ 26] = get_vector_from_array_int(needed_v_smax_26, 8);
  int needed_v_smax_27[] = {  80,   81,   82,   83,   88,   89,   90,   91,  108,  109,  110,  111}; //  12
  psi_needed_v_smax[no_ps][ 27] = get_vector_from_array_int(needed_v_smax_27, 12);
  int needed_v_smax_28[] = {  84,   85,   86,   87,   92,   93,   94,   95,  104,  105,  106,  107}; //  12
  psi_needed_v_smax[no_ps][ 28] = get_vector_from_array_int(needed_v_smax_28, 12);
  int needed_v_smax_29[] = {  88,   89,   90,   91,   92,   93,   94,   95}; //   8
  psi_needed_v_smax[no_ps][ 29] = get_vector_from_array_int(needed_v_smax_29, 8);

  psi_container_IS_startvalue[no_ps][0] = psi_container_IS_name.size();
  psi_g_p[no_ps].resize(40);
  psi_needed_g_p[no_ps].resize(40);
  int needed_g_p_0[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   22,   23,   24,   25,   26,   27,   32,   33,   34,   35,   40,   41,   42,   43,   44,   45,   46,   47,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   72,   73,   74,   75,   80,   81,   82,   83,   88,   89,   90,   91,   96,   97,   98,   99,  104,  105,  106,  107,  112,  113,  114,  115,  120,  121,  122,  123}; //  72
  psi_needed_g_p[no_ps][0] = get_vector_from_array_int(needed_g_p_0, 72);
  psi_container_IS_name.push_back("propagator_23_smin0_smax0");
  int needed_g_p_1[] = {   0,    1,    2,    3,   12,   13,   14,   15,   32,   33,   34,   35,   52,   53,   54,   55}; //  16
  psi_needed_g_p[no_ps][1] = get_vector_from_array_int(needed_g_p_1, 16);
  psi_container_IS_name.push_back("propagator_0_smin1_smax1");
  int needed_g_p_2[] = {   0,    2,   12,   14,   32,   34,   52,   54}; //   8
  psi_needed_g_p[no_ps][2] = get_vector_from_array_int(needed_g_p_2, 8);
  psi_container_IS_name.push_back("propagator_0_smin2_smax2");
  int needed_g_p_3[] = {   1,    3,   13,   15,   33,   35,   53,   55}; //   8
  psi_needed_g_p[no_ps][3] = get_vector_from_array_int(needed_g_p_3, 8);
  psi_container_IS_name.push_back("propagator_23_smin2_smax2");
  int needed_g_p_4[] = {   4,    5,    6,    7,   16,   17,   18,   19,   29,   31,   36,   37,   38,   39,   49,   51,   56,   57,   58,   59,   69,   71,   77,   79,   85,   87,   93,   95,  101,  103,  109,  111,  117,  119,  125,  127}; //  36
  psi_needed_g_p[no_ps][4] = get_vector_from_array_int(needed_g_p_4, 36);
  psi_container_IS_name.push_back("propagator_23_smin3_smax3");
  int needed_g_p_5[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_g_p[no_ps][5] = get_vector_from_array_int(needed_g_p_5, 8);
  psi_container_IS_name.push_back("propagator_0_smin4_smax4");
  int needed_g_p_6[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_g_p[no_ps][6] = get_vector_from_array_int(needed_g_p_6, 8);
  psi_container_IS_name.push_back("propagator_23_smin5_smax2");
  int needed_g_p_7[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_g_p[no_ps][7] = get_vector_from_array_int(needed_g_p_7, 8);
  psi_container_IS_name.push_back("propagator_0_smin6_smax5");
  int needed_g_p_8[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_g_p[no_ps][8] = get_vector_from_array_int(needed_g_p_8, 8);
  psi_container_IS_name.push_back("propagator_23_smin7_smax2");
  int needed_g_p_9[] = {   8,    9,   10,   11,   20,   21,   22,   23,   40,   41,   42,   43,   60,   61,   62,   63}; //  16
  psi_needed_g_p[no_ps][9] = get_vector_from_array_int(needed_g_p_9, 16);
  psi_container_IS_name.push_back("propagator_0_smin8_smax6");
  int needed_g_p_10[] = {   8,   10,   20,   22,   40,   42,   60,   62}; //   8
  psi_needed_g_p[no_ps][10] = get_vector_from_array_int(needed_g_p_10, 8);
  psi_container_IS_name.push_back("propagator_0_smin9_smax2");
  int needed_g_p_11[] = {   9,   11,   21,   23,   41,   43,   61,   63}; //   8
  psi_needed_g_p[no_ps][11] = get_vector_from_array_int(needed_g_p_11, 8);
  psi_container_IS_name.push_back("propagator_23_smin9_smax2");
  int needed_g_p_12[] = {  12,   13,   16,   18,   20,   21,   32,   33,   36,   38,   40,   41}; //  12
  psi_needed_g_p[no_ps][12] = get_vector_from_array_int(needed_g_p_12, 12);
  psi_container_IS_name.push_back("propagator_0_smin10_smax7");
  int needed_g_p_13[] = {  14,   15,   17,   19,   22,   23,   34,   35,   37,   39,   42,   43}; //  12
  psi_needed_g_p[no_ps][13] = get_vector_from_array_int(needed_g_p_13, 12);
  psi_container_IS_name.push_back("propagator_0_smin11_smax8");
  int needed_g_p_14[] = {  24,   25,   46,   47,   72,   73,   80,   81,   98,   99}; //  10
  psi_needed_g_p[no_ps][14] = get_vector_from_array_int(needed_g_p_14, 10);
  psi_container_IS_name.push_back("propagator_0_smin12_smax9");
  int needed_g_p_15[] = {  24,   46,   72,   80,   98}; //   5
  psi_needed_g_p[no_ps][15] = get_vector_from_array_int(needed_g_p_15, 5);
  psi_container_IS_name.push_back("propagator_0_smin3_smax10");
  int needed_g_p_16[] = {  24,   25,   46,   47}; //   4
  psi_needed_g_p[no_ps][16] = get_vector_from_array_int(needed_g_p_16, 4);
  psi_container_IS_name.push_back("propagator_0_smin13_smax7");
  int needed_g_p_17[] = {  25,   47,   73,   81,   99}; //   5
  psi_needed_g_p[no_ps][17] = get_vector_from_array_int(needed_g_p_17, 5);
  psi_container_IS_name.push_back("propagator_23_smin3_smax10");
  int needed_g_p_18[] = {  26,   27,   44,   45,   74,   75,   82,   83,   96,   97}; //  10
  psi_needed_g_p[no_ps][18] = get_vector_from_array_int(needed_g_p_18, 10);
  psi_container_IS_name.push_back("propagator_0_smin14_smax11");
  int needed_g_p_19[] = {  26,   44,   74,   82,   96}; //   5
  psi_needed_g_p[no_ps][19] = get_vector_from_array_int(needed_g_p_19, 5);
  psi_container_IS_name.push_back("propagator_0_smin3_smax12");
  int needed_g_p_20[] = {  26,   27,   44,   45}; //   4
  psi_needed_g_p[no_ps][20] = get_vector_from_array_int(needed_g_p_20, 4);
  psi_container_IS_name.push_back("propagator_0_smin15_smax8");
  int needed_g_p_21[] = {  27,   45,   75,   83,   97}; //   5
  psi_needed_g_p[no_ps][21] = get_vector_from_array_int(needed_g_p_21, 5);
  psi_container_IS_name.push_back("propagator_23_smin3_smax12");
  int needed_g_p_22[] = {  28,   30,   48,   50,   68,   70,   76,   78,   84,   86,   92,   94,  100,  102,  108,  110,  116,  118,  124,  126}; //  20
  psi_needed_g_p[no_ps][22] = get_vector_from_array_int(needed_g_p_22, 20);
  psi_container_IS_name.push_back("propagator_0_smin3_smax3");
  int needed_g_p_23[] = {  28,   29,   50,   51,   76,   77,   84,   85,  102,  103}; //  10
  psi_needed_g_p[no_ps][23] = get_vector_from_array_int(needed_g_p_23, 10);
  psi_container_IS_name.push_back("propagator_0_smin16_smax13");
  int needed_g_p_24[] = {  28,   29,   50,   51,   76,   77,   84,   85,  102,  103}; //  10
  psi_needed_g_p[no_ps][24] = get_vector_from_array_int(needed_g_p_24, 10);
  psi_container_IS_name.push_back("propagator_23_smin0_smax14");
  int needed_g_p_25[] = {  28,   29,   50,   51}; //   4
  psi_needed_g_p[no_ps][25] = get_vector_from_array_int(needed_g_p_25, 4);
  psi_container_IS_name.push_back("propagator_0_smin17_smax7");
  int needed_g_p_26[] = {  30,   31,   48,   49,   78,   79,   86,   87,  100,  101}; //  10
  psi_needed_g_p[no_ps][26] = get_vector_from_array_int(needed_g_p_26, 10);
  psi_container_IS_name.push_back("propagator_0_smin18_smax15");
  int needed_g_p_27[] = {  30,   31,   48,   49,   78,   79,   86,   87,  100,  101}; //  10
  psi_needed_g_p[no_ps][27] = get_vector_from_array_int(needed_g_p_27, 10);
  psi_container_IS_name.push_back("propagator_23_smin0_smax16");
  int needed_g_p_28[] = {  30,   31,   48,   49}; //   4
  psi_needed_g_p[no_ps][28] = get_vector_from_array_int(needed_g_p_28, 4);
  psi_container_IS_name.push_back("propagator_0_smin19_smax8");
  int needed_g_p_29[] = {  64,   66,   88,   90,  104,  106,  112,  114,  120,  122}; //  10
  psi_needed_g_p[no_ps][29] = get_vector_from_array_int(needed_g_p_29, 10);
  psi_container_IS_name.push_back("propagator_0_smin3_smax17");
  int needed_g_p_30[] = {  65,   67,   89,   91,  105,  107,  113,  115,  121,  123}; //  10
  psi_needed_g_p[no_ps][30] = get_vector_from_array_int(needed_g_p_30, 10);
  psi_container_IS_name.push_back("propagator_23_smin3_smax17");
  int needed_g_p_31[] = {  68,   69,   70,   71,   92,   93,   94,   95,  108,  109,  110,  111,  116,  117,  118,  119,  124,  125,  126,  127}; //  20
  psi_needed_g_p[no_ps][31] = get_vector_from_array_int(needed_g_p_31, 20);
  psi_container_IS_name.push_back("propagator_23_smin0_smax18");
  int needed_g_p_32[] = {  96,   97}; //   2
  psi_needed_g_p[no_ps][32] = get_vector_from_array_int(needed_g_p_32, 2);
  psi_container_IS_name.push_back("propagator_0_smin16_smax19");
  int needed_g_p_33[] = {  98,   99}; //   2
  psi_needed_g_p[no_ps][33] = get_vector_from_array_int(needed_g_p_33, 2);
  psi_container_IS_name.push_back("propagator_0_smin18_smax20");
  int needed_g_p_34[] = { 100,  101}; //   2
  psi_needed_g_p[no_ps][34] = get_vector_from_array_int(needed_g_p_34, 2);
  psi_container_IS_name.push_back("propagator_0_smin12_smax21");
  int needed_g_p_35[] = { 102,  103}; //   2
  psi_needed_g_p[no_ps][35] = get_vector_from_array_int(needed_g_p_35, 2);
  psi_container_IS_name.push_back("propagator_0_smin14_smax22");
  int needed_g_p_36[] = { 104,  105,  112,  113}; //   4
  psi_needed_g_p[no_ps][36] = get_vector_from_array_int(needed_g_p_36, 4);
  psi_container_IS_name.push_back("propagator_0_smin16_smax23");
  int needed_g_p_37[] = { 106,  107,  114,  115}; //   4
  psi_needed_g_p[no_ps][37] = get_vector_from_array_int(needed_g_p_37, 4);
  psi_container_IS_name.push_back("propagator_0_smin18_smax24");
  int needed_g_p_38[] = { 108,  109,  116,  117}; //   4
  psi_needed_g_p[no_ps][38] = get_vector_from_array_int(needed_g_p_38, 4);
  psi_container_IS_name.push_back("propagator_0_smin12_smax25");
  int needed_g_p_39[] = { 110,  111,  118,  119}; //   4
  psi_needed_g_p[no_ps][39] = get_vector_from_array_int(needed_g_p_39, 4);
  psi_container_IS_name.push_back("propagator_0_smin14_smax26");

  psi_container_IS_startvalue[no_ps][1] = psi_container_IS_name.size();
  psi_g_f[no_ps].resize(17);
  psi_needed_g_f[no_ps].resize(17);
  int needed_g_f_0[] = {   0,    1,    4,    6,    8,    9,   54,   55,   57,   59,   62,   63}; //  12
  psi_needed_g_f[no_ps][0] = get_vector_from_array_int(needed_g_f_0, 12);
  psi_container_IS_name.push_back("timelikeinvariant_smin11_smax8");
  int needed_g_f_1[] = {   2,    3,    5,    7,   10,   11,   52,   53,   56,   58,   60,   61}; //  12
  psi_needed_g_f[no_ps][1] = get_vector_from_array_int(needed_g_f_1, 12);
  psi_container_IS_name.push_back("timelikeinvariant_smin10_smax7");
  int needed_g_f_2[] = {  64,   65,  126,  127}; //   4
  psi_needed_g_f[no_ps][2] = get_vector_from_array_int(needed_g_f_2, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin14_smax26");
  int needed_g_f_3[] = {  64,   65,   74,   75,  118,  119,  126,  127}; //   8
  psi_needed_g_f[no_ps][3] = get_vector_from_array_int(needed_g_f_3, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin15_smax8");
  int needed_g_f_4[] = {  66,   67,  124,  125}; //   4
  psi_needed_g_f[no_ps][4] = get_vector_from_array_int(needed_g_f_4, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin12_smax25");
  int needed_g_f_5[] = {  66,   67,   72,   73,  116,  117,  124,  125}; //   8
  psi_needed_g_f[no_ps][5] = get_vector_from_array_int(needed_g_f_5, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin13_smax7");
  int needed_g_f_6[] = {  68,   69,  122,  123}; //   4
  psi_needed_g_f[no_ps][6] = get_vector_from_array_int(needed_g_f_6, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin18_smax24");
  int needed_g_f_7[] = {  68,   69,   78,   79,  114,  115,  122,  123}; //   8
  psi_needed_g_f[no_ps][7] = get_vector_from_array_int(needed_g_f_7, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin19_smax8");
  int needed_g_f_8[] = {  70,   71,  120,  121}; //   4
  psi_needed_g_f[no_ps][8] = get_vector_from_array_int(needed_g_f_8, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin16_smax23");
  int needed_g_f_9[] = {  70,   71,   76,   77,  112,  113,  120,  121}; //   8
  psi_needed_g_f[no_ps][9] = get_vector_from_array_int(needed_g_f_9, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin17_smax7");
  int needed_g_f_10[] = {  80,   81,  108,  109}; //   4
  psi_needed_g_f[no_ps][10] = get_vector_from_array_int(needed_g_f_10, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin20_smax27");
  int needed_g_f_11[] = {  82,   83,  110,  111}; //   4
  psi_needed_g_f[no_ps][11] = get_vector_from_array_int(needed_g_f_11, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin21_smax27");
  int needed_g_f_12[] = {  84,   85,  104,  105}; //   4
  psi_needed_g_f[no_ps][12] = get_vector_from_array_int(needed_g_f_12, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin22_smax28");
  int needed_g_f_13[] = {  86,   87,  106,  107}; //   4
  psi_needed_g_f[no_ps][13] = get_vector_from_array_int(needed_g_f_13, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin23_smax28");
  int needed_g_f_14[] = {  88,   89,   90,   91,   92,   93,   94,   95}; //   8
  psi_needed_g_f[no_ps][14] = get_vector_from_array_int(needed_g_f_14, 8);
  psi_container_IS_name.push_back("timelikeinvariant_smin24_smax29");
  int needed_g_f_15[] = {  88,   89,   90,   91}; //   4
  psi_needed_g_f[no_ps][15] = get_vector_from_array_int(needed_g_f_15, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin25_smax27");
  int needed_g_f_16[] = {  92,   93,   94,   95}; //   4
  psi_needed_g_f[no_ps][16] = get_vector_from_array_int(needed_g_f_16, 4);
  psi_container_IS_name.push_back("timelikeinvariant_smin26_smax28");

  psi_container_IS_startvalue[no_ps][2] = psi_container_IS_name.size();
  psi_g_t[no_ps].resize(46);
  psi_needed_g_t[no_ps].resize(46);
  int needed_g_t_0[] = {   0,    1,    4,    6,    8,    9,   14,   15,   17,   19,   22,   23,   26,   27,   30,   31,   64,   65,   68,   69,   74,   75,   78,   79}; //  24
  psi_needed_g_t[no_ps][0] = get_vector_from_array_int(needed_g_t_0, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__128_124");
  int needed_g_t_1[] = {   0,    1,    4,    6,    8,    9}; //   6
  psi_needed_g_t[no_ps][1] = get_vector_from_array_int(needed_g_t_1, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__130_1__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__130_1__64_60");
  int needed_g_t_2[] = {   2,    3,    5,    7,   10,   11,   12,   13,   16,   18,   20,   21,   24,   25,   28,   29,   66,   67,   70,   71,   72,   73,   76,   77}; //  24
  psi_needed_g_t[no_ps][2] = get_vector_from_array_int(needed_g_t_2, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__64_188");
  int needed_g_t_3[] = {   2,    3,    5,    7,   10,   11}; //   6
  psi_needed_g_t[no_ps][3] = get_vector_from_array_int(needed_g_t_3, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__66_1__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__66_1__128_60");
  int needed_g_t_4[] = {  32,   33,   36,   38,   40,   41,   46,   47,   50,   51,   52,   53,   56,   58,   60,   61,  112,  113,  116,  117,  120,  121,  124,  125}; //  24
  psi_needed_g_t[no_ps][4] = get_vector_from_array_int(needed_g_t_4, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__64_188");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__64_188");
  int needed_g_t_5[] = {  34,   35,   37,   39,   42,   43,   44,   45,   48,   49,   54,   55,   57,   59,   62,   63,  114,  115,  118,  119,  122,  123,  126,  127}; //  24
  psi_needed_g_t[no_ps][5] = get_vector_from_array_int(needed_g_t_5, 24);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__128_124");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__128_124");
  int needed_g_t_6[] = {  52,   53,   56,   58,   60,   61}; //   6
  psi_needed_g_t[no_ps][6] = get_vector_from_array_int(needed_g_t_6, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__65_2__128_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__65_2__128_60");
  int needed_g_t_7[] = {  54,   55,   57,   59,   62,   63}; //   6
  psi_needed_g_t[no_ps][7] = get_vector_from_array_int(needed_g_t_7, 6);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__129_2__64_60");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__129_2__64_60");
  int needed_g_t_8[] = {  64,   65,   74,   75}; //   4
  psi_needed_g_t[no_ps][8] = get_vector_from_array_int(needed_g_t_8, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__12_112");
  int needed_g_t_9[] = {  64,   65}; //   2
  psi_needed_g_t[no_ps][9] = get_vector_from_array_int(needed_g_t_9, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_13__64_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_13__64_48");
  int needed_g_t_10[] = {  66,   67,   72,   73}; //   4
  psi_needed_g_t[no_ps][10] = get_vector_from_array_int(needed_g_t_10, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__12_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__12_176");
  int needed_g_t_11[] = {  66,   67}; //   2
  psi_needed_g_t[no_ps][11] = get_vector_from_array_int(needed_g_t_11, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__66_13__128_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__66_13__128_48");
  int needed_g_t_12[] = {  68,   69,   78,   79}; //   4
  psi_needed_g_t[no_ps][12] = get_vector_from_array_int(needed_g_t_12, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_130__48_76");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_130__48_76");
  int needed_g_t_13[] = {  68,   69}; //   2
  psi_needed_g_t[no_ps][13] = get_vector_from_array_int(needed_g_t_13, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__130_49__64_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__130_49__64_12");
  int needed_g_t_14[] = {  70,   71,   76,   77}; //   4
  psi_needed_g_t[no_ps][14] = get_vector_from_array_int(needed_g_t_14, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_66__48_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_66__48_140");
  int needed_g_t_15[] = {  70,   71}; //   2
  psi_needed_g_t[no_ps][15] = get_vector_from_array_int(needed_g_t_15, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__66_49__128_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__66_49__128_12");
  int needed_g_t_16[] = {  80,   81,   82,   83,   88,   89,   90,   91}; //   8
  psi_needed_g_t[no_ps][16] = get_vector_from_array_int(needed_g_t_16, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__12_240");
  int needed_g_t_17[] = {  80,   81}; //   2
  psi_needed_g_t[no_ps][17] = get_vector_from_array_int(needed_g_t_17, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__176_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__176_64");
  int needed_g_t_18[] = {  82,   83}; //   2
  psi_needed_g_t[no_ps][18] = get_vector_from_array_int(needed_g_t_18, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__112_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__112_128");
  int needed_g_t_19[] = {  84,   85,   86,   87,   92,   93,   94,   95}; //   8
  psi_needed_g_t[no_ps][19] = get_vector_from_array_int(needed_g_t_19, 8);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__48_204");
  int needed_g_t_20[] = {  84,   85}; //   2
  psi_needed_g_t[no_ps][20] = get_vector_from_array_int(needed_g_t_20, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__140_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__140_64");
  int needed_g_t_21[] = {  86,   87}; //   2
  psi_needed_g_t[no_ps][21] = get_vector_from_array_int(needed_g_t_21, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__76_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__76_128");
  int needed_g_t_22[] = {  88,   89,   90,   91}; //   4
  psi_needed_g_t[no_ps][22] = get_vector_from_array_int(needed_g_t_22, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_13__48_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_13__48_192");
  int needed_g_t_23[] = {  88,   89}; //   2
  psi_needed_g_t[no_ps][23] = get_vector_from_array_int(needed_g_t_23, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__13_50__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__13_50__64_128");
  int needed_g_t_24[] = {  90,   91}; //   2
  psi_needed_g_t[no_ps][24] = get_vector_from_array_int(needed_g_t_24, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__13_50__128_64");
  psi_container_IS_name.push_back("phi_of_tchannel_0__13_50__128_64");
  int needed_g_t_25[] = {  92,   93,   94,   95}; //   4
  psi_needed_g_t[no_ps][25] = get_vector_from_array_int(needed_g_t_25, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_49__12_192");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_49__12_192");
  int needed_g_t_26[] = {  92,   93}; //   2
  psi_needed_g_t[no_ps][26] = get_vector_from_array_int(needed_g_t_26, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__49_14__64_128");
  psi_container_IS_name.push_back("phi_of_tchannel_0__49_14__64_128");
  int needed_g_t_27[] = {  94,   95}; //   2
  psi_needed_g_t[no_ps][27] = get_vector_from_array_int(needed_g_t_27, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__49_14__128_64");
  psi_container_IS_name.push_back("phi_of_tchannel_0__49_14__128_64");
  int needed_g_t_28[] = {  96,   97}; //   2
  psi_needed_g_t[no_ps][28] = get_vector_from_array_int(needed_g_t_28, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__140_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__140_112");
  int needed_g_t_29[] = {  98,   99}; //   2
  psi_needed_g_t[no_ps][29] = get_vector_from_array_int(needed_g_t_29, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__76_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__76_176");
  int needed_g_t_30[] = { 100,  101}; //   2
  psi_needed_g_t[no_ps][30] = get_vector_from_array_int(needed_g_t_30, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__176_76");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__176_76");
  int needed_g_t_31[] = { 102,  103}; //   2
  psi_needed_g_t[no_ps][31] = get_vector_from_array_int(needed_g_t_31, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_2__112_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_2__112_140");
  int needed_g_t_32[] = { 104,  105,  106,  107}; //   4
  psi_needed_g_t[no_ps][32] = get_vector_from_array_int(needed_g_t_32, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__48_204");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__48_204");
  int needed_g_t_33[] = { 104,  105}; //   2
  psi_needed_g_t[no_ps][33] = get_vector_from_array_int(needed_g_t_33, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_50__140_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_50__140_64");
  int needed_g_t_34[] = { 106,  107}; //   2
  psi_needed_g_t[no_ps][34] = get_vector_from_array_int(needed_g_t_34, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_50__76_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_50__76_128");
  int needed_g_t_35[] = { 108,  109,  110,  111}; //   4
  psi_needed_g_t[no_ps][35] = get_vector_from_array_int(needed_g_t_35, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_1__12_240");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_1__12_240");
  int needed_g_t_36[] = { 108,  109}; //   2
  psi_needed_g_t[no_ps][36] = get_vector_from_array_int(needed_g_t_36, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_14__176_64");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_14__176_64");
  int needed_g_t_37[] = { 110,  111}; //   2
  psi_needed_g_t[no_ps][37] = get_vector_from_array_int(needed_g_t_37, 2);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__1_14__112_128");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__1_14__112_128");
  int needed_g_t_38[] = { 112,  113,  120,  121}; //   4
  psi_needed_g_t[no_ps][38] = get_vector_from_array_int(needed_g_t_38, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__48_140");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__48_140");
  int needed_g_t_39[] = { 114,  115,  122,  123}; //   4
  psi_needed_g_t[no_ps][39] = get_vector_from_array_int(needed_g_t_39, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__48_76");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__48_76");
  int needed_g_t_40[] = { 116,  117,  124,  125}; //   4
  psi_needed_g_t[no_ps][40] = get_vector_from_array_int(needed_g_t_40, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_65__12_176");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_65__12_176");
  int needed_g_t_41[] = { 118,  119,  126,  127}; //   4
  psi_needed_g_t[no_ps][41] = get_vector_from_array_int(needed_g_t_41, 4);
  psi_container_IS_name.push_back("t_of_tchannel_opt_0__2_129__12_112");
  psi_container_IS_name.push_back("phi_of_tchannel_opt_0__2_129__12_112");
  int needed_g_t_42[] = { 120,  121}; //   2
  psi_needed_g_t[no_ps][42] = get_vector_from_array_int(needed_g_t_42, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_50__128_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_50__128_12");
  int needed_g_t_43[] = { 122,  123}; //   2
  psi_needed_g_t[no_ps][43] = get_vector_from_array_int(needed_g_t_43, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_50__64_12");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_50__64_12");
  int needed_g_t_44[] = { 124,  125}; //   2
  psi_needed_g_t[no_ps][44] = get_vector_from_array_int(needed_g_t_44, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__65_14__128_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__65_14__128_48");
  int needed_g_t_45[] = { 126,  127}; //   2
  psi_needed_g_t[no_ps][45] = get_vector_from_array_int(needed_g_t_45, 2);
  psi_container_IS_name.push_back("t_of_tchannel_0__129_14__64_48");
  psi_container_IS_name.push_back("phi_of_tchannel_0__129_14__64_48");

  psi_container_IS_startvalue[no_ps][3] = psi_container_IS_name.size();
  psi_g_d[no_ps].resize(20);
  psi_needed_g_d[no_ps].resize(20);
  int needed_g_d_0[] = {   0,    1,    2,    3,   12,   13,   14,   15,   32,   33,   34,   35,   52,   53,   54,   55}; //  16
  psi_needed_g_d[no_ps][0] = get_vector_from_array_int(needed_g_d_0, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__4_56");
  psi_container_IS_name.push_back("phi_of_decay_60__4_56");
  int needed_g_d_1[] = {   0,    1,    2,    3,   12,   13,   14,   15,   32,   33,   34,   35,   52,   53,   54,   55}; //  16
  psi_needed_g_d[no_ps][1] = get_vector_from_array_int(needed_g_d_1, 16);
  psi_container_IS_name.push_back("costheta_of_decay_56__8_48");
  psi_container_IS_name.push_back("phi_of_decay_56__8_48");
  int needed_g_d_2[] = {   0,    1,    2,    3,    8,    9,   10,   11,   12,   13,   14,   15,   20,   21,   22,   23,   24,   25,   26,   27,   28,   29,   30,   31,   32,   33,   34,   35,   40,   41,   42,   43,   44,   45,   46,   47,   48,   49,   50,   51,   52,   53,   54,   55,   60,   61,   62,   63,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; // 112
  psi_needed_g_d[no_ps][2] = get_vector_from_array_int(needed_g_d_2, 112);
  psi_container_IS_name.push_back("costheta_of_decay_48__16_32");
  psi_container_IS_name.push_back("phi_of_decay_48__16_32");
  int needed_g_d_3[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_g_d[no_ps][3] = get_vector_from_array_int(needed_g_d_3, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__16_44");
  psi_container_IS_name.push_back("phi_of_decay_60__16_44");
  int needed_g_d_4[] = {   4,    5,   16,   17,   36,   37,   56,   57}; //   8
  psi_needed_g_d[no_ps][4] = get_vector_from_array_int(needed_g_d_4, 8);
  psi_container_IS_name.push_back("costheta_of_decay_44__32_12");
  psi_container_IS_name.push_back("phi_of_decay_44__32_12");
  int needed_g_d_5[] = {   4,    5,    6,    7,   16,   17,   18,   19,   24,   25,   26,   27,   28,   29,   30,   31,   36,   37,   38,   39,   44,   45,   46,   47,   48,   49,   50,   51,   56,   57,   58,   59,   64,   65,   66,   67,   68,   69,   70,   71,   72,   73,   74,   75,   76,   77,   78,   79,   80,   81,   82,   83,   84,   85,   86,   87,   88,   89,   90,   91,   92,   93,   94,   95,   96,   97,   98,   99,  100,  101,  102,  103,  104,  105,  106,  107,  108,  109,  110,  111,  112,  113,  114,  115,  116,  117,  118,  119,  120,  121,  122,  123,  124,  125,  126,  127}; //  96
  psi_needed_g_d[no_ps][5] = get_vector_from_array_int(needed_g_d_5, 96);
  psi_container_IS_name.push_back("costheta_of_decay_12__4_8");
  psi_container_IS_name.push_back("phi_of_decay_12__4_8");
  int needed_g_d_6[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_g_d[no_ps][6] = get_vector_from_array_int(needed_g_d_6, 8);
  psi_container_IS_name.push_back("costheta_of_decay_60__32_28");
  psi_container_IS_name.push_back("phi_of_decay_60__32_28");
  int needed_g_d_7[] = {   6,    7,   18,   19,   38,   39,   58,   59}; //   8
  psi_needed_g_d[no_ps][7] = get_vector_from_array_int(needed_g_d_7, 8);
  psi_container_IS_name.push_back("costheta_of_decay_28__16_12");
  psi_container_IS_name.push_back("phi_of_decay_28__16_12");
  int needed_g_d_8[] = {   8,    9,   10,   11,   20,   21,   22,   23,   40,   41,   42,   43,   60,   61,   62,   63}; //  16
  psi_needed_g_d[no_ps][8] = get_vector_from_array_int(needed_g_d_8, 16);
  psi_container_IS_name.push_back("costheta_of_decay_60__8_52");
  psi_container_IS_name.push_back("phi_of_decay_60__8_52");
  int needed_g_d_9[] = {   8,    9,   10,   11,   20,   21,   22,   23,   40,   41,   42,   43,   60,   61,   62,   63}; //  16
  psi_needed_g_d[no_ps][9] = get_vector_from_array_int(needed_g_d_9, 16);
  psi_container_IS_name.push_back("costheta_of_decay_52__4_48");
  psi_container_IS_name.push_back("phi_of_decay_52__4_48");
  int needed_g_d_10[] = {  12,   13,   16,   18,   20,   21,   32,   33,   36,   38,   40,   41}; //  12
  psi_needed_g_d[no_ps][10] = get_vector_from_array_int(needed_g_d_10, 12);
  psi_container_IS_name.push_back("costheta_of_decay_188__128_60");
  psi_container_IS_name.push_back("phi_of_decay_188__128_60");
  int needed_g_d_11[] = {  14,   15,   17,   19,   22,   23,   34,   35,   37,   39,   42,   43}; //  12
  psi_needed_g_d[no_ps][11] = get_vector_from_array_int(needed_g_d_11, 12);
  psi_container_IS_name.push_back("costheta_of_decay_124__64_60");
  psi_container_IS_name.push_back("phi_of_decay_124__64_60");
  int needed_g_d_12[] = {  24,   25,   46,   47}; //   4
  psi_needed_g_d[no_ps][12] = get_vector_from_array_int(needed_g_d_12, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__12_176");
  psi_container_IS_name.push_back("phi_of_decay_188__12_176");
  int needed_g_d_13[] = {  24,   25,   46,   47,   72,   73,   80,   81,   98,   99,  100,  101,  108,  109,  116,  117}; //  16
  psi_needed_g_d[no_ps][13] = get_vector_from_array_int(needed_g_d_13, 16);
  psi_container_IS_name.push_back("costheta_of_decay_176__128_48");
  psi_container_IS_name.push_back("phi_of_decay_176__128_48");
  int needed_g_d_14[] = {  26,   27,   44,   45}; //   4
  psi_needed_g_d[no_ps][14] = get_vector_from_array_int(needed_g_d_14, 4);
  psi_container_IS_name.push_back("costheta_of_decay_124__12_112");
  psi_container_IS_name.push_back("phi_of_decay_124__12_112");
  int needed_g_d_15[] = {  26,   27,   44,   45,   74,   75,   82,   83,   96,   97,  102,  103,  110,  111,  118,  119}; //  16
  psi_needed_g_d[no_ps][15] = get_vector_from_array_int(needed_g_d_15, 16);
  psi_container_IS_name.push_back("costheta_of_decay_112__64_48");
  psi_container_IS_name.push_back("phi_of_decay_112__64_48");
  int needed_g_d_16[] = {  28,   29,   50,   51}; //   4
  psi_needed_g_d[no_ps][16] = get_vector_from_array_int(needed_g_d_16, 4);
  psi_container_IS_name.push_back("costheta_of_decay_188__48_140");
  psi_container_IS_name.push_back("phi_of_decay_188__48_140");
  int needed_g_d_17[] = {  28,   29,   50,   51,   76,   77,   84,   85,   96,   97,  102,  103,  104,  105,  112,  113}; //  16
  psi_needed_g_d[no_ps][17] = get_vector_from_array_int(needed_g_d_17, 16);
  psi_container_IS_name.push_back("costheta_of_decay_140__128_12");
  psi_container_IS_name.push_back("phi_of_decay_140__128_12");
  int needed_g_d_18[] = {  30,   31,   48,   49}; //   4
  psi_needed_g_d[no_ps][18] = get_vector_from_array_int(needed_g_d_18, 4);
  psi_container_IS_name.push_back("costheta_of_decay_124__48_76");
  psi_container_IS_name.push_back("phi_of_decay_124__48_76");
  int needed_g_d_19[] = {  30,   31,   48,   49,   78,   79,   86,   87,   98,   99,  100,  101,  106,  107,  114,  115}; //  16
  psi_needed_g_d[no_ps][19] = get_vector_from_array_int(needed_g_d_19, 16);
  psi_container_IS_name.push_back("costheta_of_decay_76__64_12");
  psi_container_IS_name.push_back("phi_of_decay_76__64_12");

  psi_c_p[no_ps].resize(128);
  psi_c_f[no_ps].resize(128);
  psi_c_t[no_ps].resize(128);
  psi_c_d[no_ps].resize(128);

  int c_p_0[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][0] = get_vector_from_array_int(c_p_0, 3);
  int c_f_0[] = {  0}; //   1
  psi_c_f[no_ps][0] = get_vector_from_array_int(c_f_0, 1);
  int c_t_0[] = {  0,   1}; //   2
  psi_c_t[no_ps][0] = get_vector_from_array_int(c_t_0, 2);
  int c_d_0[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][0] = get_vector_from_array_int(c_d_0, 3);

  int c_p_1[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][1] = get_vector_from_array_int(c_p_1, 3);
  int c_f_1[] = {  0}; //   1
  psi_c_f[no_ps][1] = get_vector_from_array_int(c_f_1, 1);
  int c_t_1[] = {  0,   1}; //   2
  psi_c_t[no_ps][1] = get_vector_from_array_int(c_t_1, 2);
  int c_d_1[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][1] = get_vector_from_array_int(c_d_1, 3);

  int c_p_2[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][2] = get_vector_from_array_int(c_p_2, 3);
  int c_f_2[] = {  1}; //   1
  psi_c_f[no_ps][2] = get_vector_from_array_int(c_f_2, 1);
  int c_t_2[] = {  2,   3}; //   2
  psi_c_t[no_ps][2] = get_vector_from_array_int(c_t_2, 2);
  int c_d_2[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][2] = get_vector_from_array_int(c_d_2, 3);

  int c_p_3[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][3] = get_vector_from_array_int(c_p_3, 3);
  int c_f_3[] = {  1}; //   1
  psi_c_f[no_ps][3] = get_vector_from_array_int(c_f_3, 1);
  int c_t_3[] = {  2,   3}; //   2
  psi_c_t[no_ps][3] = get_vector_from_array_int(c_t_3, 2);
  int c_d_3[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][3] = get_vector_from_array_int(c_d_3, 3);

  int c_p_4[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][4] = get_vector_from_array_int(c_p_4, 3);
  int c_f_4[] = {  0}; //   1
  psi_c_f[no_ps][4] = get_vector_from_array_int(c_f_4, 1);
  int c_t_4[] = {  0,   1}; //   2
  psi_c_t[no_ps][4] = get_vector_from_array_int(c_t_4, 2);
  int c_d_4[] = {  3,   4,   5}; //   3
  psi_c_d[no_ps][4] = get_vector_from_array_int(c_d_4, 3);

  int c_p_5[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][5] = get_vector_from_array_int(c_p_5, 3);
  int c_f_5[] = {  1}; //   1
  psi_c_f[no_ps][5] = get_vector_from_array_int(c_f_5, 1);
  int c_t_5[] = {  2,   3}; //   2
  psi_c_t[no_ps][5] = get_vector_from_array_int(c_t_5, 2);
  int c_d_5[] = {  3,   4,   5}; //   3
  psi_c_d[no_ps][5] = get_vector_from_array_int(c_d_5, 3);

  int c_p_6[] = {  4,   7,   8}; //   3
  psi_c_p[no_ps][6] = get_vector_from_array_int(c_p_6, 3);
  int c_f_6[] = {  0}; //   1
  psi_c_f[no_ps][6] = get_vector_from_array_int(c_f_6, 1);
  int c_t_6[] = {  0,   1}; //   2
  psi_c_t[no_ps][6] = get_vector_from_array_int(c_t_6, 2);
  int c_d_6[] = {  6,   7,   5}; //   3
  psi_c_d[no_ps][6] = get_vector_from_array_int(c_d_6, 3);

  int c_p_7[] = {  4,   7,   8}; //   3
  psi_c_p[no_ps][7] = get_vector_from_array_int(c_p_7, 3);
  int c_f_7[] = {  1}; //   1
  psi_c_f[no_ps][7] = get_vector_from_array_int(c_f_7, 1);
  int c_t_7[] = {  2,   3}; //   2
  psi_c_t[no_ps][7] = get_vector_from_array_int(c_t_7, 2);
  int c_d_7[] = {  6,   7,   5}; //   3
  psi_c_d[no_ps][7] = get_vector_from_array_int(c_d_7, 3);

  int c_p_8[] = {  0,   9,  10}; //   3
  psi_c_p[no_ps][8] = get_vector_from_array_int(c_p_8, 3);
  int c_f_8[] = {  0}; //   1
  psi_c_f[no_ps][8] = get_vector_from_array_int(c_f_8, 1);
  int c_t_8[] = {  0,   1}; //   2
  psi_c_t[no_ps][8] = get_vector_from_array_int(c_t_8, 2);
  int c_d_8[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][8] = get_vector_from_array_int(c_d_8, 3);

  int c_p_9[] = {  0,   9,  11}; //   3
  psi_c_p[no_ps][9] = get_vector_from_array_int(c_p_9, 3);
  int c_f_9[] = {  0}; //   1
  psi_c_f[no_ps][9] = get_vector_from_array_int(c_f_9, 1);
  int c_t_9[] = {  0,   1}; //   2
  psi_c_t[no_ps][9] = get_vector_from_array_int(c_t_9, 2);
  int c_d_9[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][9] = get_vector_from_array_int(c_d_9, 3);

  int c_p_10[] = {  0,   9,  10}; //   3
  psi_c_p[no_ps][10] = get_vector_from_array_int(c_p_10, 3);
  int c_f_10[] = {  1}; //   1
  psi_c_f[no_ps][10] = get_vector_from_array_int(c_f_10, 1);
  int c_t_10[] = {  2,   3}; //   2
  psi_c_t[no_ps][10] = get_vector_from_array_int(c_t_10, 2);
  int c_d_10[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][10] = get_vector_from_array_int(c_d_10, 3);

  int c_p_11[] = {  0,   9,  11}; //   3
  psi_c_p[no_ps][11] = get_vector_from_array_int(c_p_11, 3);
  int c_f_11[] = {  1}; //   1
  psi_c_f[no_ps][11] = get_vector_from_array_int(c_f_11, 1);
  int c_t_11[] = {  2,   3}; //   2
  psi_c_t[no_ps][11] = get_vector_from_array_int(c_t_11, 2);
  int c_d_11[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][11] = get_vector_from_array_int(c_d_11, 3);

  int c_p_12[] = {  0,   1,   2,  12}; //   4
  psi_c_p[no_ps][12] = get_vector_from_array_int(c_p_12, 4);
  int c_f_12[] = {}; //   0
  psi_c_f[no_ps][12] = get_vector_from_array_int(c_f_12, 0);
  int c_t_12[] = {  2}; //   1
  psi_c_t[no_ps][12] = get_vector_from_array_int(c_t_12, 1);
  int c_d_12[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][12] = get_vector_from_array_int(c_d_12, 4);

  int c_p_13[] = {  0,   1,   3,  12}; //   4
  psi_c_p[no_ps][13] = get_vector_from_array_int(c_p_13, 4);
  int c_f_13[] = {}; //   0
  psi_c_f[no_ps][13] = get_vector_from_array_int(c_f_13, 0);
  int c_t_13[] = {  2}; //   1
  psi_c_t[no_ps][13] = get_vector_from_array_int(c_t_13, 1);
  int c_d_13[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][13] = get_vector_from_array_int(c_d_13, 4);

  int c_p_14[] = {  0,   1,   2,  13}; //   4
  psi_c_p[no_ps][14] = get_vector_from_array_int(c_p_14, 4);
  int c_f_14[] = {}; //   0
  psi_c_f[no_ps][14] = get_vector_from_array_int(c_f_14, 0);
  int c_t_14[] = {  0}; //   1
  psi_c_t[no_ps][14] = get_vector_from_array_int(c_t_14, 1);
  int c_d_14[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][14] = get_vector_from_array_int(c_d_14, 4);

  int c_p_15[] = {  0,   1,   3,  13}; //   4
  psi_c_p[no_ps][15] = get_vector_from_array_int(c_p_15, 4);
  int c_f_15[] = {}; //   0
  psi_c_f[no_ps][15] = get_vector_from_array_int(c_f_15, 0);
  int c_t_15[] = {  0}; //   1
  psi_c_t[no_ps][15] = get_vector_from_array_int(c_t_15, 1);
  int c_d_15[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][15] = get_vector_from_array_int(c_d_15, 4);

  int c_p_16[] = {  4,   5,   6,  12}; //   4
  psi_c_p[no_ps][16] = get_vector_from_array_int(c_p_16, 4);
  int c_f_16[] = {}; //   0
  psi_c_f[no_ps][16] = get_vector_from_array_int(c_f_16, 0);
  int c_t_16[] = {  2}; //   1
  psi_c_t[no_ps][16] = get_vector_from_array_int(c_t_16, 1);
  int c_d_16[] = { 10,   3,   4,   5}; //   4
  psi_c_d[no_ps][16] = get_vector_from_array_int(c_d_16, 4);

  int c_p_17[] = {  4,   5,   6,  13}; //   4
  psi_c_p[no_ps][17] = get_vector_from_array_int(c_p_17, 4);
  int c_f_17[] = {}; //   0
  psi_c_f[no_ps][17] = get_vector_from_array_int(c_f_17, 0);
  int c_t_17[] = {  0}; //   1
  psi_c_t[no_ps][17] = get_vector_from_array_int(c_t_17, 1);
  int c_d_17[] = { 11,   3,   4,   5}; //   4
  psi_c_d[no_ps][17] = get_vector_from_array_int(c_d_17, 4);

  int c_p_18[] = {  4,   7,   8,  12}; //   4
  psi_c_p[no_ps][18] = get_vector_from_array_int(c_p_18, 4);
  int c_f_18[] = {}; //   0
  psi_c_f[no_ps][18] = get_vector_from_array_int(c_f_18, 0);
  int c_t_18[] = {  2}; //   1
  psi_c_t[no_ps][18] = get_vector_from_array_int(c_t_18, 1);
  int c_d_18[] = { 10,   6,   7,   5}; //   4
  psi_c_d[no_ps][18] = get_vector_from_array_int(c_d_18, 4);

  int c_p_19[] = {  4,   7,   8,  13}; //   4
  psi_c_p[no_ps][19] = get_vector_from_array_int(c_p_19, 4);
  int c_f_19[] = {}; //   0
  psi_c_f[no_ps][19] = get_vector_from_array_int(c_f_19, 0);
  int c_t_19[] = {  0}; //   1
  psi_c_t[no_ps][19] = get_vector_from_array_int(c_t_19, 1);
  int c_d_19[] = { 11,   6,   7,   5}; //   4
  psi_c_d[no_ps][19] = get_vector_from_array_int(c_d_19, 4);

  int c_p_20[] = {  0,   9,  10,  12}; //   4
  psi_c_p[no_ps][20] = get_vector_from_array_int(c_p_20, 4);
  int c_f_20[] = {}; //   0
  psi_c_f[no_ps][20] = get_vector_from_array_int(c_f_20, 0);
  int c_t_20[] = {  2}; //   1
  psi_c_t[no_ps][20] = get_vector_from_array_int(c_t_20, 1);
  int c_d_20[] = { 10,   8,   9,   2}; //   4
  psi_c_d[no_ps][20] = get_vector_from_array_int(c_d_20, 4);

  int c_p_21[] = {  0,   9,  11,  12}; //   4
  psi_c_p[no_ps][21] = get_vector_from_array_int(c_p_21, 4);
  int c_f_21[] = {}; //   0
  psi_c_f[no_ps][21] = get_vector_from_array_int(c_f_21, 0);
  int c_t_21[] = {  2}; //   1
  psi_c_t[no_ps][21] = get_vector_from_array_int(c_t_21, 1);
  int c_d_21[] = { 10,   8,   9,   2}; //   4
  psi_c_d[no_ps][21] = get_vector_from_array_int(c_d_21, 4);

  int c_p_22[] = {  0,   9,  10,  13}; //   4
  psi_c_p[no_ps][22] = get_vector_from_array_int(c_p_22, 4);
  int c_f_22[] = {}; //   0
  psi_c_f[no_ps][22] = get_vector_from_array_int(c_f_22, 0);
  int c_t_22[] = {  0}; //   1
  psi_c_t[no_ps][22] = get_vector_from_array_int(c_t_22, 1);
  int c_d_22[] = { 11,   8,   9,   2}; //   4
  psi_c_d[no_ps][22] = get_vector_from_array_int(c_d_22, 4);

  int c_p_23[] = {  0,   9,  11,  13}; //   4
  psi_c_p[no_ps][23] = get_vector_from_array_int(c_p_23, 4);
  int c_f_23[] = {}; //   0
  psi_c_f[no_ps][23] = get_vector_from_array_int(c_f_23, 0);
  int c_t_23[] = {  0}; //   1
  psi_c_t[no_ps][23] = get_vector_from_array_int(c_t_23, 1);
  int c_d_23[] = { 11,   8,   9,   2}; //   4
  psi_c_d[no_ps][23] = get_vector_from_array_int(c_d_23, 4);

  int c_p_24[] = {  0,  14,  15,  16}; //   4
  psi_c_p[no_ps][24] = get_vector_from_array_int(c_p_24, 4);
  int c_f_24[] = {}; //   0
  psi_c_f[no_ps][24] = get_vector_from_array_int(c_f_24, 0);
  int c_t_24[] = {  2}; //   1
  psi_c_t[no_ps][24] = get_vector_from_array_int(c_t_24, 1);
  int c_d_24[] = { 12,   5,  13,   2}; //   4
  psi_c_d[no_ps][24] = get_vector_from_array_int(c_d_24, 4);

  int c_p_25[] = {  0,  14,  17,  16}; //   4
  psi_c_p[no_ps][25] = get_vector_from_array_int(c_p_25, 4);
  int c_f_25[] = {}; //   0
  psi_c_f[no_ps][25] = get_vector_from_array_int(c_f_25, 0);
  int c_t_25[] = {  2}; //   1
  psi_c_t[no_ps][25] = get_vector_from_array_int(c_t_25, 1);
  int c_d_25[] = { 12,   5,  13,   2}; //   4
  psi_c_d[no_ps][25] = get_vector_from_array_int(c_d_25, 4);

  int c_p_26[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][26] = get_vector_from_array_int(c_p_26, 4);
  int c_f_26[] = {}; //   0
  psi_c_f[no_ps][26] = get_vector_from_array_int(c_f_26, 0);
  int c_t_26[] = {  0}; //   1
  psi_c_t[no_ps][26] = get_vector_from_array_int(c_t_26, 1);
  int c_d_26[] = { 14,   5,  15,   2}; //   4
  psi_c_d[no_ps][26] = get_vector_from_array_int(c_d_26, 4);

  int c_p_27[] = {  0,  18,  21,  20}; //   4
  psi_c_p[no_ps][27] = get_vector_from_array_int(c_p_27, 4);
  int c_f_27[] = {}; //   0
  psi_c_f[no_ps][27] = get_vector_from_array_int(c_f_27, 0);
  int c_t_27[] = {  0}; //   1
  psi_c_t[no_ps][27] = get_vector_from_array_int(c_t_27, 1);
  int c_d_27[] = { 14,   5,  15,   2}; //   4
  psi_c_d[no_ps][27] = get_vector_from_array_int(c_d_27, 4);

  int c_p_28[] = { 22,  23,  24,  25}; //   4
  psi_c_p[no_ps][28] = get_vector_from_array_int(c_p_28, 4);
  int c_f_28[] = {}; //   0
  psi_c_f[no_ps][28] = get_vector_from_array_int(c_f_28, 0);
  int c_t_28[] = {  2}; //   1
  psi_c_t[no_ps][28] = get_vector_from_array_int(c_t_28, 1);
  int c_d_28[] = { 16,   2,  17,   5}; //   4
  psi_c_d[no_ps][28] = get_vector_from_array_int(c_d_28, 4);

  int c_p_29[] = {  4,  23,  24,  25}; //   4
  psi_c_p[no_ps][29] = get_vector_from_array_int(c_p_29, 4);
  int c_f_29[] = {}; //   0
  psi_c_f[no_ps][29] = get_vector_from_array_int(c_f_29, 0);
  int c_t_29[] = {  2}; //   1
  psi_c_t[no_ps][29] = get_vector_from_array_int(c_t_29, 1);
  int c_d_29[] = { 16,   2,  17,   5}; //   4
  psi_c_d[no_ps][29] = get_vector_from_array_int(c_d_29, 4);

  int c_p_30[] = { 22,  26,  27,  28}; //   4
  psi_c_p[no_ps][30] = get_vector_from_array_int(c_p_30, 4);
  int c_f_30[] = {}; //   0
  psi_c_f[no_ps][30] = get_vector_from_array_int(c_f_30, 0);
  int c_t_30[] = {  0}; //   1
  psi_c_t[no_ps][30] = get_vector_from_array_int(c_t_30, 1);
  int c_d_30[] = { 18,   2,  19,   5}; //   4
  psi_c_d[no_ps][30] = get_vector_from_array_int(c_d_30, 4);

  int c_p_31[] = {  4,  26,  27,  28}; //   4
  psi_c_p[no_ps][31] = get_vector_from_array_int(c_p_31, 4);
  int c_f_31[] = {}; //   0
  psi_c_f[no_ps][31] = get_vector_from_array_int(c_f_31, 0);
  int c_t_31[] = {  0}; //   1
  psi_c_t[no_ps][31] = get_vector_from_array_int(c_t_31, 1);
  int c_d_31[] = { 18,   2,  19,   5}; //   4
  psi_c_d[no_ps][31] = get_vector_from_array_int(c_d_31, 4);

  int c_p_32[] = {  0,   1,   2,  12}; //   4
  psi_c_p[no_ps][32] = get_vector_from_array_int(c_p_32, 4);
  int c_f_32[] = {}; //   0
  psi_c_f[no_ps][32] = get_vector_from_array_int(c_f_32, 0);
  int c_t_32[] = {  4}; //   1
  psi_c_t[no_ps][32] = get_vector_from_array_int(c_t_32, 1);
  int c_d_32[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][32] = get_vector_from_array_int(c_d_32, 4);

  int c_p_33[] = {  0,   1,   3,  12}; //   4
  psi_c_p[no_ps][33] = get_vector_from_array_int(c_p_33, 4);
  int c_f_33[] = {}; //   0
  psi_c_f[no_ps][33] = get_vector_from_array_int(c_f_33, 0);
  int c_t_33[] = {  4}; //   1
  psi_c_t[no_ps][33] = get_vector_from_array_int(c_t_33, 1);
  int c_d_33[] = { 10,   0,   1,   2}; //   4
  psi_c_d[no_ps][33] = get_vector_from_array_int(c_d_33, 4);

  int c_p_34[] = {  0,   1,   2,  13}; //   4
  psi_c_p[no_ps][34] = get_vector_from_array_int(c_p_34, 4);
  int c_f_34[] = {}; //   0
  psi_c_f[no_ps][34] = get_vector_from_array_int(c_f_34, 0);
  int c_t_34[] = {  5}; //   1
  psi_c_t[no_ps][34] = get_vector_from_array_int(c_t_34, 1);
  int c_d_34[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][34] = get_vector_from_array_int(c_d_34, 4);

  int c_p_35[] = {  0,   1,   3,  13}; //   4
  psi_c_p[no_ps][35] = get_vector_from_array_int(c_p_35, 4);
  int c_f_35[] = {}; //   0
  psi_c_f[no_ps][35] = get_vector_from_array_int(c_f_35, 0);
  int c_t_35[] = {  5}; //   1
  psi_c_t[no_ps][35] = get_vector_from_array_int(c_t_35, 1);
  int c_d_35[] = { 11,   0,   1,   2}; //   4
  psi_c_d[no_ps][35] = get_vector_from_array_int(c_d_35, 4);

  int c_p_36[] = {  4,   5,   6,  12}; //   4
  psi_c_p[no_ps][36] = get_vector_from_array_int(c_p_36, 4);
  int c_f_36[] = {}; //   0
  psi_c_f[no_ps][36] = get_vector_from_array_int(c_f_36, 0);
  int c_t_36[] = {  4}; //   1
  psi_c_t[no_ps][36] = get_vector_from_array_int(c_t_36, 1);
  int c_d_36[] = { 10,   3,   4,   5}; //   4
  psi_c_d[no_ps][36] = get_vector_from_array_int(c_d_36, 4);

  int c_p_37[] = {  4,   5,   6,  13}; //   4
  psi_c_p[no_ps][37] = get_vector_from_array_int(c_p_37, 4);
  int c_f_37[] = {}; //   0
  psi_c_f[no_ps][37] = get_vector_from_array_int(c_f_37, 0);
  int c_t_37[] = {  5}; //   1
  psi_c_t[no_ps][37] = get_vector_from_array_int(c_t_37, 1);
  int c_d_37[] = { 11,   3,   4,   5}; //   4
  psi_c_d[no_ps][37] = get_vector_from_array_int(c_d_37, 4);

  int c_p_38[] = {  4,   7,   8,  12}; //   4
  psi_c_p[no_ps][38] = get_vector_from_array_int(c_p_38, 4);
  int c_f_38[] = {}; //   0
  psi_c_f[no_ps][38] = get_vector_from_array_int(c_f_38, 0);
  int c_t_38[] = {  4}; //   1
  psi_c_t[no_ps][38] = get_vector_from_array_int(c_t_38, 1);
  int c_d_38[] = { 10,   6,   7,   5}; //   4
  psi_c_d[no_ps][38] = get_vector_from_array_int(c_d_38, 4);

  int c_p_39[] = {  4,   7,   8,  13}; //   4
  psi_c_p[no_ps][39] = get_vector_from_array_int(c_p_39, 4);
  int c_f_39[] = {}; //   0
  psi_c_f[no_ps][39] = get_vector_from_array_int(c_f_39, 0);
  int c_t_39[] = {  5}; //   1
  psi_c_t[no_ps][39] = get_vector_from_array_int(c_t_39, 1);
  int c_d_39[] = { 11,   6,   7,   5}; //   4
  psi_c_d[no_ps][39] = get_vector_from_array_int(c_d_39, 4);

  int c_p_40[] = {  0,   9,  10,  12}; //   4
  psi_c_p[no_ps][40] = get_vector_from_array_int(c_p_40, 4);
  int c_f_40[] = {}; //   0
  psi_c_f[no_ps][40] = get_vector_from_array_int(c_f_40, 0);
  int c_t_40[] = {  4}; //   1
  psi_c_t[no_ps][40] = get_vector_from_array_int(c_t_40, 1);
  int c_d_40[] = { 10,   8,   9,   2}; //   4
  psi_c_d[no_ps][40] = get_vector_from_array_int(c_d_40, 4);

  int c_p_41[] = {  0,   9,  11,  12}; //   4
  psi_c_p[no_ps][41] = get_vector_from_array_int(c_p_41, 4);
  int c_f_41[] = {}; //   0
  psi_c_f[no_ps][41] = get_vector_from_array_int(c_f_41, 0);
  int c_t_41[] = {  4}; //   1
  psi_c_t[no_ps][41] = get_vector_from_array_int(c_t_41, 1);
  int c_d_41[] = { 10,   8,   9,   2}; //   4
  psi_c_d[no_ps][41] = get_vector_from_array_int(c_d_41, 4);

  int c_p_42[] = {  0,   9,  10,  13}; //   4
  psi_c_p[no_ps][42] = get_vector_from_array_int(c_p_42, 4);
  int c_f_42[] = {}; //   0
  psi_c_f[no_ps][42] = get_vector_from_array_int(c_f_42, 0);
  int c_t_42[] = {  5}; //   1
  psi_c_t[no_ps][42] = get_vector_from_array_int(c_t_42, 1);
  int c_d_42[] = { 11,   8,   9,   2}; //   4
  psi_c_d[no_ps][42] = get_vector_from_array_int(c_d_42, 4);

  int c_p_43[] = {  0,   9,  11,  13}; //   4
  psi_c_p[no_ps][43] = get_vector_from_array_int(c_p_43, 4);
  int c_f_43[] = {}; //   0
  psi_c_f[no_ps][43] = get_vector_from_array_int(c_f_43, 0);
  int c_t_43[] = {  5}; //   1
  psi_c_t[no_ps][43] = get_vector_from_array_int(c_t_43, 1);
  int c_d_43[] = { 11,   8,   9,   2}; //   4
  psi_c_d[no_ps][43] = get_vector_from_array_int(c_d_43, 4);

  int c_p_44[] = {  0,  18,  19,  20}; //   4
  psi_c_p[no_ps][44] = get_vector_from_array_int(c_p_44, 4);
  int c_f_44[] = {}; //   0
  psi_c_f[no_ps][44] = get_vector_from_array_int(c_f_44, 0);
  int c_t_44[] = {  5}; //   1
  psi_c_t[no_ps][44] = get_vector_from_array_int(c_t_44, 1);
  int c_d_44[] = { 14,   5,  15,   2}; //   4
  psi_c_d[no_ps][44] = get_vector_from_array_int(c_d_44, 4);

  int c_p_45[] = {  0,  18,  21,  20}; //   4
  psi_c_p[no_ps][45] = get_vector_from_array_int(c_p_45, 4);
  int c_f_45[] = {}; //   0
  psi_c_f[no_ps][45] = get_vector_from_array_int(c_f_45, 0);
  int c_t_45[] = {  5}; //   1
  psi_c_t[no_ps][45] = get_vector_from_array_int(c_t_45, 1);
  int c_d_45[] = { 14,   5,  15,   2}; //   4
  psi_c_d[no_ps][45] = get_vector_from_array_int(c_d_45, 4);

  int c_p_46[] = {  0,  14,  15,  16}; //   4
  psi_c_p[no_ps][46] = get_vector_from_array_int(c_p_46, 4);
  int c_f_46[] = {}; //   0
  psi_c_f[no_ps][46] = get_vector_from_array_int(c_f_46, 0);
  int c_t_46[] = {  4}; //   1
  psi_c_t[no_ps][46] = get_vector_from_array_int(c_t_46, 1);
  int c_d_46[] = { 12,   5,  13,   2}; //   4
  psi_c_d[no_ps][46] = get_vector_from_array_int(c_d_46, 4);

  int c_p_47[] = {  0,  14,  17,  16}; //   4
  psi_c_p[no_ps][47] = get_vector_from_array_int(c_p_47, 4);
  int c_f_47[] = {}; //   0
  psi_c_f[no_ps][47] = get_vector_from_array_int(c_f_47, 0);
  int c_t_47[] = {  4}; //   1
  psi_c_t[no_ps][47] = get_vector_from_array_int(c_t_47, 1);
  int c_d_47[] = { 12,   5,  13,   2}; //   4
  psi_c_d[no_ps][47] = get_vector_from_array_int(c_d_47, 4);

  int c_p_48[] = { 22,  26,  27,  28}; //   4
  psi_c_p[no_ps][48] = get_vector_from_array_int(c_p_48, 4);
  int c_f_48[] = {}; //   0
  psi_c_f[no_ps][48] = get_vector_from_array_int(c_f_48, 0);
  int c_t_48[] = {  5}; //   1
  psi_c_t[no_ps][48] = get_vector_from_array_int(c_t_48, 1);
  int c_d_48[] = { 18,   2,  19,   5}; //   4
  psi_c_d[no_ps][48] = get_vector_from_array_int(c_d_48, 4);

  int c_p_49[] = {  4,  26,  27,  28}; //   4
  psi_c_p[no_ps][49] = get_vector_from_array_int(c_p_49, 4);
  int c_f_49[] = {}; //   0
  psi_c_f[no_ps][49] = get_vector_from_array_int(c_f_49, 0);
  int c_t_49[] = {  5}; //   1
  psi_c_t[no_ps][49] = get_vector_from_array_int(c_t_49, 1);
  int c_d_49[] = { 18,   2,  19,   5}; //   4
  psi_c_d[no_ps][49] = get_vector_from_array_int(c_d_49, 4);

  int c_p_50[] = { 22,  23,  24,  25}; //   4
  psi_c_p[no_ps][50] = get_vector_from_array_int(c_p_50, 4);
  int c_f_50[] = {}; //   0
  psi_c_f[no_ps][50] = get_vector_from_array_int(c_f_50, 0);
  int c_t_50[] = {  4}; //   1
  psi_c_t[no_ps][50] = get_vector_from_array_int(c_t_50, 1);
  int c_d_50[] = { 16,   2,  17,   5}; //   4
  psi_c_d[no_ps][50] = get_vector_from_array_int(c_d_50, 4);

  int c_p_51[] = {  4,  23,  24,  25}; //   4
  psi_c_p[no_ps][51] = get_vector_from_array_int(c_p_51, 4);
  int c_f_51[] = {}; //   0
  psi_c_f[no_ps][51] = get_vector_from_array_int(c_f_51, 0);
  int c_t_51[] = {  4}; //   1
  psi_c_t[no_ps][51] = get_vector_from_array_int(c_t_51, 1);
  int c_d_51[] = { 16,   2,  17,   5}; //   4
  psi_c_d[no_ps][51] = get_vector_from_array_int(c_d_51, 4);

  int c_p_52[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][52] = get_vector_from_array_int(c_p_52, 3);
  int c_f_52[] = {  1}; //   1
  psi_c_f[no_ps][52] = get_vector_from_array_int(c_f_52, 1);
  int c_t_52[] = {  4,   6}; //   2
  psi_c_t[no_ps][52] = get_vector_from_array_int(c_t_52, 2);
  int c_d_52[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][52] = get_vector_from_array_int(c_d_52, 3);

  int c_p_53[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][53] = get_vector_from_array_int(c_p_53, 3);
  int c_f_53[] = {  1}; //   1
  psi_c_f[no_ps][53] = get_vector_from_array_int(c_f_53, 1);
  int c_t_53[] = {  4,   6}; //   2
  psi_c_t[no_ps][53] = get_vector_from_array_int(c_t_53, 2);
  int c_d_53[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][53] = get_vector_from_array_int(c_d_53, 3);

  int c_p_54[] = {  0,   1,   2}; //   3
  psi_c_p[no_ps][54] = get_vector_from_array_int(c_p_54, 3);
  int c_f_54[] = {  0}; //   1
  psi_c_f[no_ps][54] = get_vector_from_array_int(c_f_54, 1);
  int c_t_54[] = {  5,   7}; //   2
  psi_c_t[no_ps][54] = get_vector_from_array_int(c_t_54, 2);
  int c_d_54[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][54] = get_vector_from_array_int(c_d_54, 3);

  int c_p_55[] = {  0,   1,   3}; //   3
  psi_c_p[no_ps][55] = get_vector_from_array_int(c_p_55, 3);
  int c_f_55[] = {  0}; //   1
  psi_c_f[no_ps][55] = get_vector_from_array_int(c_f_55, 1);
  int c_t_55[] = {  5,   7}; //   2
  psi_c_t[no_ps][55] = get_vector_from_array_int(c_t_55, 2);
  int c_d_55[] = {  0,   1,   2}; //   3
  psi_c_d[no_ps][55] = get_vector_from_array_int(c_d_55, 3);

  int c_p_56[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][56] = get_vector_from_array_int(c_p_56, 3);
  int c_f_56[] = {  1}; //   1
  psi_c_f[no_ps][56] = get_vector_from_array_int(c_f_56, 1);
  int c_t_56[] = {  4,   6}; //   2
  psi_c_t[no_ps][56] = get_vector_from_array_int(c_t_56, 2);
  int c_d_56[] = {  3,   4,   5}; //   3
  psi_c_d[no_ps][56] = get_vector_from_array_int(c_d_56, 3);

  int c_p_57[] = {  4,   5,   6}; //   3
  psi_c_p[no_ps][57] = get_vector_from_array_int(c_p_57, 3);
  int c_f_57[] = {  0}; //   1
  psi_c_f[no_ps][57] = get_vector_from_array_int(c_f_57, 1);
  int c_t_57[] = {  5,   7}; //   2
  psi_c_t[no_ps][57] = get_vector_from_array_int(c_t_57, 2);
  int c_d_57[] = {  3,   4,   5}; //   3
  psi_c_d[no_ps][57] = get_vector_from_array_int(c_d_57, 3);

  int c_p_58[] = {  4,   7,   8}; //   3
  psi_c_p[no_ps][58] = get_vector_from_array_int(c_p_58, 3);
  int c_f_58[] = {  1}; //   1
  psi_c_f[no_ps][58] = get_vector_from_array_int(c_f_58, 1);
  int c_t_58[] = {  4,   6}; //   2
  psi_c_t[no_ps][58] = get_vector_from_array_int(c_t_58, 2);
  int c_d_58[] = {  6,   7,   5}; //   3
  psi_c_d[no_ps][58] = get_vector_from_array_int(c_d_58, 3);

  int c_p_59[] = {  4,   7,   8}; //   3
  psi_c_p[no_ps][59] = get_vector_from_array_int(c_p_59, 3);
  int c_f_59[] = {  0}; //   1
  psi_c_f[no_ps][59] = get_vector_from_array_int(c_f_59, 1);
  int c_t_59[] = {  5,   7}; //   2
  psi_c_t[no_ps][59] = get_vector_from_array_int(c_t_59, 2);
  int c_d_59[] = {  6,   7,   5}; //   3
  psi_c_d[no_ps][59] = get_vector_from_array_int(c_d_59, 3);

  int c_p_60[] = {  0,   9,  10}; //   3
  psi_c_p[no_ps][60] = get_vector_from_array_int(c_p_60, 3);
  int c_f_60[] = {  1}; //   1
  psi_c_f[no_ps][60] = get_vector_from_array_int(c_f_60, 1);
  int c_t_60[] = {  4,   6}; //   2
  psi_c_t[no_ps][60] = get_vector_from_array_int(c_t_60, 2);
  int c_d_60[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][60] = get_vector_from_array_int(c_d_60, 3);

  int c_p_61[] = {  0,   9,  11}; //   3
  psi_c_p[no_ps][61] = get_vector_from_array_int(c_p_61, 3);
  int c_f_61[] = {  1}; //   1
  psi_c_f[no_ps][61] = get_vector_from_array_int(c_f_61, 1);
  int c_t_61[] = {  4,   6}; //   2
  psi_c_t[no_ps][61] = get_vector_from_array_int(c_t_61, 2);
  int c_d_61[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][61] = get_vector_from_array_int(c_d_61, 3);

  int c_p_62[] = {  0,   9,  10}; //   3
  psi_c_p[no_ps][62] = get_vector_from_array_int(c_p_62, 3);
  int c_f_62[] = {  0}; //   1
  psi_c_f[no_ps][62] = get_vector_from_array_int(c_f_62, 1);
  int c_t_62[] = {  5,   7}; //   2
  psi_c_t[no_ps][62] = get_vector_from_array_int(c_t_62, 2);
  int c_d_62[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][62] = get_vector_from_array_int(c_d_62, 3);

  int c_p_63[] = {  0,   9,  11}; //   3
  psi_c_p[no_ps][63] = get_vector_from_array_int(c_p_63, 3);
  int c_f_63[] = {  0}; //   1
  psi_c_f[no_ps][63] = get_vector_from_array_int(c_f_63, 1);
  int c_t_63[] = {  5,   7}; //   2
  psi_c_t[no_ps][63] = get_vector_from_array_int(c_t_63, 2);
  int c_d_63[] = {  8,   9,   2}; //   3
  psi_c_d[no_ps][63] = get_vector_from_array_int(c_d_63, 3);

  int c_p_64[] = {  0,  29}; //   2
  psi_c_p[no_ps][64] = get_vector_from_array_int(c_p_64, 2);
  int c_f_64[] = {  2,   3}; //   2
  psi_c_f[no_ps][64] = get_vector_from_array_int(c_f_64, 2);
  int c_t_64[] = {  0,   8,   9}; //   3
  psi_c_t[no_ps][64] = get_vector_from_array_int(c_t_64, 3);
  int c_d_64[] = {  5,   2}; //   2
  psi_c_d[no_ps][64] = get_vector_from_array_int(c_d_64, 2);

  int c_p_65[] = {  0,  30}; //   2
  psi_c_p[no_ps][65] = get_vector_from_array_int(c_p_65, 2);
  int c_f_65[] = {  2,   3}; //   2
  psi_c_f[no_ps][65] = get_vector_from_array_int(c_f_65, 2);
  int c_t_65[] = {  0,   8,   9}; //   3
  psi_c_t[no_ps][65] = get_vector_from_array_int(c_t_65, 3);
  int c_d_65[] = {  5,   2}; //   2
  psi_c_d[no_ps][65] = get_vector_from_array_int(c_d_65, 2);

  int c_p_66[] = {  0,  29}; //   2
  psi_c_p[no_ps][66] = get_vector_from_array_int(c_p_66, 2);
  int c_f_66[] = {  4,   5}; //   2
  psi_c_f[no_ps][66] = get_vector_from_array_int(c_f_66, 2);
  int c_t_66[] = {  2,  10,  11}; //   3
  psi_c_t[no_ps][66] = get_vector_from_array_int(c_t_66, 3);
  int c_d_66[] = {  5,   2}; //   2
  psi_c_d[no_ps][66] = get_vector_from_array_int(c_d_66, 2);

  int c_p_67[] = {  0,  30}; //   2
  psi_c_p[no_ps][67] = get_vector_from_array_int(c_p_67, 2);
  int c_f_67[] = {  4,   5}; //   2
  psi_c_f[no_ps][67] = get_vector_from_array_int(c_f_67, 2);
  int c_t_67[] = {  2,  10,  11}; //   3
  psi_c_t[no_ps][67] = get_vector_from_array_int(c_t_67, 3);
  int c_d_67[] = {  5,   2}; //   2
  psi_c_d[no_ps][67] = get_vector_from_array_int(c_d_67, 2);

  int c_p_68[] = { 22,  31}; //   2
  psi_c_p[no_ps][68] = get_vector_from_array_int(c_p_68, 2);
  int c_f_68[] = {  6,   7}; //   2
  psi_c_f[no_ps][68] = get_vector_from_array_int(c_f_68, 2);
  int c_t_68[] = {  0,  12,  13}; //   3
  psi_c_t[no_ps][68] = get_vector_from_array_int(c_t_68, 3);
  int c_d_68[] = {  2,   5}; //   2
  psi_c_d[no_ps][68] = get_vector_from_array_int(c_d_68, 2);

  int c_p_69[] = {  4,  31}; //   2
  psi_c_p[no_ps][69] = get_vector_from_array_int(c_p_69, 2);
  int c_f_69[] = {  6,   7}; //   2
  psi_c_f[no_ps][69] = get_vector_from_array_int(c_f_69, 2);
  int c_t_69[] = {  0,  12,  13}; //   3
  psi_c_t[no_ps][69] = get_vector_from_array_int(c_t_69, 3);
  int c_d_69[] = {  2,   5}; //   2
  psi_c_d[no_ps][69] = get_vector_from_array_int(c_d_69, 2);

  int c_p_70[] = { 22,  31}; //   2
  psi_c_p[no_ps][70] = get_vector_from_array_int(c_p_70, 2);
  int c_f_70[] = {  8,   9}; //   2
  psi_c_f[no_ps][70] = get_vector_from_array_int(c_f_70, 2);
  int c_t_70[] = {  2,  14,  15}; //   3
  psi_c_t[no_ps][70] = get_vector_from_array_int(c_t_70, 3);
  int c_d_70[] = {  2,   5}; //   2
  psi_c_d[no_ps][70] = get_vector_from_array_int(c_d_70, 2);

  int c_p_71[] = {  4,  31}; //   2
  psi_c_p[no_ps][71] = get_vector_from_array_int(c_p_71, 2);
  int c_f_71[] = {  8,   9}; //   2
  psi_c_f[no_ps][71] = get_vector_from_array_int(c_f_71, 2);
  int c_t_71[] = {  2,  14,  15}; //   3
  psi_c_t[no_ps][71] = get_vector_from_array_int(c_t_71, 3);
  int c_d_71[] = {  2,   5}; //   2
  psi_c_d[no_ps][71] = get_vector_from_array_int(c_d_71, 2);

  int c_p_72[] = {  0,  14,  15}; //   3
  psi_c_p[no_ps][72] = get_vector_from_array_int(c_p_72, 3);
  int c_f_72[] = {  5}; //   1
  psi_c_f[no_ps][72] = get_vector_from_array_int(c_f_72, 1);
  int c_t_72[] = {  2,  10}; //   2
  psi_c_t[no_ps][72] = get_vector_from_array_int(c_t_72, 2);
  int c_d_72[] = {  5,  13,   2}; //   3
  psi_c_d[no_ps][72] = get_vector_from_array_int(c_d_72, 3);

  int c_p_73[] = {  0,  14,  17}; //   3
  psi_c_p[no_ps][73] = get_vector_from_array_int(c_p_73, 3);
  int c_f_73[] = {  5}; //   1
  psi_c_f[no_ps][73] = get_vector_from_array_int(c_f_73, 1);
  int c_t_73[] = {  2,  10}; //   2
  psi_c_t[no_ps][73] = get_vector_from_array_int(c_t_73, 2);
  int c_d_73[] = {  5,  13,   2}; //   3
  psi_c_d[no_ps][73] = get_vector_from_array_int(c_d_73, 3);

  int c_p_74[] = {  0,  18,  19}; //   3
  psi_c_p[no_ps][74] = get_vector_from_array_int(c_p_74, 3);
  int c_f_74[] = {  3}; //   1
  psi_c_f[no_ps][74] = get_vector_from_array_int(c_f_74, 1);
  int c_t_74[] = {  0,   8}; //   2
  psi_c_t[no_ps][74] = get_vector_from_array_int(c_t_74, 2);
  int c_d_74[] = {  5,  15,   2}; //   3
  psi_c_d[no_ps][74] = get_vector_from_array_int(c_d_74, 3);

  int c_p_75[] = {  0,  18,  21}; //   3
  psi_c_p[no_ps][75] = get_vector_from_array_int(c_p_75, 3);
  int c_f_75[] = {  3}; //   1
  psi_c_f[no_ps][75] = get_vector_from_array_int(c_f_75, 1);
  int c_t_75[] = {  0,   8}; //   2
  psi_c_t[no_ps][75] = get_vector_from_array_int(c_t_75, 2);
  int c_d_75[] = {  5,  15,   2}; //   3
  psi_c_d[no_ps][75] = get_vector_from_array_int(c_d_75, 3);

  int c_p_76[] = { 22,  23,  24}; //   3
  psi_c_p[no_ps][76] = get_vector_from_array_int(c_p_76, 3);
  int c_f_76[] = {  9}; //   1
  psi_c_f[no_ps][76] = get_vector_from_array_int(c_f_76, 1);
  int c_t_76[] = {  2,  14}; //   2
  psi_c_t[no_ps][76] = get_vector_from_array_int(c_t_76, 2);
  int c_d_76[] = {  2,  17,   5}; //   3
  psi_c_d[no_ps][76] = get_vector_from_array_int(c_d_76, 3);

  int c_p_77[] = {  4,  23,  24}; //   3
  psi_c_p[no_ps][77] = get_vector_from_array_int(c_p_77, 3);
  int c_f_77[] = {  9}; //   1
  psi_c_f[no_ps][77] = get_vector_from_array_int(c_f_77, 1);
  int c_t_77[] = {  2,  14}; //   2
  psi_c_t[no_ps][77] = get_vector_from_array_int(c_t_77, 2);
  int c_d_77[] = {  2,  17,   5}; //   3
  psi_c_d[no_ps][77] = get_vector_from_array_int(c_d_77, 3);

  int c_p_78[] = { 22,  26,  27}; //   3
  psi_c_p[no_ps][78] = get_vector_from_array_int(c_p_78, 3);
  int c_f_78[] = {  7}; //   1
  psi_c_f[no_ps][78] = get_vector_from_array_int(c_f_78, 1);
  int c_t_78[] = {  0,  12}; //   2
  psi_c_t[no_ps][78] = get_vector_from_array_int(c_t_78, 2);
  int c_d_78[] = {  2,  19,   5}; //   3
  psi_c_d[no_ps][78] = get_vector_from_array_int(c_d_78, 3);

  int c_p_79[] = {  4,  26,  27}; //   3
  psi_c_p[no_ps][79] = get_vector_from_array_int(c_p_79, 3);
  int c_f_79[] = {  7}; //   1
  psi_c_f[no_ps][79] = get_vector_from_array_int(c_f_79, 1);
  int c_t_79[] = {  0,  12}; //   2
  psi_c_t[no_ps][79] = get_vector_from_array_int(c_t_79, 2);
  int c_d_79[] = {  2,  19,   5}; //   3
  psi_c_d[no_ps][79] = get_vector_from_array_int(c_d_79, 3);

  int c_p_80[] = {  0,  14,  15}; //   3
  psi_c_p[no_ps][80] = get_vector_from_array_int(c_p_80, 3);
  int c_f_80[] = { 10}; //   1
  psi_c_f[no_ps][80] = get_vector_from_array_int(c_f_80, 1);
  int c_t_80[] = { 16,  17}; //   2
  psi_c_t[no_ps][80] = get_vector_from_array_int(c_t_80, 2);
  int c_d_80[] = {  5,  13,   2}; //   3
  psi_c_d[no_ps][80] = get_vector_from_array_int(c_d_80, 3);

  int c_p_81[] = {  0,  14,  17}; //   3
  psi_c_p[no_ps][81] = get_vector_from_array_int(c_p_81, 3);
  int c_f_81[] = { 10}; //   1
  psi_c_f[no_ps][81] = get_vector_from_array_int(c_f_81, 1);
  int c_t_81[] = { 16,  17}; //   2
  psi_c_t[no_ps][81] = get_vector_from_array_int(c_t_81, 2);
  int c_d_81[] = {  5,  13,   2}; //   3
  psi_c_d[no_ps][81] = get_vector_from_array_int(c_d_81, 3);

  int c_p_82[] = {  0,  18,  19}; //   3
  psi_c_p[no_ps][82] = get_vector_from_array_int(c_p_82, 3);
  int c_f_82[] = { 11}; //   1
  psi_c_f[no_ps][82] = get_vector_from_array_int(c_f_82, 1);
  int c_t_82[] = { 16,  18}; //   2
  psi_c_t[no_ps][82] = get_vector_from_array_int(c_t_82, 2);
  int c_d_82[] = {  5,  15,   2}; //   3
  psi_c_d[no_ps][82] = get_vector_from_array_int(c_d_82, 3);

  int c_p_83[] = {  0,  18,  21}; //   3
  psi_c_p[no_ps][83] = get_vector_from_array_int(c_p_83, 3);
  int c_f_83[] = { 11}; //   1
  psi_c_f[no_ps][83] = get_vector_from_array_int(c_f_83, 1);
  int c_t_83[] = { 16,  18}; //   2
  psi_c_t[no_ps][83] = get_vector_from_array_int(c_t_83, 2);
  int c_d_83[] = {  5,  15,   2}; //   3
  psi_c_d[no_ps][83] = get_vector_from_array_int(c_d_83, 3);

  int c_p_84[] = { 22,  23,  24}; //   3
  psi_c_p[no_ps][84] = get_vector_from_array_int(c_p_84, 3);
  int c_f_84[] = { 12}; //   1
  psi_c_f[no_ps][84] = get_vector_from_array_int(c_f_84, 1);
  int c_t_84[] = { 19,  20}; //   2
  psi_c_t[no_ps][84] = get_vector_from_array_int(c_t_84, 2);
  int c_d_84[] = {  2,  17,   5}; //   3
  psi_c_d[no_ps][84] = get_vector_from_array_int(c_d_84, 3);

  int c_p_85[] = {  4,  23,  24}; //   3
  psi_c_p[no_ps][85] = get_vector_from_array_int(c_p_85, 3);
  int c_f_85[] = { 12}; //   1
  psi_c_f[no_ps][85] = get_vector_from_array_int(c_f_85, 1);
  int c_t_85[] = { 19,  20}; //   2
  psi_c_t[no_ps][85] = get_vector_from_array_int(c_t_85, 2);
  int c_d_85[] = {  2,  17,   5}; //   3
  psi_c_d[no_ps][85] = get_vector_from_array_int(c_d_85, 3);

  int c_p_86[] = { 22,  26,  27}; //   3
  psi_c_p[no_ps][86] = get_vector_from_array_int(c_p_86, 3);
  int c_f_86[] = { 13}; //   1
  psi_c_f[no_ps][86] = get_vector_from_array_int(c_f_86, 1);
  int c_t_86[] = { 19,  21}; //   2
  psi_c_t[no_ps][86] = get_vector_from_array_int(c_t_86, 2);
  int c_d_86[] = {  2,  19,   5}; //   3
  psi_c_d[no_ps][86] = get_vector_from_array_int(c_d_86, 3);

  int c_p_87[] = {  4,  26,  27}; //   3
  psi_c_p[no_ps][87] = get_vector_from_array_int(c_p_87, 3);
  int c_f_87[] = { 13}; //   1
  psi_c_f[no_ps][87] = get_vector_from_array_int(c_f_87, 1);
  int c_t_87[] = { 19,  21}; //   2
  psi_c_t[no_ps][87] = get_vector_from_array_int(c_t_87, 2);
  int c_d_87[] = {  2,  19,   5}; //   3
  psi_c_d[no_ps][87] = get_vector_from_array_int(c_d_87, 3);

  int c_p_88[] = {  0,  29}; //   2
  psi_c_p[no_ps][88] = get_vector_from_array_int(c_p_88, 2);
  int c_f_88[] = { 14,  15}; //   2
  psi_c_f[no_ps][88] = get_vector_from_array_int(c_f_88, 2);
  int c_t_88[] = { 16,  22,  23}; //   3
  psi_c_t[no_ps][88] = get_vector_from_array_int(c_t_88, 3);
  int c_d_88[] = {  5,   2}; //   2
  psi_c_d[no_ps][88] = get_vector_from_array_int(c_d_88, 2);

  int c_p_89[] = {  0,  30}; //   2
  psi_c_p[no_ps][89] = get_vector_from_array_int(c_p_89, 2);
  int c_f_89[] = { 14,  15}; //   2
  psi_c_f[no_ps][89] = get_vector_from_array_int(c_f_89, 2);
  int c_t_89[] = { 16,  22,  23}; //   3
  psi_c_t[no_ps][89] = get_vector_from_array_int(c_t_89, 3);
  int c_d_89[] = {  5,   2}; //   2
  psi_c_d[no_ps][89] = get_vector_from_array_int(c_d_89, 2);

  int c_p_90[] = {  0,  29}; //   2
  psi_c_p[no_ps][90] = get_vector_from_array_int(c_p_90, 2);
  int c_f_90[] = { 14,  15}; //   2
  psi_c_f[no_ps][90] = get_vector_from_array_int(c_f_90, 2);
  int c_t_90[] = { 16,  22,  24}; //   3
  psi_c_t[no_ps][90] = get_vector_from_array_int(c_t_90, 3);
  int c_d_90[] = {  5,   2}; //   2
  psi_c_d[no_ps][90] = get_vector_from_array_int(c_d_90, 2);

  int c_p_91[] = {  0,  30}; //   2
  psi_c_p[no_ps][91] = get_vector_from_array_int(c_p_91, 2);
  int c_f_91[] = { 14,  15}; //   2
  psi_c_f[no_ps][91] = get_vector_from_array_int(c_f_91, 2);
  int c_t_91[] = { 16,  22,  24}; //   3
  psi_c_t[no_ps][91] = get_vector_from_array_int(c_t_91, 3);
  int c_d_91[] = {  5,   2}; //   2
  psi_c_d[no_ps][91] = get_vector_from_array_int(c_d_91, 2);

  int c_p_92[] = { 22,  31}; //   2
  psi_c_p[no_ps][92] = get_vector_from_array_int(c_p_92, 2);
  int c_f_92[] = { 14,  16}; //   2
  psi_c_f[no_ps][92] = get_vector_from_array_int(c_f_92, 2);
  int c_t_92[] = { 19,  25,  26}; //   3
  psi_c_t[no_ps][92] = get_vector_from_array_int(c_t_92, 3);
  int c_d_92[] = {  2,   5}; //   2
  psi_c_d[no_ps][92] = get_vector_from_array_int(c_d_92, 2);

  int c_p_93[] = {  4,  31}; //   2
  psi_c_p[no_ps][93] = get_vector_from_array_int(c_p_93, 2);
  int c_f_93[] = { 14,  16}; //   2
  psi_c_f[no_ps][93] = get_vector_from_array_int(c_f_93, 2);
  int c_t_93[] = { 19,  25,  26}; //   3
  psi_c_t[no_ps][93] = get_vector_from_array_int(c_t_93, 3);
  int c_d_93[] = {  2,   5}; //   2
  psi_c_d[no_ps][93] = get_vector_from_array_int(c_d_93, 2);

  int c_p_94[] = { 22,  31}; //   2
  psi_c_p[no_ps][94] = get_vector_from_array_int(c_p_94, 2);
  int c_f_94[] = { 14,  16}; //   2
  psi_c_f[no_ps][94] = get_vector_from_array_int(c_f_94, 2);
  int c_t_94[] = { 19,  25,  27}; //   3
  psi_c_t[no_ps][94] = get_vector_from_array_int(c_t_94, 3);
  int c_d_94[] = {  2,   5}; //   2
  psi_c_d[no_ps][94] = get_vector_from_array_int(c_d_94, 2);

  int c_p_95[] = {  4,  31}; //   2
  psi_c_p[no_ps][95] = get_vector_from_array_int(c_p_95, 2);
  int c_f_95[] = { 14,  16}; //   2
  psi_c_f[no_ps][95] = get_vector_from_array_int(c_f_95, 2);
  int c_t_95[] = { 19,  25,  27}; //   3
  psi_c_t[no_ps][95] = get_vector_from_array_int(c_t_95, 3);
  int c_d_95[] = {  2,   5}; //   2
  psi_c_d[no_ps][95] = get_vector_from_array_int(c_d_95, 2);

  int c_p_96[] = {  0,  18,  19,  32}; //   4
  psi_c_p[no_ps][96] = get_vector_from_array_int(c_p_96, 4);
  int c_f_96[] = {}; //   0
  psi_c_f[no_ps][96] = get_vector_from_array_int(c_f_96, 0);
  int c_t_96[] = { 28}; //   1
  psi_c_t[no_ps][96] = get_vector_from_array_int(c_t_96, 1);
  int c_d_96[] = { 17,   5,  15,   2}; //   4
  psi_c_d[no_ps][96] = get_vector_from_array_int(c_d_96, 4);

  int c_p_97[] = {  0,  18,  21,  32}; //   4
  psi_c_p[no_ps][97] = get_vector_from_array_int(c_p_97, 4);
  int c_f_97[] = {}; //   0
  psi_c_f[no_ps][97] = get_vector_from_array_int(c_f_97, 0);
  int c_t_97[] = { 28}; //   1
  psi_c_t[no_ps][97] = get_vector_from_array_int(c_t_97, 1);
  int c_d_97[] = { 17,   5,  15,   2}; //   4
  psi_c_d[no_ps][97] = get_vector_from_array_int(c_d_97, 4);

  int c_p_98[] = {  0,  14,  15,  33}; //   4
  psi_c_p[no_ps][98] = get_vector_from_array_int(c_p_98, 4);
  int c_f_98[] = {}; //   0
  psi_c_f[no_ps][98] = get_vector_from_array_int(c_f_98, 0);
  int c_t_98[] = { 29}; //   1
  psi_c_t[no_ps][98] = get_vector_from_array_int(c_t_98, 1);
  int c_d_98[] = { 19,   5,  13,   2}; //   4
  psi_c_d[no_ps][98] = get_vector_from_array_int(c_d_98, 4);

  int c_p_99[] = {  0,  14,  17,  33}; //   4
  psi_c_p[no_ps][99] = get_vector_from_array_int(c_p_99, 4);
  int c_f_99[] = {}; //   0
  psi_c_f[no_ps][99] = get_vector_from_array_int(c_f_99, 0);
  int c_t_99[] = { 29}; //   1
  psi_c_t[no_ps][99] = get_vector_from_array_int(c_t_99, 1);
  int c_d_99[] = { 19,   5,  13,   2}; //   4
  psi_c_d[no_ps][99] = get_vector_from_array_int(c_d_99, 4);

  int c_p_100[] = { 22,  26,  27,  34}; //   4
  psi_c_p[no_ps][100] = get_vector_from_array_int(c_p_100, 4);
  int c_f_100[] = {}; //   0
  psi_c_f[no_ps][100] = get_vector_from_array_int(c_f_100, 0);
  int c_t_100[] = { 30}; //   1
  psi_c_t[no_ps][100] = get_vector_from_array_int(c_t_100, 1);
  int c_d_100[] = { 13,   2,  19,   5}; //   4
  psi_c_d[no_ps][100] = get_vector_from_array_int(c_d_100, 4);

  int c_p_101[] = {  4,  26,  27,  34}; //   4
  psi_c_p[no_ps][101] = get_vector_from_array_int(c_p_101, 4);
  int c_f_101[] = {}; //   0
  psi_c_f[no_ps][101] = get_vector_from_array_int(c_f_101, 0);
  int c_t_101[] = { 30}; //   1
  psi_c_t[no_ps][101] = get_vector_from_array_int(c_t_101, 1);
  int c_d_101[] = { 13,   2,  19,   5}; //   4
  psi_c_d[no_ps][101] = get_vector_from_array_int(c_d_101, 4);

  int c_p_102[] = { 22,  23,  24,  35}; //   4
  psi_c_p[no_ps][102] = get_vector_from_array_int(c_p_102, 4);
  int c_f_102[] = {}; //   0
  psi_c_f[no_ps][102] = get_vector_from_array_int(c_f_102, 0);
  int c_t_102[] = { 31}; //   1
  psi_c_t[no_ps][102] = get_vector_from_array_int(c_t_102, 1);
  int c_d_102[] = { 15,   2,  17,   5}; //   4
  psi_c_d[no_ps][102] = get_vector_from_array_int(c_d_102, 4);

  int c_p_103[] = {  4,  23,  24,  35}; //   4
  psi_c_p[no_ps][103] = get_vector_from_array_int(c_p_103, 4);
  int c_f_103[] = {}; //   0
  psi_c_f[no_ps][103] = get_vector_from_array_int(c_f_103, 0);
  int c_t_103[] = { 31}; //   1
  psi_c_t[no_ps][103] = get_vector_from_array_int(c_t_103, 1);
  int c_d_103[] = { 15,   2,  17,   5}; //   4
  psi_c_d[no_ps][103] = get_vector_from_array_int(c_d_103, 4);

  int c_p_104[] = {  0,  29,  36}; //   3
  psi_c_p[no_ps][104] = get_vector_from_array_int(c_p_104, 3);
  int c_f_104[] = { 12}; //   1
  psi_c_f[no_ps][104] = get_vector_from_array_int(c_f_104, 1);
  int c_t_104[] = { 32,  33}; //   2
  psi_c_t[no_ps][104] = get_vector_from_array_int(c_t_104, 2);
  int c_d_104[] = { 17,   5,   2}; //   3
  psi_c_d[no_ps][104] = get_vector_from_array_int(c_d_104, 3);

  int c_p_105[] = {  0,  30,  36}; //   3
  psi_c_p[no_ps][105] = get_vector_from_array_int(c_p_105, 3);
  int c_f_105[] = { 12}; //   1
  psi_c_f[no_ps][105] = get_vector_from_array_int(c_f_105, 1);
  int c_t_105[] = { 32,  33}; //   2
  psi_c_t[no_ps][105] = get_vector_from_array_int(c_t_105, 2);
  int c_d_105[] = { 17,   5,   2}; //   3
  psi_c_d[no_ps][105] = get_vector_from_array_int(c_d_105, 3);

  int c_p_106[] = {  0,  29,  37}; //   3
  psi_c_p[no_ps][106] = get_vector_from_array_int(c_p_106, 3);
  int c_f_106[] = { 13}; //   1
  psi_c_f[no_ps][106] = get_vector_from_array_int(c_f_106, 1);
  int c_t_106[] = { 32,  34}; //   2
  psi_c_t[no_ps][106] = get_vector_from_array_int(c_t_106, 2);
  int c_d_106[] = { 19,   5,   2}; //   3
  psi_c_d[no_ps][106] = get_vector_from_array_int(c_d_106, 3);

  int c_p_107[] = {  0,  30,  37}; //   3
  psi_c_p[no_ps][107] = get_vector_from_array_int(c_p_107, 3);
  int c_f_107[] = { 13}; //   1
  psi_c_f[no_ps][107] = get_vector_from_array_int(c_f_107, 1);
  int c_t_107[] = { 32,  34}; //   2
  psi_c_t[no_ps][107] = get_vector_from_array_int(c_t_107, 2);
  int c_d_107[] = { 19,   5,   2}; //   3
  psi_c_d[no_ps][107] = get_vector_from_array_int(c_d_107, 3);

  int c_p_108[] = { 22,  31,  38}; //   3
  psi_c_p[no_ps][108] = get_vector_from_array_int(c_p_108, 3);
  int c_f_108[] = { 10}; //   1
  psi_c_f[no_ps][108] = get_vector_from_array_int(c_f_108, 1);
  int c_t_108[] = { 35,  36}; //   2
  psi_c_t[no_ps][108] = get_vector_from_array_int(c_t_108, 2);
  int c_d_108[] = { 13,   2,   5}; //   3
  psi_c_d[no_ps][108] = get_vector_from_array_int(c_d_108, 3);

  int c_p_109[] = {  4,  31,  38}; //   3
  psi_c_p[no_ps][109] = get_vector_from_array_int(c_p_109, 3);
  int c_f_109[] = { 10}; //   1
  psi_c_f[no_ps][109] = get_vector_from_array_int(c_f_109, 1);
  int c_t_109[] = { 35,  36}; //   2
  psi_c_t[no_ps][109] = get_vector_from_array_int(c_t_109, 2);
  int c_d_109[] = { 13,   2,   5}; //   3
  psi_c_d[no_ps][109] = get_vector_from_array_int(c_d_109, 3);

  int c_p_110[] = { 22,  31,  39}; //   3
  psi_c_p[no_ps][110] = get_vector_from_array_int(c_p_110, 3);
  int c_f_110[] = { 11}; //   1
  psi_c_f[no_ps][110] = get_vector_from_array_int(c_f_110, 1);
  int c_t_110[] = { 35,  37}; //   2
  psi_c_t[no_ps][110] = get_vector_from_array_int(c_t_110, 2);
  int c_d_110[] = { 15,   2,   5}; //   3
  psi_c_d[no_ps][110] = get_vector_from_array_int(c_d_110, 3);

  int c_p_111[] = {  4,  31,  39}; //   3
  psi_c_p[no_ps][111] = get_vector_from_array_int(c_p_111, 3);
  int c_f_111[] = { 11}; //   1
  psi_c_f[no_ps][111] = get_vector_from_array_int(c_f_111, 1);
  int c_t_111[] = { 35,  37}; //   2
  psi_c_t[no_ps][111] = get_vector_from_array_int(c_t_111, 2);
  int c_d_111[] = { 15,   2,   5}; //   3
  psi_c_d[no_ps][111] = get_vector_from_array_int(c_d_111, 3);

  int c_p_112[] = {  0,  29,  36}; //   3
  psi_c_p[no_ps][112] = get_vector_from_array_int(c_p_112, 3);
  int c_f_112[] = {  9}; //   1
  psi_c_f[no_ps][112] = get_vector_from_array_int(c_f_112, 1);
  int c_t_112[] = {  4,  38}; //   2
  psi_c_t[no_ps][112] = get_vector_from_array_int(c_t_112, 2);
  int c_d_112[] = { 17,   5,   2}; //   3
  psi_c_d[no_ps][112] = get_vector_from_array_int(c_d_112, 3);

  int c_p_113[] = {  0,  30,  36}; //   3
  psi_c_p[no_ps][113] = get_vector_from_array_int(c_p_113, 3);
  int c_f_113[] = {  9}; //   1
  psi_c_f[no_ps][113] = get_vector_from_array_int(c_f_113, 1);
  int c_t_113[] = {  4,  38}; //   2
  psi_c_t[no_ps][113] = get_vector_from_array_int(c_t_113, 2);
  int c_d_113[] = { 17,   5,   2}; //   3
  psi_c_d[no_ps][113] = get_vector_from_array_int(c_d_113, 3);

  int c_p_114[] = {  0,  29,  37}; //   3
  psi_c_p[no_ps][114] = get_vector_from_array_int(c_p_114, 3);
  int c_f_114[] = {  7}; //   1
  psi_c_f[no_ps][114] = get_vector_from_array_int(c_f_114, 1);
  int c_t_114[] = {  5,  39}; //   2
  psi_c_t[no_ps][114] = get_vector_from_array_int(c_t_114, 2);
  int c_d_114[] = { 19,   5,   2}; //   3
  psi_c_d[no_ps][114] = get_vector_from_array_int(c_d_114, 3);

  int c_p_115[] = {  0,  30,  37}; //   3
  psi_c_p[no_ps][115] = get_vector_from_array_int(c_p_115, 3);
  int c_f_115[] = {  7}; //   1
  psi_c_f[no_ps][115] = get_vector_from_array_int(c_f_115, 1);
  int c_t_115[] = {  5,  39}; //   2
  psi_c_t[no_ps][115] = get_vector_from_array_int(c_t_115, 2);
  int c_d_115[] = { 19,   5,   2}; //   3
  psi_c_d[no_ps][115] = get_vector_from_array_int(c_d_115, 3);

  int c_p_116[] = { 22,  31,  38}; //   3
  psi_c_p[no_ps][116] = get_vector_from_array_int(c_p_116, 3);
  int c_f_116[] = {  5}; //   1
  psi_c_f[no_ps][116] = get_vector_from_array_int(c_f_116, 1);
  int c_t_116[] = {  4,  40}; //   2
  psi_c_t[no_ps][116] = get_vector_from_array_int(c_t_116, 2);
  int c_d_116[] = { 13,   2,   5}; //   3
  psi_c_d[no_ps][116] = get_vector_from_array_int(c_d_116, 3);

  int c_p_117[] = {  4,  31,  38}; //   3
  psi_c_p[no_ps][117] = get_vector_from_array_int(c_p_117, 3);
  int c_f_117[] = {  5}; //   1
  psi_c_f[no_ps][117] = get_vector_from_array_int(c_f_117, 1);
  int c_t_117[] = {  4,  40}; //   2
  psi_c_t[no_ps][117] = get_vector_from_array_int(c_t_117, 2);
  int c_d_117[] = { 13,   2,   5}; //   3
  psi_c_d[no_ps][117] = get_vector_from_array_int(c_d_117, 3);

  int c_p_118[] = { 22,  31,  39}; //   3
  psi_c_p[no_ps][118] = get_vector_from_array_int(c_p_118, 3);
  int c_f_118[] = {  3}; //   1
  psi_c_f[no_ps][118] = get_vector_from_array_int(c_f_118, 1);
  int c_t_118[] = {  5,  41}; //   2
  psi_c_t[no_ps][118] = get_vector_from_array_int(c_t_118, 2);
  int c_d_118[] = { 15,   2,   5}; //   3
  psi_c_d[no_ps][118] = get_vector_from_array_int(c_d_118, 3);

  int c_p_119[] = {  4,  31,  39}; //   3
  psi_c_p[no_ps][119] = get_vector_from_array_int(c_p_119, 3);
  int c_f_119[] = {  3}; //   1
  psi_c_f[no_ps][119] = get_vector_from_array_int(c_f_119, 1);
  int c_t_119[] = {  5,  41}; //   2
  psi_c_t[no_ps][119] = get_vector_from_array_int(c_t_119, 2);
  int c_d_119[] = { 15,   2,   5}; //   3
  psi_c_d[no_ps][119] = get_vector_from_array_int(c_d_119, 3);

  int c_p_120[] = {  0,  29}; //   2
  psi_c_p[no_ps][120] = get_vector_from_array_int(c_p_120, 2);
  int c_f_120[] = {  8,   9}; //   2
  psi_c_f[no_ps][120] = get_vector_from_array_int(c_f_120, 2);
  int c_t_120[] = {  4,  38,  42}; //   3
  psi_c_t[no_ps][120] = get_vector_from_array_int(c_t_120, 3);
  int c_d_120[] = {  5,   2}; //   2
  psi_c_d[no_ps][120] = get_vector_from_array_int(c_d_120, 2);

  int c_p_121[] = {  0,  30}; //   2
  psi_c_p[no_ps][121] = get_vector_from_array_int(c_p_121, 2);
  int c_f_121[] = {  8,   9}; //   2
  psi_c_f[no_ps][121] = get_vector_from_array_int(c_f_121, 2);
  int c_t_121[] = {  4,  38,  42}; //   3
  psi_c_t[no_ps][121] = get_vector_from_array_int(c_t_121, 3);
  int c_d_121[] = {  5,   2}; //   2
  psi_c_d[no_ps][121] = get_vector_from_array_int(c_d_121, 2);

  int c_p_122[] = {  0,  29}; //   2
  psi_c_p[no_ps][122] = get_vector_from_array_int(c_p_122, 2);
  int c_f_122[] = {  6,   7}; //   2
  psi_c_f[no_ps][122] = get_vector_from_array_int(c_f_122, 2);
  int c_t_122[] = {  5,  39,  43}; //   3
  psi_c_t[no_ps][122] = get_vector_from_array_int(c_t_122, 3);
  int c_d_122[] = {  5,   2}; //   2
  psi_c_d[no_ps][122] = get_vector_from_array_int(c_d_122, 2);

  int c_p_123[] = {  0,  30}; //   2
  psi_c_p[no_ps][123] = get_vector_from_array_int(c_p_123, 2);
  int c_f_123[] = {  6,   7}; //   2
  psi_c_f[no_ps][123] = get_vector_from_array_int(c_f_123, 2);
  int c_t_123[] = {  5,  39,  43}; //   3
  psi_c_t[no_ps][123] = get_vector_from_array_int(c_t_123, 3);
  int c_d_123[] = {  5,   2}; //   2
  psi_c_d[no_ps][123] = get_vector_from_array_int(c_d_123, 2);

  int c_p_124[] = { 22,  31}; //   2
  psi_c_p[no_ps][124] = get_vector_from_array_int(c_p_124, 2);
  int c_f_124[] = {  4,   5}; //   2
  psi_c_f[no_ps][124] = get_vector_from_array_int(c_f_124, 2);
  int c_t_124[] = {  4,  40,  44}; //   3
  psi_c_t[no_ps][124] = get_vector_from_array_int(c_t_124, 3);
  int c_d_124[] = {  2,   5}; //   2
  psi_c_d[no_ps][124] = get_vector_from_array_int(c_d_124, 2);

  int c_p_125[] = {  4,  31}; //   2
  psi_c_p[no_ps][125] = get_vector_from_array_int(c_p_125, 2);
  int c_f_125[] = {  4,   5}; //   2
  psi_c_f[no_ps][125] = get_vector_from_array_int(c_f_125, 2);
  int c_t_125[] = {  4,  40,  44}; //   3
  psi_c_t[no_ps][125] = get_vector_from_array_int(c_t_125, 3);
  int c_d_125[] = {  2,   5}; //   2
  psi_c_d[no_ps][125] = get_vector_from_array_int(c_d_125, 2);

  int c_p_126[] = { 22,  31}; //   2
  psi_c_p[no_ps][126] = get_vector_from_array_int(c_p_126, 2);
  int c_f_126[] = {  2,   3}; //   2
  psi_c_f[no_ps][126] = get_vector_from_array_int(c_f_126, 2);
  int c_t_126[] = {  5,  41,  45}; //   3
  psi_c_t[no_ps][126] = get_vector_from_array_int(c_t_126, 3);
  int c_d_126[] = {  2,   5}; //   2
  psi_c_d[no_ps][126] = get_vector_from_array_int(c_d_126, 2);

  int c_p_127[] = {  4,  31}; //   2
  psi_c_p[no_ps][127] = get_vector_from_array_int(c_p_127, 2);
  int c_f_127[] = {  2,   3}; //   2
  psi_c_f[no_ps][127] = get_vector_from_array_int(c_f_127, 2);
  int c_t_127[] = {  5,  41,  45}; //   3
  psi_c_t[no_ps][127] = get_vector_from_array_int(c_t_127, 3);
  int c_d_127[] = {  2,   5}; //   2
  psi_c_d[no_ps][127] = get_vector_from_array_int(c_d_127, 2);

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
