#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppenexa03/header/ppenexa03.phasespace.h"
void ppenexa03_ag_psp_230_dux_emvexagg(int no_ps, int zero, phasespace_set & psi){
  static Logger logger("ppenexa03_ag_psp_230_dux_emvexagg");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_xbp[no_ps][12] == nullvector){psi_xbp[no_ps][12] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8];}
  if (psi_xbs[no_ps][12] == 0.){psi_xbs[no_ps][12] = psi_xbp[no_ps][12].m2();}
  if (psi_xbsqrts[no_ps][12] == 0.){psi_xbsqrts[no_ps][12] = sqrt(psi_xbs[no_ps][12]);}
  if (psi_xbp[no_ps][17] == nullvector){psi_xbp[no_ps][17] = psi_xbp[no_ps][1] - psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][17] == 0.){psi_xbs[no_ps][17] = psi_xbp[no_ps][17].m2();}
  if (psi_xbp[no_ps][18] == nullvector){psi_xbp[no_ps][18] = psi_xbp[no_ps][2] - psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][18] == 0.){psi_xbs[no_ps][18] = psi_xbp[no_ps][18].m2();}
  if (psi_xbp[no_ps][20] == nullvector){psi_xbp[no_ps][20] = psi_xbp[no_ps][4] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][20] == 0.){psi_xbs[no_ps][20] = psi_xbp[no_ps][20].m2();}
  if (psi_xbsqrts[no_ps][20] == 0.){psi_xbsqrts[no_ps][20] = sqrt(psi_xbs[no_ps][20]);}
  if (psi_xbp[no_ps][33] == nullvector){psi_xbp[no_ps][33] = psi_xbp[no_ps][1] - psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][33] == 0.){psi_xbs[no_ps][33] = psi_xbp[no_ps][33].m2();}
  if (psi_xbp[no_ps][34] == nullvector){psi_xbp[no_ps][34] = psi_xbp[no_ps][2] - psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][34] == 0.){psi_xbs[no_ps][34] = psi_xbp[no_ps][34].m2();}
  if (psi_xbp[no_ps][48] == nullvector){psi_xbp[no_ps][48] = psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][48] == 0.){psi_xbs[no_ps][48] = psi_xbp[no_ps][48].m2();}
  if (psi_xbsqrts[no_ps][48] == 0.){psi_xbsqrts[no_ps][48] = sqrt(psi_xbs[no_ps][48]);}
  if (psi_xbp[no_ps][65] == nullvector){psi_xbp[no_ps][65] = psi_xbp[no_ps][1] - psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][65] == 0.){psi_xbs[no_ps][65] = psi_xbp[no_ps][65].m2();}
  if (psi_xbp[no_ps][66] == nullvector){psi_xbp[no_ps][66] = psi_xbp[no_ps][2] - psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][66] == 0.){psi_xbs[no_ps][66] = psi_xbp[no_ps][66].m2();}
  if (psi_xbp[no_ps][80] == nullvector){psi_xbp[no_ps][80] = psi_xbp[no_ps][16] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][80] == 0.){psi_xbs[no_ps][80] = psi_xbp[no_ps][80].m2();}
  if (psi_xbsqrts[no_ps][80] == 0.){psi_xbsqrts[no_ps][80] = sqrt(psi_xbs[no_ps][80]);}
  if (psi_xbp[no_ps][96] == nullvector){psi_xbp[no_ps][96] = psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][96] == 0.){psi_xbs[no_ps][96] = psi_xbp[no_ps][96].m2();}
  if (psi_xbsqrts[no_ps][96] == 0.){psi_xbsqrts[no_ps][96] = sqrt(psi_xbs[no_ps][96]);}
  if (psi_xbp[no_ps][13] == nullvector){psi_xbp[no_ps][13] = psi_xbp[no_ps][1] - psi_xbp[no_ps][4] - psi_xbp[no_ps][8];}
  if (psi_xbs[no_ps][13] == 0.){psi_xbs[no_ps][13] = psi_xbp[no_ps][13].m2();}
  if (psi_xbp[no_ps][14] == nullvector){psi_xbp[no_ps][14] = psi_xbp[no_ps][2] - psi_xbp[no_ps][4] - psi_xbp[no_ps][8];}
  if (psi_xbs[no_ps][14] == 0.){psi_xbs[no_ps][14] = psi_xbp[no_ps][14].m2();}
  if (psi_xbp[no_ps][28] == nullvector){psi_xbp[no_ps][28] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16];}
  if (psi_xbs[no_ps][28] == 0.){psi_xbs[no_ps][28] = psi_xbp[no_ps][28].m2();}
  if (psi_xbsqrts[no_ps][28] == 0.){psi_xbsqrts[no_ps][28] = sqrt(psi_xbs[no_ps][28]);}
  if (psi_xbp[no_ps][44] == nullvector){psi_xbp[no_ps][44] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][44] == 0.){psi_xbs[no_ps][44] = psi_xbp[no_ps][44].m2();}
  if (psi_xbsqrts[no_ps][44] == 0.){psi_xbsqrts[no_ps][44] = sqrt(psi_xbs[no_ps][44]);}
  if (psi_xbp[no_ps][49] == nullvector){psi_xbp[no_ps][49] = psi_xbp[no_ps][1] - psi_xbp[no_ps][16] - psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][49] == 0.){psi_xbs[no_ps][49] = psi_xbp[no_ps][49].m2();}
  if (psi_xbp[no_ps][50] == nullvector){psi_xbp[no_ps][50] = psi_xbp[no_ps][2] - psi_xbp[no_ps][16] - psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][50] == 0.){psi_xbs[no_ps][50] = psi_xbp[no_ps][50].m2();}
  if (psi_xbp[no_ps][76] == nullvector){psi_xbp[no_ps][76] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][76] == 0.){psi_xbs[no_ps][76] = psi_xbp[no_ps][76].m2();}
  if (psi_xbsqrts[no_ps][76] == 0.){psi_xbsqrts[no_ps][76] = sqrt(psi_xbs[no_ps][76]);}
  if (psi_xbp[no_ps][81] == nullvector){psi_xbp[no_ps][81] = psi_xbp[no_ps][1] - psi_xbp[no_ps][16] - psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][81] == 0.){psi_xbs[no_ps][81] = psi_xbp[no_ps][81].m2();}
  if (psi_xbp[no_ps][82] == nullvector){psi_xbp[no_ps][82] = psi_xbp[no_ps][2] - psi_xbp[no_ps][16] - psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][82] == 0.){psi_xbs[no_ps][82] = psi_xbp[no_ps][82].m2();}
  if (psi_xbp[no_ps][97] == nullvector){psi_xbp[no_ps][97] = psi_xbp[no_ps][1] - psi_xbp[no_ps][32] - psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][97] == 0.){psi_xbs[no_ps][97] = psi_xbp[no_ps][97].m2();}
  if (psi_xbp[no_ps][98] == nullvector){psi_xbp[no_ps][98] = psi_xbp[no_ps][2] - psi_xbp[no_ps][32] - psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][98] == 0.){psi_xbs[no_ps][98] = psi_xbp[no_ps][98].m2();}
  if (psi_xbp[no_ps][112] == nullvector){psi_xbp[no_ps][112] = psi_xbp[no_ps][16] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][112] == 0.){psi_xbs[no_ps][112] = psi_xbp[no_ps][112].m2();}
  if (psi_xbp[no_ps][60] == nullvector){psi_xbp[no_ps][60] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32];}
  if (psi_xbs[no_ps][60] == 0.){psi_xbs[no_ps][60] = psi_xbp[no_ps][60].m2();}
  if (psi_xbp[no_ps][92] == nullvector){psi_xbp[no_ps][92] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][92] == 0.){psi_xbs[no_ps][92] = psi_xbp[no_ps][92].m2();}
  if (psi_xbp[no_ps][108] == nullvector){psi_xbp[no_ps][108] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][108] == 0.){psi_xbs[no_ps][108] = psi_xbp[no_ps][108].m2();}
  if (psi_xbp[no_ps][124] == nullvector){psi_xbp[no_ps][124] = psi_xbp[no_ps][4] + psi_xbp[no_ps][8] + psi_xbp[no_ps][16] + psi_xbp[no_ps][32] + psi_xbp[no_ps][64];}
  if (psi_xbs[no_ps][124] == 0.){psi_xbs[no_ps][124] = psi_xbp[no_ps][124].m2();}

  psi_v_smin[no_ps][  0] = psi_smin_opt[no_ps][12]; // 38 times
  psi_v_smin[no_ps][  1] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][28]); // 13 times
  psi_v_smin[no_ps][  2] = psi_smin_opt[no_ps][20]; // 8 times
  psi_v_smin[no_ps][  3] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][20], 2), psi_smin_opt[no_ps][28]); // 8 times
  psi_v_smin[no_ps][  4] = psi_smin_opt[no_ps][96]; // 14 times
  psi_v_smin[no_ps][  5] = psi_smin_opt[no_ps][48]; // 4 times
  psi_v_smin[no_ps][  6] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][48], 2), psi_smin_opt[no_ps][60]); // 4 times
  psi_v_smin[no_ps][  7] = psi_smin_opt[no_ps][80]; // 4 times
  psi_v_smin[no_ps][  8] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][80], 2), psi_smin_opt[no_ps][92]); // 4 times
  psi_v_smin[no_ps][  9] = GSL_MAX_DBL(pow(psi_xbsqrts[no_ps][12] + psi_xbsqrts[no_ps][96], 2), psi_smin_opt[no_ps][108]); // 8 times
  psi_v_smin[no_ps][ 10] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][28], 2), psi_smin_opt[no_ps][60]); // 8 times
  psi_v_smin[no_ps][ 11] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][28], 2), psi_smin_opt[no_ps][92]); // 8 times
  psi_v_smin[no_ps][ 12] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][44]); // 4 times
  psi_v_smin[no_ps][ 13] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][44], 2), psi_smin_opt[no_ps][60]); // 2 times
  psi_v_smin[no_ps][ 14] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][12], 2), psi_smin_opt[no_ps][76]); // 4 times
  psi_v_smin[no_ps][ 15] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][76], 2), psi_smin_opt[no_ps][92]); // 2 times
  psi_v_smin[no_ps][ 16] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][44], 2), psi_smin_opt[no_ps][108]); // 2 times
  psi_v_smin[no_ps][ 17] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][76], 2), psi_smin_opt[no_ps][108]); // 2 times
  psi_v_smin[no_ps][ 18] = GSL_MAX_DBL(pow(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][96], 2), psi_smin_opt[no_ps][112]); // 1 times

  psi_v_smax[no_ps][  0] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][112], 2); // 34 times
  psi_v_smax[no_ps][  1] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][96], 2); // 18 times
  psi_v_smax[no_ps][  2] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][104], 2); // 7 times
  psi_v_smax[no_ps][  3] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][28], 2); // 5 times
  psi_v_smax[no_ps][  4] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][96], psi_sqrtsmin_opt[no_ps][112]), 2); // 4 times
  psi_v_smax[no_ps][  5] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][16] + psi_xbsqrts[no_ps][12], psi_sqrtsmin_opt[no_ps][28]), 2); // 7 times
  psi_v_smax[no_ps][  6] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][28], 2); // 2 times
  psi_v_smax[no_ps][  7] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][96], 2); // 3 times
  psi_v_smax[no_ps][  8] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][8] + psi_xbsqrts[no_ps][96], psi_sqrtsmin_opt[no_ps][104]), 2); // 1 times
  psi_v_smax[no_ps][  9] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][64] + psi_xbsqrts[no_ps][12], psi_sqrtsmin_opt[no_ps][76]), 2); // 4 times
  psi_v_smax[no_ps][ 10] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][64], 2); // 14 times
  psi_v_smax[no_ps][ 11] = pow(psi_xbsqrts[no_ps][0] - GSL_MAX_DBL(psi_sqrtsmin_opt[no_ps][32] + psi_xbsqrts[no_ps][12], psi_sqrtsmin_opt[no_ps][44]), 2); // 4 times
  psi_v_smax[no_ps][ 12] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][32], 2); // 14 times
  psi_v_smax[no_ps][ 13] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][16], 2); // 12 times
  psi_v_smax[no_ps][ 14] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][80], 2); // 4 times
  psi_v_smax[no_ps][ 15] = pow(psi_xbsqrts[no_ps][0] - psi_sqrtsmin_opt[no_ps][48], 2); // 4 times
  psi_v_smax[no_ps][ 16] = pow(psi_xbsqrts[no_ps][0] - psi_xbsqrts[no_ps][12], 2); // 1 times

  //  vector<double> g_p(11);
  {psi_g_p[no_ps][  0] = psi.g_propagator(no_ps,  24,  12, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0]); /* npp 2 */} // 34 times
  {psi_g_p[no_ps][  1] = psi.g_propagator(no_ps,  24,  28, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1]); /* npp 3 */} // 7 times
  {psi_g_p[no_ps][  2] = psi.g_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2]); /* npp 2 */} // 7 times
  {psi_g_p[no_ps][  3] = psi.g_propagator(no_ps,  24,  28, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  1]); /* npp 3 */} // 7 times
  {psi_g_p[no_ps][  4] = psi.g_propagator(no_ps,   0,  96, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  3]); /* npp 2 */} // 5 times
  {psi_g_p[no_ps][  5] = psi.g_propagator(no_ps,  24,  12, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  4]); /* npp 2 */} // 4 times
  {psi_g_p[no_ps][  6] = psi.g_propagator(no_ps,   0,  96, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  5]); /* npp 2 */} // 3 times
  {psi_g_p[no_ps][  7] = psi.g_propagator(no_ps,   0,  96, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  6]); /* npp 2 */} // 2 times
  {psi_g_p[no_ps][  8] = psi.g_propagator(no_ps,  24,  28, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  7]); /* npp 3 */} // 1 times
  {psi_g_p[no_ps][  9] = psi.g_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  8]); /* npp 2 */} // 1 times
  {psi_g_p[no_ps][ 10] = psi.g_propagator(no_ps,  24,  28, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  7]); /* npp 3 */} // 1 times

  //  vector<double> g_f(17);
  {psi_g_f[no_ps][  0] = psi.g_timelikeinvariant(psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  9]); /* nfp 2 */} // 4 times
  {psi_g_f[no_ps][  1] = psi.g_timelikeinvariant(psi_v_smin[no_ps][  6], psi_v_smax[no_ps][ 10]); /* nfp 4 */} // 4 times
  {psi_g_f[no_ps][  2] = psi.g_timelikeinvariant(psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 11]); /* nfp 2 */} // 4 times
  {psi_g_f[no_ps][  3] = psi.g_timelikeinvariant(psi_v_smin[no_ps][  8], psi_v_smax[no_ps][ 12]); /* nfp 4 */} // 4 times
  {psi_g_f[no_ps][  4] = psi.g_timelikeinvariant(psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  5]); /* nfp 2 */} // 4 times
  {psi_g_f[no_ps][  5] = psi.g_timelikeinvariant(psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 13]); /* nfp 4 */} // 8 times
  {psi_g_f[no_ps][  6] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][ 10]); /* nfp 4 */} // 8 times
  {psi_g_f[no_ps][  7] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 12]); /* nfp 4 */} // 8 times
  {psi_g_f[no_ps][  8] = psi.g_timelikeinvariant(psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1]); /* nfp 3 */} // 4 times
  {psi_g_f[no_ps][  9] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 14]); /* nfp 3 */} // 4 times
  {psi_g_f[no_ps][ 10] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 10]); /* nfp 4 */} // 2 times
  {psi_g_f[no_ps][ 11] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][ 15]); /* nfp 3 */} // 4 times
  {psi_g_f[no_ps][ 12] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 12]); /* nfp 4 */} // 2 times
  {psi_g_f[no_ps][ 13] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 16], psi_v_smax[no_ps][ 13]); /* nfp 4 */} // 2 times
  {psi_g_f[no_ps][ 14] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 13]); /* nfp 4 */} // 2 times
  {psi_g_f[no_ps][ 15] = psi.g_timelikeinvariant(psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][ 16]); /* nfp 3 */} // 1 times
  {psi_g_f[no_ps][ 16] = psi.g_timelikeinvariant(psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  7]); /* nfp 3 */} // 1 times

  //  vector<double> g_t(53);
  {psi_g_t[no_ps][  0] = psi.g_tchannel_opt(no_ps,   0, 124,   2,   1,  64,  60); /* ntp 0 */} // 4 times
  {psi_g_t[no_ps][  1] = psi.g_tchannel_opt(no_ps,   0,  60,   1,  66,  12,  48); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][  2] = psi.g_tchannel(no_ps,   0,  48,  66,  13,  32,  16); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][  3] = psi.g_tchannel_opt(no_ps,   0, 124,   2,   1,  32,  92); /* ntp 0 */} // 4 times
  {psi_g_t[no_ps][  4] = psi.g_tchannel_opt(no_ps,   0,  92,   1,  34,  12,  80); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][  5] = psi.g_tchannel(no_ps,   0,  80,  34,  13,  64,  16); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][  6] = psi.g_tchannel(no_ps,   0,  80,  34,  13,  16,  64); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][  7] = psi.g_tchannel(no_ps,   0,  48,  66,  13,  16,  32); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][  8] = psi.g_tchannel_opt(no_ps,   0, 124,   2,   1,  16, 108); /* ntp 0 */} // 4 times
  {psi_g_t[no_ps][  9] = psi.g_tchannel_opt(no_ps,   0, 108,   1,  18,  12,  96); /* ntp 1 */} // 3 times
  {psi_g_t[no_ps][ 10] = psi.g_tchannel(no_ps,   0,  96,  18,  13,  64,  32); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][ 11] = psi.g_tchannel(no_ps,   0,  96,  18,  13,  32,  64); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][ 12] = psi.g_tchannel_opt(no_ps,   0,  60,  66,   1,  32,  28); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 13] = psi.g_tchannel_opt(no_ps,   0,  92,  34,   1,  64,  28); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 14] = psi.g_tchannel_opt(no_ps,   0, 124,   1,   2,  64,  60); /* ntp 0 */} // 10 times
  {psi_g_t[no_ps][ 15] = psi.g_tchannel_opt(no_ps,   0,  60,   2,  65,  32,  28); /* ntp 1 */} // 4 times
  {psi_g_t[no_ps][ 16] = psi.g_tchannel(no_ps,   0,  28,  34,  65,  16,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 17] = psi.g_tchannel_opt(no_ps,   0,  60,   2,  65,  16,  44); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 18] = psi.g_tchannel(no_ps,   0,  44,  18,  65,  32,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 19] = psi.g_tchannel_opt(no_ps,   0, 124,   1,   2,  32,  92); /* ntp 0 */} // 10 times
  {psi_g_t[no_ps][ 20] = psi.g_tchannel_opt(no_ps,   0,  92,   2,  33,  64,  28); /* ntp 1 */} // 4 times
  {psi_g_t[no_ps][ 21] = psi.g_tchannel(no_ps,   0,  28,  66,  33,  16,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 22] = psi.g_tchannel_opt(no_ps,   0,  92,   2,  33,  16,  76); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 23] = psi.g_tchannel(no_ps,   0,  76,  18,  33,  64,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 24] = psi.g_tchannel_opt(no_ps,   0, 124,   1,   2,  16, 108); /* ntp 0 */} // 8 times
  {psi_g_t[no_ps][ 25] = psi.g_tchannel_opt(no_ps,   0, 108,   2,  17,  64,  44); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 26] = psi.g_tchannel(no_ps,   0,  44,  66,  17,  32,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 27] = psi.g_tchannel_opt(no_ps,   0, 108,   2,  17,  32,  76); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 28] = psi.g_tchannel(no_ps,   0,  76,  34,  17,  64,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 29] = psi.g_tchannel(no_ps,   0,  76,  33,  18,  64,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 30] = psi.g_tchannel(no_ps,   0,  44,  65,  18,  32,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 31] = psi.g_tchannel(no_ps,   0,  76,  17,  34,  64,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 32] = psi.g_tchannel(no_ps,   0,  28,  65,  34,  16,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 33] = psi.g_tchannel(no_ps,   0,  44,  17,  66,  32,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 34] = psi.g_tchannel(no_ps,   0,  28,  33,  66,  16,  12); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 35] = psi.g_tchannel_opt(no_ps,   0,  92,  33,   2,  64,  28); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 36] = psi.g_tchannel_opt(no_ps,   0,  60,  65,   2,  32,  28); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 37] = psi.g_tchannel_opt(no_ps,   0, 108,   2,  17,  12,  96); /* ntp 1 */} // 3 times
  {psi_g_t[no_ps][ 38] = psi.g_tchannel(no_ps,   0,  96,  17,  14,  32,  64); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][ 39] = psi.g_tchannel(no_ps,   0,  96,  17,  14,  64,  32); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][ 40] = psi.g_tchannel_opt(no_ps,   0,  60,   2,  65,  12,  48); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 41] = psi.g_tchannel(no_ps,   0,  48,  65,  14,  16,  32); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][ 42] = psi.g_tchannel_opt(no_ps,   0,  92,   2,  33,  12,  80); /* ntp 1 */} // 2 times
  {psi_g_t[no_ps][ 43] = psi.g_tchannel(no_ps,   0,  80,  33,  14,  16,  64); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][ 44] = psi.g_tchannel(no_ps,   0,  80,  33,  14,  64,  16); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][ 45] = psi.g_tchannel(no_ps,   0,  48,  65,  14,  32,  16); /* ntp 3 */} // 1 times
  {psi_g_t[no_ps][ 46] = psi.g_tchannel_opt(no_ps,   0, 108,   1,  18,  96,  12); /* ntp 1 */} // 1 times
  {psi_g_t[no_ps][ 47] = psi.g_tchannel_opt(no_ps,   0, 124,   1,   2,  96,  28); /* ntp 0 */} // 3 times
  {psi_g_t[no_ps][ 48] = psi.g_tchannel_opt(no_ps,   0, 124,   1,   2,  12, 112); /* ntp 0 */} // 1 times
  {psi_g_t[no_ps][ 49] = psi.g_tchannel_opt(no_ps,   0, 112,   2,  13,  96,  16); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 50] = psi.g_tchannel_opt(no_ps,   0,  28,   2,  97,  12,  16); /* ntp 2 */} // 1 times
  {psi_g_t[no_ps][ 51] = psi.g_tchannel_opt(no_ps,   0, 124,   2,   1,  96,  28); /* ntp 0 */} // 2 times
  {psi_g_t[no_ps][ 52] = psi.g_tchannel_opt(no_ps,   0, 108,   2,  17,  96,  12); /* ntp 1 */} // 1 times

  //  vector<double> g_d(5);
  {psi_g_d[no_ps][  0] = psi.g_decay(no_ps,  12,   4,   8); /* ndp 2 */} // 38 times
  {psi_g_d[no_ps][  1] = psi.g_decay(no_ps,  28,  16,  12); /* ndp 3 */} // 8 times
  {psi_g_d[no_ps][  2] = psi.g_decay(no_ps,  28,   8,  20); /* ndp 3 */} // 8 times
  {psi_g_d[no_ps][  3] = psi.g_decay(no_ps,  20,   4,  16); /* ndp 2 */} // 8 times
  {psi_g_d[no_ps][  4] = psi.g_decay(no_ps,  96,  32,  64); /* ndp 2 */} // 10 times


  if (psi_weight_IS == 2 || psi_weight_IS == 4){
    double g_IS_temp;
    vector<vector<double> > inv_r(4);
    inv_r[0].resize(11);
    inv_r[1].resize(17);
    inv_r[2].resize(106);
    inv_r[3].resize(10);

    {psi.inv_propagator(no_ps,  24,  12, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  0], inv_r[0][0]);} // 34 times
    {psi.inv_propagator(no_ps,  24,  28, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], inv_r[0][1]);} // 7 times
    {psi.inv_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  2], inv_r[0][2]);} // 7 times
    {psi.inv_propagator(no_ps,  24,  28, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  1], inv_r[0][3]);} // 7 times
    {psi.inv_propagator(no_ps,   0,  96, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  3], inv_r[0][4]);} // 5 times
    {psi.inv_propagator(no_ps,  24,  12, psi_v_smin[no_ps][  0], psi_v_smax[no_ps][  4], inv_r[0][5]);} // 4 times
    {psi.inv_propagator(no_ps,   0,  96, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  5], inv_r[0][6]);} // 3 times
    {psi.inv_propagator(no_ps,   0,  96, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  6], inv_r[0][7]);} // 2 times
    {psi.inv_propagator(no_ps,  24,  28, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  7], inv_r[0][8]);} // 1 times
    {psi.inv_propagator(no_ps,   0,  20, psi_v_smin[no_ps][  2], psi_v_smax[no_ps][  8], inv_r[0][9]);} // 1 times
    {psi.inv_propagator(no_ps,  24,  28, psi_v_smin[no_ps][  3], psi_v_smax[no_ps][  7], inv_r[0][10]);} // 1 times

    {psi.inv_timelikeinvariant(no_ps,  48, psi_v_smin[no_ps][  5], psi_v_smax[no_ps][  9], inv_r[1][0]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps,  60, psi_v_smin[no_ps][  6], psi_v_smax[no_ps][ 10], inv_r[1][1]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps,  80, psi_v_smin[no_ps][  7], psi_v_smax[no_ps][ 11], inv_r[1][2]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps,  92, psi_v_smin[no_ps][  8], psi_v_smax[no_ps][ 12], inv_r[1][3]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps,  96, psi_v_smin[no_ps][  4], psi_v_smax[no_ps][  5], inv_r[1][4]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps, 108, psi_v_smin[no_ps][  9], psi_v_smax[no_ps][ 13], inv_r[1][5]);} // 8 times
    {psi.inv_timelikeinvariant(no_ps,  60, psi_v_smin[no_ps][ 10], psi_v_smax[no_ps][ 10], inv_r[1][6]);} // 8 times
    {psi.inv_timelikeinvariant(no_ps,  92, psi_v_smin[no_ps][ 11], psi_v_smax[no_ps][ 12], inv_r[1][7]);} // 8 times
    {psi.inv_timelikeinvariant(no_ps,  28, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  1], inv_r[1][8]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps,  44, psi_v_smin[no_ps][ 12], psi_v_smax[no_ps][ 14], inv_r[1][9]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps,  60, psi_v_smin[no_ps][ 13], psi_v_smax[no_ps][ 10], inv_r[1][10]);} // 2 times
    {psi.inv_timelikeinvariant(no_ps,  76, psi_v_smin[no_ps][ 14], psi_v_smax[no_ps][ 15], inv_r[1][11]);} // 4 times
    {psi.inv_timelikeinvariant(no_ps,  92, psi_v_smin[no_ps][ 15], psi_v_smax[no_ps][ 12], inv_r[1][12]);} // 2 times
    {psi.inv_timelikeinvariant(no_ps, 108, psi_v_smin[no_ps][ 16], psi_v_smax[no_ps][ 13], inv_r[1][13]);} // 2 times
    {psi.inv_timelikeinvariant(no_ps, 108, psi_v_smin[no_ps][ 17], psi_v_smax[no_ps][ 13], inv_r[1][14]);} // 2 times
    {psi.inv_timelikeinvariant(no_ps, 112, psi_v_smin[no_ps][ 18], psi_v_smax[no_ps][ 16], inv_r[1][15]);} // 1 times
    {psi.inv_timelikeinvariant(no_ps,  28, psi_v_smin[no_ps][  1], psi_v_smax[no_ps][  7], inv_r[1][16]);} // 1 times

    {psi.inv_tchannel_opt(no_ps,   0, 124,   2,   1,  64,  60, inv_r[2][0], inv_r[2][1]);} // 4 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   1,  66,  12,  48, inv_r[2][2], inv_r[2][3]);} // 2 times
    {psi.inv_tchannel(no_ps,   0,  48,  66,  13,  32,  16, inv_r[2][4], inv_r[2][5]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   2,   1,  32,  92, inv_r[2][6], inv_r[2][7]);} // 4 times
    {psi.inv_tchannel_opt(no_ps,   0,  92,   1,  34,  12,  80, inv_r[2][8], inv_r[2][9]);} // 2 times
    {psi.inv_tchannel(no_ps,   0,  80,  34,  13,  64,  16, inv_r[2][10], inv_r[2][11]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  80,  34,  13,  16,  64, inv_r[2][12], inv_r[2][13]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  48,  66,  13,  16,  32, inv_r[2][14], inv_r[2][15]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   2,   1,  16, 108, inv_r[2][16], inv_r[2][17]);} // 4 times
    {psi.inv_tchannel_opt(no_ps,   0, 108,   1,  18,  12,  96, inv_r[2][18], inv_r[2][19]);} // 3 times
    {psi.inv_tchannel(no_ps,   0,  96,  18,  13,  64,  32, inv_r[2][20], inv_r[2][21]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  96,  18,  13,  32,  64, inv_r[2][22], inv_r[2][23]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,  66,   1,  32,  28, inv_r[2][24], inv_r[2][25]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0,  92,  34,   1,  64,  28, inv_r[2][26], inv_r[2][27]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   1,   2,  64,  60, inv_r[2][28], inv_r[2][29]);} // 10 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   2,  65,  32,  28, inv_r[2][30], inv_r[2][31]);} // 4 times
    {psi.inv_tchannel(no_ps,   0,  28,  34,  65,  16,  12, inv_r[2][32], inv_r[2][33]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   2,  65,  16,  44, inv_r[2][34], inv_r[2][35]);} // 2 times
    {psi.inv_tchannel(no_ps,   0,  44,  18,  65,  32,  12, inv_r[2][36], inv_r[2][37]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   1,   2,  32,  92, inv_r[2][38], inv_r[2][39]);} // 10 times
    {psi.inv_tchannel_opt(no_ps,   0,  92,   2,  33,  64,  28, inv_r[2][40], inv_r[2][41]);} // 4 times
    {psi.inv_tchannel(no_ps,   0,  28,  66,  33,  16,  12, inv_r[2][42], inv_r[2][43]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0,  92,   2,  33,  16,  76, inv_r[2][44], inv_r[2][45]);} // 2 times
    {psi.inv_tchannel(no_ps,   0,  76,  18,  33,  64,  12, inv_r[2][46], inv_r[2][47]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   1,   2,  16, 108, inv_r[2][48], inv_r[2][49]);} // 8 times
    {psi.inv_tchannel_opt(no_ps,   0, 108,   2,  17,  64,  44, inv_r[2][50], inv_r[2][51]);} // 2 times
    {psi.inv_tchannel(no_ps,   0,  44,  66,  17,  32,  12, inv_r[2][52], inv_r[2][53]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 108,   2,  17,  32,  76, inv_r[2][54], inv_r[2][55]);} // 2 times
    {psi.inv_tchannel(no_ps,   0,  76,  34,  17,  64,  12, inv_r[2][56], inv_r[2][57]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  76,  33,  18,  64,  12, inv_r[2][58], inv_r[2][59]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  44,  65,  18,  32,  12, inv_r[2][60], inv_r[2][61]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  76,  17,  34,  64,  12, inv_r[2][62], inv_r[2][63]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  28,  65,  34,  16,  12, inv_r[2][64], inv_r[2][65]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  44,  17,  66,  32,  12, inv_r[2][66], inv_r[2][67]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  28,  33,  66,  16,  12, inv_r[2][68], inv_r[2][69]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0,  92,  33,   2,  64,  28, inv_r[2][70], inv_r[2][71]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,  65,   2,  32,  28, inv_r[2][72], inv_r[2][73]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0, 108,   2,  17,  12,  96, inv_r[2][74], inv_r[2][75]);} // 3 times
    {psi.inv_tchannel(no_ps,   0,  96,  17,  14,  32,  64, inv_r[2][76], inv_r[2][77]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  96,  17,  14,  64,  32, inv_r[2][78], inv_r[2][79]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0,  60,   2,  65,  12,  48, inv_r[2][80], inv_r[2][81]);} // 2 times
    {psi.inv_tchannel(no_ps,   0,  48,  65,  14,  16,  32, inv_r[2][82], inv_r[2][83]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0,  92,   2,  33,  12,  80, inv_r[2][84], inv_r[2][85]);} // 2 times
    {psi.inv_tchannel(no_ps,   0,  80,  33,  14,  16,  64, inv_r[2][86], inv_r[2][87]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  80,  33,  14,  64,  16, inv_r[2][88], inv_r[2][89]);} // 1 times
    {psi.inv_tchannel(no_ps,   0,  48,  65,  14,  32,  16, inv_r[2][90], inv_r[2][91]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 108,   1,  18,  96,  12, inv_r[2][92], inv_r[2][93]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   1,   2,  96,  28, inv_r[2][94], inv_r[2][95]);} // 3 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   1,   2,  12, 112, inv_r[2][96], inv_r[2][97]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 112,   2,  13,  96,  16, inv_r[2][98], inv_r[2][99]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0,  28,   2,  97,  12,  16, inv_r[2][100], inv_r[2][101]);} // 1 times
    {psi.inv_tchannel_opt(no_ps,   0, 124,   2,   1,  96,  28, inv_r[2][102], inv_r[2][103]);} // 2 times
    {psi.inv_tchannel_opt(no_ps,   0, 108,   2,  17,  96,  12, inv_r[2][104], inv_r[2][105]);} // 1 times

    {psi.inv_decay(no_ps,  12,   4,   8, inv_r[3][0], inv_r[3][1]);} // 38 times
    {psi.inv_decay(no_ps,  28,  16,  12, inv_r[3][2], inv_r[3][3]);} // 8 times
    {psi.inv_decay(no_ps,  28,   8,  20, inv_r[3][4], inv_r[3][5]);} // 8 times
    {psi.inv_decay(no_ps,  20,   4,  16, inv_r[3][6], inv_r[3][7]);} // 8 times
    {psi.inv_decay(no_ps,  96,  32,  64, inv_r[3][8], inv_r[3][9]);} // 10 times

    if (psi_weight_IS == 2){
      int n_random = 3 * psi_n_particle - 4;;
      vector<vector<double> > inv_channel_r(46, vector<double> (11));
      vector<double> g_IS(46, 1.);
      for (int i_c = 0; i_c < 46; i_c++){
        int ran = 0;
        if (psi_MC_alpha[zero + i_c] != 0.){
          for (int i_p = 0; i_p < psi_c_p[no_ps][i_c].size(); i_p++){
            inv_channel_r[i_c][i_p] = inv_r[0][psi_c_p[no_ps][i_c][i_p]];
          }
          ran += psi_c_p[no_ps][i_c].size();
          for (int i_f = 0; i_f < psi_c_f[no_ps][i_c].size(); i_f++){
            inv_channel_r[i_c][ran + i_f] = inv_r[1][psi_c_f[no_ps][i_c][i_f]];
          }
          ran += psi_c_f[no_ps][i_c].size();
          for (int i_t = 0; i_t < psi_c_t[no_ps][i_c].size(); i_t++){
            inv_channel_r[i_c][ran + 2 * i_t] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t]];
            inv_channel_r[i_c][ran + 2 * i_t + 1] = inv_r[2][2 * psi_c_t[no_ps][i_c][i_t] + 1];
          }
          ran += 2 * psi_c_t[no_ps][i_c].size();
          for (int i_d = 0; i_d < psi_c_d[no_ps][i_c].size(); i_d++){
            inv_channel_r[i_c][ran + 2 * i_d] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d]];
            inv_channel_r[i_c][ran + 2 * i_d + 1] = inv_r[3][2 * psi_c_d[no_ps][i_c][i_d] + 1];
          }
          ran += 2 * psi_c_d[no_ps][i_c].size();
          for (int i_r = 0; i_r < 11; i_r++){
            psi_phasespace_randoms[(zero + i_c) * n_random + i_r]->get_g_IS(inv_channel_r[i_c][i_r], g_IS_temp);
            g_IS[i_c] *= g_IS_temp;
          }
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = g_IS[  0] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  0] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = g_IS[  1] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  2] * psi_g_f[no_ps][  3] * psi_g_t[no_ps][  3] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  5] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = g_IS[  2] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  2] * psi_g_f[no_ps][  3] * psi_g_t[no_ps][  3] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  6] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = g_IS[  3] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  0] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  7] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = g_IS[  4] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  4] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][  8] * psi_g_t[no_ps][  9] * psi_g_t[no_ps][ 10] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = g_IS[  5] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  4] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][  8] * psi_g_t[no_ps][  9] * psi_g_t[no_ps][ 11] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = g_IS[  6] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][ 12] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = g_IS[  7] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][  3] * psi_g_t[no_ps][ 13] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = g_IS[  8] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][ 12] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = g_IS[  9] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][  3] * psi_g_t[no_ps][ 13] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = g_IS[ 10] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  8] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 15] * psi_g_t[no_ps][ 16] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = g_IS[ 11] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  9] * psi_g_f[no_ps][ 10] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 17] * psi_g_t[no_ps][ 18] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = g_IS[ 12] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  8] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 20] * psi_g_t[no_ps][ 21] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = g_IS[ 13] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][ 11] * psi_g_f[no_ps][ 12] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 22] * psi_g_t[no_ps][ 23] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = g_IS[ 14] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  9] * psi_g_f[no_ps][ 13] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 25] * psi_g_t[no_ps][ 26] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = g_IS[ 15] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][ 11] * psi_g_f[no_ps][ 14] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 27] * psi_g_t[no_ps][ 28] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = g_IS[ 16] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 15] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = g_IS[ 17] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 20] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = g_IS[ 18] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 15] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = g_IS[ 19] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 20] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = g_IS[ 20] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][ 11] * psi_g_f[no_ps][ 12] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 22] * psi_g_t[no_ps][ 29] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = g_IS[ 21] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  9] * psi_g_f[no_ps][ 10] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 17] * psi_g_t[no_ps][ 30] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = g_IS[ 22] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][ 11] * psi_g_f[no_ps][ 14] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 27] * psi_g_t[no_ps][ 31] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = g_IS[ 23] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  8] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 15] * psi_g_t[no_ps][ 32] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = g_IS[ 24] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  9] * psi_g_f[no_ps][ 13] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 25] * psi_g_t[no_ps][ 33] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = g_IS[ 25] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  8] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 20] * psi_g_t[no_ps][ 34] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = g_IS[ 26] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 35] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = g_IS[ 27] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 36] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = g_IS[ 28] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 35] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = g_IS[ 29] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 36] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = g_IS[ 30] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  4] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 37] * psi_g_t[no_ps][ 38] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = g_IS[ 31] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  4] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 37] * psi_g_t[no_ps][ 39] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  32] != 0.){psi_MC_g_channel[zero +  32] = g_IS[ 32] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  0] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 40] * psi_g_t[no_ps][ 41] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  33] != 0.){psi_MC_g_channel[zero +  33] = g_IS[ 33] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  2] * psi_g_f[no_ps][  3] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 42] * psi_g_t[no_ps][ 43] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  34] != 0.){psi_MC_g_channel[zero +  34] = g_IS[ 34] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  2] * psi_g_f[no_ps][  3] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 42] * psi_g_t[no_ps][ 44] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  35] != 0.){psi_MC_g_channel[zero +  35] = g_IS[ 35] * psi_g_p[no_ps][  0] * psi_g_f[no_ps][  0] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 40] * psi_g_t[no_ps][ 45] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  36] != 0.){psi_MC_g_channel[zero +  36] = g_IS[ 36] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][  8] * psi_g_t[no_ps][  9] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  37] != 0.){psi_MC_g_channel[zero +  37] = g_IS[ 37] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][  8] * psi_g_t[no_ps][ 46] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  38] != 0.){psi_MC_g_channel[zero +  38] = g_IS[ 38] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][ 47] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  39] != 0.){psi_MC_g_channel[zero +  39] = g_IS[ 39] * psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][ 47] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
      if (psi_MC_alpha[zero +  40] != 0.){psi_MC_g_channel[zero +  40] = g_IS[ 40] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_f[no_ps][ 15] * psi_g_t[no_ps][ 48] * psi_g_t[no_ps][ 49] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  41] != 0.){psi_MC_g_channel[zero +  41] = g_IS[ 41] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_f[no_ps][ 16] * psi_g_t[no_ps][ 47] * psi_g_t[no_ps][ 50] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  0];}
      if (psi_MC_alpha[zero +  42] != 0.){psi_MC_g_channel[zero +  42] = g_IS[ 42] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  8] * psi_g_t[no_ps][ 51] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  43] != 0.){psi_MC_g_channel[zero +  43] = g_IS[ 43] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_t[no_ps][ 51] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  44] != 0.){psi_MC_g_channel[zero +  44] = g_IS[ 44] * psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 52] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4];}
      if (psi_MC_alpha[zero +  45] != 0.){psi_MC_g_channel[zero +  45] = g_IS[ 45] * psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 37] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  0];}

    }
    else if (psi_weight_IS == 4){
      vector<vector<double> > g_IS(4);
      g_IS[0].resize(11, 1.);
      g_IS[1].resize(17, 1.);
      g_IS[2].resize(53, 1.);
      g_IS[3].resize(5, 1.);

      for (int i_m = 0; i_m < 4; i_m++){
        for (int i_r = 0; i_r < inv_r[i_m].size(); i_r++){
          psi_phasespace_randoms[psi_container_IS_startvalue[no_ps][i_m] + i_r]->get_g_IS(inv_r[i_m][i_r], g_IS_temp);
          int i_g = i_r;
          if (i_m > 1){i_g = i_r / 2;}
          g_IS[i_m][i_g] *= g_IS_temp;
        }
      }
      if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_f[no_ps][  1] * g_IS[1][  1] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_t[no_ps][  2] * g_IS[2][  2] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  2] * g_IS[1][  2] * psi_g_f[no_ps][  3] * g_IS[1][  3] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_t[no_ps][  5] * g_IS[2][  5] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  2] * g_IS[1][  2] * psi_g_f[no_ps][  3] * g_IS[1][  3] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_t[no_ps][  4] * g_IS[2][  4] * psi_g_t[no_ps][  6] * g_IS[2][  6] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_f[no_ps][  1] * g_IS[1][  1] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][  1] * g_IS[2][  1] * psi_g_t[no_ps][  7] * g_IS[2][  7] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  4] * g_IS[1][  4] * psi_g_f[no_ps][  5] * g_IS[1][  5] * psi_g_t[no_ps][  8] * g_IS[2][  8] * psi_g_t[no_ps][  9] * g_IS[2][  9] * psi_g_t[no_ps][ 10] * g_IS[2][ 10] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  4] * g_IS[1][  4] * psi_g_f[no_ps][  5] * g_IS[1][  5] * psi_g_t[no_ps][  8] * g_IS[2][  8] * psi_g_t[no_ps][  9] * g_IS[2][  9] * psi_g_t[no_ps][ 11] * g_IS[2][ 11] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_f[no_ps][  6] * g_IS[1][  6] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][ 12] * g_IS[2][ 12] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_f[no_ps][  7] * g_IS[1][  7] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_t[no_ps][ 13] * g_IS[2][ 13] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_f[no_ps][  6] * g_IS[1][  6] * psi_g_t[no_ps][  0] * g_IS[2][  0] * psi_g_t[no_ps][ 12] * g_IS[2][ 12] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_f[no_ps][  7] * g_IS[1][  7] * psi_g_t[no_ps][  3] * g_IS[2][  3] * psi_g_t[no_ps][ 13] * g_IS[2][ 13] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  8] * g_IS[1][  8] * psi_g_f[no_ps][  6] * g_IS[1][  6] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 15] * g_IS[2][ 15] * psi_g_t[no_ps][ 16] * g_IS[2][ 16] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  9] * g_IS[1][  9] * psi_g_f[no_ps][ 10] * g_IS[1][ 10] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 17] * g_IS[2][ 17] * psi_g_t[no_ps][ 18] * g_IS[2][ 18] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  8] * g_IS[1][  8] * psi_g_f[no_ps][  7] * g_IS[1][  7] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 20] * g_IS[2][ 20] * psi_g_t[no_ps][ 21] * g_IS[2][ 21] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][ 11] * g_IS[1][ 11] * psi_g_f[no_ps][ 12] * g_IS[1][ 12] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 22] * g_IS[2][ 22] * psi_g_t[no_ps][ 23] * g_IS[2][ 23] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  9] * g_IS[1][  9] * psi_g_f[no_ps][ 13] * g_IS[1][ 13] * psi_g_t[no_ps][ 24] * g_IS[2][ 24] * psi_g_t[no_ps][ 25] * g_IS[2][ 25] * psi_g_t[no_ps][ 26] * g_IS[2][ 26] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][ 11] * g_IS[1][ 11] * psi_g_f[no_ps][ 14] * g_IS[1][ 14] * psi_g_t[no_ps][ 24] * g_IS[2][ 24] * psi_g_t[no_ps][ 27] * g_IS[2][ 27] * psi_g_t[no_ps][ 28] * g_IS[2][ 28] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_f[no_ps][  6] * g_IS[1][  6] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 15] * g_IS[2][ 15] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_f[no_ps][  7] * g_IS[1][  7] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 20] * g_IS[2][ 20] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_f[no_ps][  6] * g_IS[1][  6] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 15] * g_IS[2][ 15] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_f[no_ps][  7] * g_IS[1][  7] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 20] * g_IS[2][ 20] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][ 11] * g_IS[1][ 11] * psi_g_f[no_ps][ 12] * g_IS[1][ 12] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 22] * g_IS[2][ 22] * psi_g_t[no_ps][ 29] * g_IS[2][ 29] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  9] * g_IS[1][  9] * psi_g_f[no_ps][ 10] * g_IS[1][ 10] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 17] * g_IS[2][ 17] * psi_g_t[no_ps][ 30] * g_IS[2][ 30] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][ 11] * g_IS[1][ 11] * psi_g_f[no_ps][ 14] * g_IS[1][ 14] * psi_g_t[no_ps][ 24] * g_IS[2][ 24] * psi_g_t[no_ps][ 27] * g_IS[2][ 27] * psi_g_t[no_ps][ 31] * g_IS[2][ 31] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  8] * g_IS[1][  8] * psi_g_f[no_ps][  6] * g_IS[1][  6] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 15] * g_IS[2][ 15] * psi_g_t[no_ps][ 32] * g_IS[2][ 32] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  9] * g_IS[1][  9] * psi_g_f[no_ps][ 13] * g_IS[1][ 13] * psi_g_t[no_ps][ 24] * g_IS[2][ 24] * psi_g_t[no_ps][ 25] * g_IS[2][ 25] * psi_g_t[no_ps][ 33] * g_IS[2][ 33] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  8] * g_IS[1][  8] * psi_g_f[no_ps][  7] * g_IS[1][  7] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 20] * g_IS[2][ 20] * psi_g_t[no_ps][ 34] * g_IS[2][ 34] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_f[no_ps][  7] * g_IS[1][  7] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 35] * g_IS[2][ 35] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_f[no_ps][  6] * g_IS[1][  6] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 36] * g_IS[2][ 36] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_f[no_ps][  7] * g_IS[1][  7] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 35] * g_IS[2][ 35] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_f[no_ps][  6] * g_IS[1][  6] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 36] * g_IS[2][ 36] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  4] * g_IS[1][  4] * psi_g_f[no_ps][  5] * g_IS[1][  5] * psi_g_t[no_ps][ 24] * g_IS[2][ 24] * psi_g_t[no_ps][ 37] * g_IS[2][ 37] * psi_g_t[no_ps][ 38] * g_IS[2][ 38] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  4] * g_IS[1][  4] * psi_g_f[no_ps][  5] * g_IS[1][  5] * psi_g_t[no_ps][ 24] * g_IS[2][ 24] * psi_g_t[no_ps][ 37] * g_IS[2][ 37] * psi_g_t[no_ps][ 39] * g_IS[2][ 39] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  32] != 0.){psi_MC_g_channel[zero +  32] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_f[no_ps][  1] * g_IS[1][  1] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 40] * g_IS[2][ 40] * psi_g_t[no_ps][ 41] * g_IS[2][ 41] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  33] != 0.){psi_MC_g_channel[zero +  33] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  2] * g_IS[1][  2] * psi_g_f[no_ps][  3] * g_IS[1][  3] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 42] * g_IS[2][ 42] * psi_g_t[no_ps][ 43] * g_IS[2][ 43] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  34] != 0.){psi_MC_g_channel[zero +  34] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  2] * g_IS[1][  2] * psi_g_f[no_ps][  3] * g_IS[1][  3] * psi_g_t[no_ps][ 19] * g_IS[2][ 19] * psi_g_t[no_ps][ 42] * g_IS[2][ 42] * psi_g_t[no_ps][ 44] * g_IS[2][ 44] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  35] != 0.){psi_MC_g_channel[zero +  35] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_f[no_ps][  0] * g_IS[1][  0] * psi_g_f[no_ps][  1] * g_IS[1][  1] * psi_g_t[no_ps][ 14] * g_IS[2][ 14] * psi_g_t[no_ps][ 40] * g_IS[2][ 40] * psi_g_t[no_ps][ 45] * g_IS[2][ 45] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  36] != 0.){psi_MC_g_channel[zero +  36] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_f[no_ps][  5] * g_IS[1][  5] * psi_g_t[no_ps][  8] * g_IS[2][  8] * psi_g_t[no_ps][  9] * g_IS[2][  9] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  37] != 0.){psi_MC_g_channel[zero +  37] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_f[no_ps][  5] * g_IS[1][  5] * psi_g_t[no_ps][  8] * g_IS[2][  8] * psi_g_t[no_ps][ 46] * g_IS[2][ 46] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  38] != 0.){psi_MC_g_channel[zero +  38] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  1] * g_IS[0][  1] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_t[no_ps][ 47] * g_IS[2][ 47] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  39] != 0.){psi_MC_g_channel[zero +  39] = psi_g_p[no_ps][  2] * g_IS[0][  2] * psi_g_p[no_ps][  3] * g_IS[0][  3] * psi_g_p[no_ps][  7] * g_IS[0][  7] * psi_g_t[no_ps][ 47] * g_IS[2][ 47] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3];}
      if (psi_MC_alpha[zero +  40] != 0.){psi_MC_g_channel[zero +  40] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_f[no_ps][ 15] * g_IS[1][ 15] * psi_g_t[no_ps][ 48] * g_IS[2][ 48] * psi_g_t[no_ps][ 49] * g_IS[2][ 49] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  41] != 0.){psi_MC_g_channel[zero +  41] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_f[no_ps][ 16] * g_IS[1][ 16] * psi_g_t[no_ps][ 47] * g_IS[2][ 47] * psi_g_t[no_ps][ 50] * g_IS[2][ 50] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
      if (psi_MC_alpha[zero +  42] != 0.){psi_MC_g_channel[zero +  42] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_p[no_ps][  8] * g_IS[0][  8] * psi_g_t[no_ps][ 51] * g_IS[2][ 51] * psi_g_d[no_ps][  1] * g_IS[3][  1] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  43] != 0.){psi_MC_g_channel[zero +  43] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  9] * g_IS[0][  9] * psi_g_p[no_ps][ 10] * g_IS[0][ 10] * psi_g_t[no_ps][ 51] * g_IS[2][ 51] * psi_g_d[no_ps][  2] * g_IS[3][  2] * psi_g_d[no_ps][  3] * g_IS[3][  3] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  44] != 0.){psi_MC_g_channel[zero +  44] = psi_g_p[no_ps][  4] * g_IS[0][  4] * psi_g_p[no_ps][  5] * g_IS[0][  5] * psi_g_f[no_ps][  5] * g_IS[1][  5] * psi_g_t[no_ps][ 24] * g_IS[2][ 24] * psi_g_t[no_ps][ 52] * g_IS[2][ 52] * psi_g_d[no_ps][  0] * g_IS[3][  0] * psi_g_d[no_ps][  4] * g_IS[3][  4];}
      if (psi_MC_alpha[zero +  45] != 0.){psi_MC_g_channel[zero +  45] = psi_g_p[no_ps][  0] * g_IS[0][  0] * psi_g_p[no_ps][  6] * g_IS[0][  6] * psi_g_f[no_ps][  5] * g_IS[1][  5] * psi_g_t[no_ps][ 24] * g_IS[2][ 24] * psi_g_t[no_ps][ 37] * g_IS[2][ 37] * psi_g_d[no_ps][  4] * g_IS[3][  4] * psi_g_d[no_ps][  0] * g_IS[3][  0];}
    }
  }

  else {
    if (psi_MC_alpha[zero +   0] != 0.){psi_MC_g_channel[zero +   0] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  0] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  2] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +   1] != 0.){psi_MC_g_channel[zero +   1] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  2] * psi_g_f[no_ps][  3] * psi_g_t[no_ps][  3] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  5] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +   2] != 0.){psi_MC_g_channel[zero +   2] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  2] * psi_g_f[no_ps][  3] * psi_g_t[no_ps][  3] * psi_g_t[no_ps][  4] * psi_g_t[no_ps][  6] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +   3] != 0.){psi_MC_g_channel[zero +   3] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  0] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][  1] * psi_g_t[no_ps][  7] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +   4] != 0.){psi_MC_g_channel[zero +   4] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  4] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][  8] * psi_g_t[no_ps][  9] * psi_g_t[no_ps][ 10] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +   5] != 0.){psi_MC_g_channel[zero +   5] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  4] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][  8] * psi_g_t[no_ps][  9] * psi_g_t[no_ps][ 11] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +   6] != 0.){psi_MC_g_channel[zero +   6] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][ 12] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +   7] != 0.){psi_MC_g_channel[zero +   7] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][  3] * psi_g_t[no_ps][ 13] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +   8] != 0.){psi_MC_g_channel[zero +   8] = psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][  0] * psi_g_t[no_ps][ 12] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +   9] != 0.){psi_MC_g_channel[zero +   9] = psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][  3] * psi_g_t[no_ps][ 13] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  10] != 0.){psi_MC_g_channel[zero +  10] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  8] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 15] * psi_g_t[no_ps][ 16] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  11] != 0.){psi_MC_g_channel[zero +  11] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  9] * psi_g_f[no_ps][ 10] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 17] * psi_g_t[no_ps][ 18] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  12] != 0.){psi_MC_g_channel[zero +  12] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  8] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 20] * psi_g_t[no_ps][ 21] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  13] != 0.){psi_MC_g_channel[zero +  13] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][ 11] * psi_g_f[no_ps][ 12] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 22] * psi_g_t[no_ps][ 23] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  14] != 0.){psi_MC_g_channel[zero +  14] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  9] * psi_g_f[no_ps][ 13] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 25] * psi_g_t[no_ps][ 26] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  15] != 0.){psi_MC_g_channel[zero +  15] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][ 11] * psi_g_f[no_ps][ 14] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 27] * psi_g_t[no_ps][ 28] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  16] != 0.){psi_MC_g_channel[zero +  16] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 15] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  17] != 0.){psi_MC_g_channel[zero +  17] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 20] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  18] != 0.){psi_MC_g_channel[zero +  18] = psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 15] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  19] != 0.){psi_MC_g_channel[zero +  19] = psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 20] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  20] != 0.){psi_MC_g_channel[zero +  20] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][ 11] * psi_g_f[no_ps][ 12] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 22] * psi_g_t[no_ps][ 29] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  21] != 0.){psi_MC_g_channel[zero +  21] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  9] * psi_g_f[no_ps][ 10] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 17] * psi_g_t[no_ps][ 30] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  22] != 0.){psi_MC_g_channel[zero +  22] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][ 11] * psi_g_f[no_ps][ 14] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 27] * psi_g_t[no_ps][ 31] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  23] != 0.){psi_MC_g_channel[zero +  23] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  8] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 15] * psi_g_t[no_ps][ 32] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  24] != 0.){psi_MC_g_channel[zero +  24] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  9] * psi_g_f[no_ps][ 13] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 25] * psi_g_t[no_ps][ 33] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  25] != 0.){psi_MC_g_channel[zero +  25] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  8] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 20] * psi_g_t[no_ps][ 34] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  26] != 0.){psi_MC_g_channel[zero +  26] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 35] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  27] != 0.){psi_MC_g_channel[zero +  27] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 36] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  28] != 0.){psi_MC_g_channel[zero +  28] = psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  7] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 35] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  29] != 0.){psi_MC_g_channel[zero +  29] = psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_f[no_ps][  6] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 36] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  30] != 0.){psi_MC_g_channel[zero +  30] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  4] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 37] * psi_g_t[no_ps][ 38] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  31] != 0.){psi_MC_g_channel[zero +  31] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  4] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 37] * psi_g_t[no_ps][ 39] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  32] != 0.){psi_MC_g_channel[zero +  32] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  0] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 40] * psi_g_t[no_ps][ 41] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  33] != 0.){psi_MC_g_channel[zero +  33] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  2] * psi_g_f[no_ps][  3] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 42] * psi_g_t[no_ps][ 43] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  34] != 0.){psi_MC_g_channel[zero +  34] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  2] * psi_g_f[no_ps][  3] * psi_g_t[no_ps][ 19] * psi_g_t[no_ps][ 42] * psi_g_t[no_ps][ 44] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  35] != 0.){psi_MC_g_channel[zero +  35] = psi_g_p[no_ps][  0] * psi_g_f[no_ps][  0] * psi_g_f[no_ps][  1] * psi_g_t[no_ps][ 14] * psi_g_t[no_ps][ 40] * psi_g_t[no_ps][ 45] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  36] != 0.){psi_MC_g_channel[zero +  36] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][  8] * psi_g_t[no_ps][  9] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  37] != 0.){psi_MC_g_channel[zero +  37] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][  8] * psi_g_t[no_ps][ 46] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  38] != 0.){psi_MC_g_channel[zero +  38] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  1] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][ 47] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  39] != 0.){psi_MC_g_channel[zero +  39] = psi_g_p[no_ps][  2] * psi_g_p[no_ps][  3] * psi_g_p[no_ps][  7] * psi_g_t[no_ps][ 47] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3];}
    if (psi_MC_alpha[zero +  40] != 0.){psi_MC_g_channel[zero +  40] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_f[no_ps][ 15] * psi_g_t[no_ps][ 48] * psi_g_t[no_ps][ 49] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  41] != 0.){psi_MC_g_channel[zero +  41] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_f[no_ps][ 16] * psi_g_t[no_ps][ 47] * psi_g_t[no_ps][ 50] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  0];}
    if (psi_MC_alpha[zero +  42] != 0.){psi_MC_g_channel[zero +  42] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_p[no_ps][  8] * psi_g_t[no_ps][ 51] * psi_g_d[no_ps][  1] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  43] != 0.){psi_MC_g_channel[zero +  43] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  9] * psi_g_p[no_ps][ 10] * psi_g_t[no_ps][ 51] * psi_g_d[no_ps][  2] * psi_g_d[no_ps][  3] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  44] != 0.){psi_MC_g_channel[zero +  44] = psi_g_p[no_ps][  4] * psi_g_p[no_ps][  5] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 52] * psi_g_d[no_ps][  0] * psi_g_d[no_ps][  4];}
    if (psi_MC_alpha[zero +  45] != 0.){psi_MC_g_channel[zero +  45] = psi_g_p[no_ps][  0] * psi_g_p[no_ps][  6] * psi_g_f[no_ps][  5] * psi_g_t[no_ps][ 24] * psi_g_t[no_ps][ 37] * psi_g_d[no_ps][  4] * psi_g_d[no_ps][  0];}
  }

/*
  if (psi_MC_alpha[   0] != 0.){ag_channel_2v111(g, 1, 2, 4, 8, 16, 32, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[   1] != 0.){ag_channel_2v111(g, 1, 2, 4, 8, 16, 64, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[   2] != 0.){ag_channel_2v111(g, 1, 2, 4, 8, 64, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[   3] != 0.){ag_channel_2v111(g, 1, 2, 4, 8, 32, 16, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[   4] != 0.){ag_channel_2v111(g, 1, 2, 4, 8, 32, 64, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[   5] != 0.){ag_channel_2v111(g, 1, 2, 4, 8, 64, 32, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[   6] != 0.){ag_channel_3yv11(g, 1, 2, 16, 4, 8, 32, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[   7] != 0.){ag_channel_3yv11(g, 1, 2, 16, 4, 8, 64, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[   8] != 0.){ag_channel_3yv11(g, 1, 2, 8, 4, 16, 32, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[   9] != 0.){ag_channel_3yv11(g, 1, 2, 8, 4, 16, 64, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  10] != 0.){ag_channel_12v11(g, 1, 2, 64, 4, 8, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  11] != 0.){ag_channel_12v11(g, 1, 2, 64, 4, 8, 32, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  12] != 0.){ag_channel_12v11(g, 1, 2, 32, 4, 8, 16, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  13] != 0.){ag_channel_12v11(g, 1, 2, 32, 4, 8, 64, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  14] != 0.){ag_channel_12v11(g, 1, 2, 16, 4, 8, 32, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  15] != 0.){ag_channel_12v11(g, 1, 2, 16, 4, 8, 64, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  16] != 0.){ag_channel_13yv1(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[  17] != 0.){ag_channel_13yv1(g, 1, 2, 32, 16, 4, 8, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[  18] != 0.){ag_channel_13yv1(g, 1, 2, 64, 8, 4, 16, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  19] != 0.){ag_channel_13yv1(g, 1, 2, 32, 8, 4, 16, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  20] != 0.){ag_channel_112v1(g, 1, 2, 32, 64, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  21] != 0.){ag_channel_112v1(g, 1, 2, 64, 32, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  22] != 0.){ag_channel_112v1(g, 1, 2, 16, 64, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  23] != 0.){ag_channel_112v1(g, 1, 2, 64, 16, 4, 8, 32, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  24] != 0.){ag_channel_112v1(g, 1, 2, 16, 32, 4, 8, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  25] != 0.){ag_channel_112v1(g, 1, 2, 32, 16, 4, 8, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  26] != 0.){ag_channel_113yv(g, 1, 2, 32, 64, 16, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[  27] != 0.){ag_channel_113yv(g, 1, 2, 64, 32, 16, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[  28] != 0.){ag_channel_113yv(g, 1, 2, 32, 64, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  29] != 0.){ag_channel_113yv(g, 1, 2, 64, 32, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  30] != 0.){ag_channel_1112v(g, 1, 2, 16, 32, 64, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  31] != 0.){ag_channel_1112v(g, 1, 2, 16, 64, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  32] != 0.){ag_channel_1112v(g, 1, 2, 64, 16, 32, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  33] != 0.){ag_channel_1112v(g, 1, 2, 32, 16, 64, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  34] != 0.){ag_channel_1112v(g, 1, 2, 32, 64, 16, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  35] != 0.){ag_channel_1112v(g, 1, 2, 64, 32, 16, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  36] != 0.){ag_channel_2v2v1(g, 1, 2, 4, 8, 32, 64, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  37] != 0.){ag_channel_2v2v1(g, 1, 2, 32, 64, 4, 8, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  38] != 0.){ag_channel_2v3yv(g, 1, 2, 32, 64, 16, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,  24,   0,   0, psi);}
  if (psi_MC_alpha[  39] != 0.){ag_channel_2v3yv(g, 1, 2, 32, 64, 8, 4, 16, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  40] != 0.){ag_channel_2v12v(g, 1, 2, 4, 8, 16, 32, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  41] != 0.){ag_channel_2v12v(g, 1, 2, 32, 64, 16, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  if (psi_MC_alpha[  42] != 0.){ag_channel_3yv2v(g, 1, 2, 16, 4, 8, 32, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,  24,   0, psi);}
  if (psi_MC_alpha[  43] != 0.){ag_channel_3yv2v(g, 1, 2, 8, 4, 16, 32, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,   0,  24,   0, psi);}
  if (psi_MC_alpha[  44] != 0.){ag_channel_12v2v(g, 1, 2, 16, 4, 8, 32, 64, p, s, sqrts, smin_opt, sqrtsmin_opt,   0,  24,   0,   0, psi);}
  if (psi_MC_alpha[  45] != 0.){ag_channel_12v2v(g, 1, 2, 16, 32, 64, 4, 8, p, s, sqrts, smin_opt, sqrtsmin_opt,  24,   0,   0,   0, psi);}
  // channel    0: 2v111(1, 2, 4, 8, 16, 32, 64;  24,   0,   0,   0)
  // channel    1: 2v111(1, 2, 4, 8, 16, 64, 32;  24,   0,   0,   0)
  // channel    2: 2v111(1, 2, 4, 8, 64, 16, 32;  24,   0,   0,   0)
  // channel    3: 2v111(1, 2, 4, 8, 32, 16, 64;  24,   0,   0,   0)
  // channel    4: 2v111(1, 2, 4, 8, 32, 64, 16;  24,   0,   0,   0)
  // channel    5: 2v111(1, 2, 4, 8, 64, 32, 16;  24,   0,   0,   0)
  // channel    6: 3yv11(1, 2, 16, 4, 8, 32, 64;  24,  24,   0,   0)
  // channel    7: 3yv11(1, 2, 16, 4, 8, 64, 32;  24,  24,   0,   0)
  // channel    8: 3yv11(1, 2, 8, 4, 16, 32, 64;   0,  24,   0,   0)
  // channel    9: 3yv11(1, 2, 8, 4, 16, 64, 32;   0,  24,   0,   0)
  // channel   10: 12v11(1, 2, 64, 4, 8, 16, 32;  24,   0,   0,   0)
  // channel   11: 12v11(1, 2, 64, 4, 8, 32, 16;  24,   0,   0,   0)
  // channel   12: 12v11(1, 2, 32, 4, 8, 16, 64;  24,   0,   0,   0)
  // channel   13: 12v11(1, 2, 32, 4, 8, 64, 16;  24,   0,   0,   0)
  // channel   14: 12v11(1, 2, 16, 4, 8, 32, 64;  24,   0,   0,   0)
  // channel   15: 12v11(1, 2, 16, 4, 8, 64, 32;  24,   0,   0,   0)
  // channel   16: 13yv1(1, 2, 64, 16, 4, 8, 32;  24,  24,   0,   0)
  // channel   17: 13yv1(1, 2, 32, 16, 4, 8, 64;  24,  24,   0,   0)
  // channel   18: 13yv1(1, 2, 64, 8, 4, 16, 32;   0,  24,   0,   0)
  // channel   19: 13yv1(1, 2, 32, 8, 4, 16, 64;   0,  24,   0,   0)
  // channel   20: 112v1(1, 2, 32, 64, 4, 8, 16;  24,   0,   0,   0)
  // channel   21: 112v1(1, 2, 64, 32, 4, 8, 16;  24,   0,   0,   0)
  // channel   22: 112v1(1, 2, 16, 64, 4, 8, 32;  24,   0,   0,   0)
  // channel   23: 112v1(1, 2, 64, 16, 4, 8, 32;  24,   0,   0,   0)
  // channel   24: 112v1(1, 2, 16, 32, 4, 8, 64;  24,   0,   0,   0)
  // channel   25: 112v1(1, 2, 32, 16, 4, 8, 64;  24,   0,   0,   0)
  // channel   26: 113yv(1, 2, 32, 64, 16, 4, 8;  24,  24,   0,   0)
  // channel   27: 113yv(1, 2, 64, 32, 16, 4, 8;  24,  24,   0,   0)
  // channel   28: 113yv(1, 2, 32, 64, 8, 4, 16;   0,  24,   0,   0)
  // channel   29: 113yv(1, 2, 64, 32, 8, 4, 16;   0,  24,   0,   0)
  // channel   30: 1112v(1, 2, 16, 32, 64, 4, 8;  24,   0,   0,   0)
  // channel   31: 1112v(1, 2, 16, 64, 32, 4, 8;  24,   0,   0,   0)
  // channel   32: 1112v(1, 2, 64, 16, 32, 4, 8;  24,   0,   0,   0)
  // channel   33: 1112v(1, 2, 32, 16, 64, 4, 8;  24,   0,   0,   0)
  // channel   34: 1112v(1, 2, 32, 64, 16, 4, 8;  24,   0,   0,   0)
  // channel   35: 1112v(1, 2, 64, 32, 16, 4, 8;  24,   0,   0,   0)
  // channel   36: 2v2v1(1, 2, 4, 8, 32, 64, 16;   0,  24,   0,   0)
  // channel   37: 2v2v1(1, 2, 32, 64, 4, 8, 16;  24,   0,   0,   0)
  // channel   38: 2v3yv(1, 2, 32, 64, 16, 4, 8;  24,  24,   0,   0)
  // channel   39: 2v3yv(1, 2, 32, 64, 8, 4, 16;   0,  24,   0,   0)
  // channel   40: 2v12v(1, 2, 4, 8, 16, 32, 64;   0,  24,   0,   0)
  // channel   41: 2v12v(1, 2, 32, 64, 16, 4, 8;  24,   0,   0,   0)
  // channel   42: 3yv2v(1, 2, 16, 4, 8, 32, 64;   0,  24,  24,   0)
  // channel   43: 3yv2v(1, 2, 8, 4, 16, 32, 64;   0,   0,  24,   0)
  // channel   44: 12v2v(1, 2, 16, 4, 8, 32, 64;   0,  24,   0,   0)
  // channel   45: 12v2v(1, 2, 16, 32, 64, 4, 8;  24,   0,   0,   0)
*/

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
