#include "../include/classes.cxx"
#include "../include/definitions.phasespace.set.cxx"
#include "../ppexnea03/header/ppexnea03.phasespace.h"
void ppexnea03_optimize_minv_real(phasespace_set & psi){
  static Logger logger("ppexnea03_optimize_minv_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

#include "user/specify.optimize.phasespace.minv.real.cxx"

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

int ppexnea03_determination_MCchannels_real(int no_ps, phasespace_set & psi){
  static Logger logger("ppexnea03_determination_MCchannels_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  int n_channel = 0;
  if      (psi_no_map[no_ps] == 0){n_channel = 16;}
  else if (psi_no_map[no_ps] == 1){n_channel = 10;}
  else if (psi_no_map[no_ps] == 2){n_channel = 10;}
  else if (psi_no_map[no_ps] == 3){n_channel = 10;}
  return n_channel;

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void ppexnea03_ac_tau_psp_real(int no_ps, vector<int> & tau_MC_map, phasespace_set & psi){
  static Logger logger("ppexnea03_ac_tau_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;

  if      (psi.no_map[no_ps] == 0){}
  else if (psi.no_map[no_ps] == 1){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 2){
    tau_MC_map.push_back(0);
  }
  else if (psi.no_map[no_ps] == 3){
    tau_MC_map.push_back(0);
  }

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}

void ppexnea03_ax_psp_real(int no_ps, phasespace_set & psi){
  static Logger logger("ppexnea03_ax_psp_real");
  logger << LOG_DEBUG_VERBOSE << "called" << endl;
  if (psi_no_map[no_ps] == 0){}
  else if (psi_no_map[no_ps] == 1){ppexnea03_ax_psp_130_gu_epvead(no_ps, psi);}
  else if (psi_no_map[no_ps] == 2){ppexnea03_ax_psp_130_gdx_epveaux(no_ps, psi);}
  else if (psi_no_map[no_ps] == 3){ppexnea03_ax_psp_130_udx_epveag(no_ps, psi);}

  logger << LOG_DEBUG_VERBOSE << "finished" << endl;
}
