      subroutine phase4(r,p1,p2,p3,p4,p5,p6,wt,*)
      implicit none
      include 'types.f'
      include 'constants.f'
      include 'nf.f'
      include 'mxpart.f'
!      include 'heavyflav.f'
      include 'masses.f'
      include 'mxdim.f'
      include 'debug.f'
      include 'kprocess.f'
      include 'breit.f'
      include 'zerowidth.f'
      include 'limits.f'
c---- generate phase space for 2-->4 process
c---- r(mxdim),p1(4),p2(4) are inputs reversed in sign 
c---- from physical values 
c---- phase space for -p1-p2 --> p3+p4+p5+p6
c---- with all 2 pi's (ie 1/(2*pi)^8)
      real(dp):: r(mxdim)
      real(dp):: p1(4),p2(4),p3(4),p4(4),p5(4),p6(4)
      real(dp):: p12(4),p34(4),p56(4),p345(4)
      real(dp):: wt,wt3456,wt34,wt56,wt0,mtbsq
      real(dp):: p35(4),p46(4),wt35,wt46
      integer:: j,n2save,n3save
      parameter(wt0=1._dp/twopi**2)

      n2save=n2
      n3save=n3

      do j=1,4
      p12(j)=-p1(j)-p2(j)
      enddo

c--- Default case
      call phi1_2(r(1),r(2),r(3),r(4),p12,p56,p34,wt3456,*99)
      call phi3m0(r(7),r(8),p34,p3,p4,wt34,*99)
      
      call phi3m0(r(5),r(6),p56,p5,p6,wt56,*99)

      wt=wt0*wt3456*wt34*wt56

      if (debug) write(6,*) 'wt in phase4',wt
      return
      n2=n2save
      n3=n3save
 99   wt=0._dp
      return 1
      end

